2008-11-13 04:34  kelnos

	* settings/main.c:
	  manually stop startup notification when embedded in the main
	  dialog

2008-11-12 11:09  piarres

	* po/ChangeLog, po/eu.po:
	  Xfce-trunk BAsque translation updates

2008-11-02 23:38  maximilian

	* po/ChangeLog, po/es.po:
	  Translation updates and additions - de es ku tr

2008-11-01 12:31  jannis

	* settings/xfce-backdrop-settings.desktop.in,
	  settings/xfdesktop-settings.glade:
	  Remove GenericName and X-XfceSettingsName from the desktop
	  entry. Make
	  desktop entry name/description consistent with the dialog
	  title/subtitle.

2008-10-31 12:24  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-10-29 09:27  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  don't show templates dir if it's set to $HOME

2008-10-28 23:17  maximilian

	* po/ChangeLog, po/de.po, po/nl.po, po/sq.po, po/tr.po:
	  Translations updates and additions HUGE

2008-10-26 23:45  kelnos

	* NEWS:
	  whoops, forgot to update NEWS

2008-10-26 23:43  kelnos

	* settings/main.c:
	  fix add button only added one of the selected files, even tho
	  the file
	  chooser supports selecting multiple files (bug 4522)

2008-10-25 19:22  olivier

	* settings/xfdesktop-settings.glade, src/xfce-backdrop.c:
	  Set default color

2008-10-23 16:47  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-10-20 20:41  maximilian

	* po/ChangeLog, po/ca.po, po/de.po, po/ja.po:
	  Translation updates for many packages in many languages, is this
	  message too vague

2008-10-19 01:09  jannis

	* NEWS, modules/menu/menu-data/xfce-applications.menu:
	  Display 'Audio' and 'Video' categories in the multimedia
	  submenu.

2008-10-18 14:25  maximilian

	* po/ChangeLog, po/id.po, po/ja.po:
	  Translation updates and additions for many packages in es, fr,
	  id, ja, nb_NO and tr

2008-10-17 09:14  kelnos

	* src/main.c, src/xfce-backdrop.c:
	  reset SM restart style hint to SmRestartIfRunning when quitting
	  cleanly

2008-10-14 18:37  lars

	* po/ChangeLog, po/LINGUAS, po/da.po:
	  * da.po,LINGUAS: Added Danish translation
	  

2008-10-14 07:53  stephan

	* ChangeLog, configure.ac.in:
	  Update ChangeLog
	  Update version-number and dependencies

2008-10-12 13:02  kelnos

	* NEWS, settings/main.c,
	  settings/xfce-backdrop-settings.desktop.in:
	  hook up settings dialog help

2008-10-12 12:53  kelnos

	* NEWS, settings/Makefile.am, settings/main.c,
	  settings/xfce-backdrop-settings.desktop.in:
	  add pluggable bits for the settings manager

2008-10-12 12:53  kelnos

	* NEWS, settings/Makefile.am, settings/main.c:
	  add backdrop preview image thumbnail to settings dialog

2008-10-12 10:05  kelnos

	* NEWS, README, src/xfdesktop-icon-view.c:
	  add style props for icon text label shadow (bug 4412).
	  
	  patch from andrea santilli <yawara quipo it>

2008-10-10 07:22  maximilian

	* po/ChangeLog, po/ja.po:
	  Translations updated and added in Japanese and French for the
	  squeeze, mixer, libxfce4ui, thunar, xfcalendar, settings and
	  xfdesktop modules

2008-10-09 15:06  kelnos

	* src/xfce-desktop.c:
	  fix g_warning when property chaing is actually a remove

2008-10-09 05:01  sas

	* po/hu.po:
	  [intl:hu] little fixes

2008-10-09 01:22  kelnos

	* NEWS, README, src/xfdesktop-icon-view.c:
	  add ellipsize-icon-labels to control whether or not icon labels
	  get
	  shortened down to 1 line when not selected (bug 2886). patch
	  from
	  daniel gibson.

2008-10-09 01:10  kelnos

	* NEWS, README, src/xfdesktop-icon-view.c:
	  add cell-padding, cell-spacing, and cell-text-width-proportion
	  style
	  properties to control spacing/sizing of the icon view (bug
	  2886). patch
	  from giacomo lozito

2008-10-08 23:25  kelnos

	* src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-special-file-icon.h:
	  make icons come up in a reasonable order for the first time
	  Home, File System, Trash, then removable icons, then everything
	  else

2008-10-08 23:23  kelnos

	* src/xfdesktop-icon-view.c:
	  amd64 warning fixes

2008-10-07 19:55  maximilian

	* po/ChangeLog, po/ja.po:
	  Translation updates:
	  - xfce4-appfinder: ja, si
	  - xfce-utils: ja, si
	  - xfce4-mixer: si
	  - xfce4-panel: ja, si
	  - xfdesktop: ja
	  - terminal: ja

2008-10-07 11:07  kelnos

	* NEWS, panel-plugin/desktop-menu-plugin.c:
	  use GtkFileButton in panel plugin config dialog; remove 'edit
	  menu' buttons

2008-10-07 10:38  kelnos

	* NEWS, panel-plugin/desktop-menu-plugin.c:
	  fix memleak: free menu in panel plugin after it's closed
	  
	  the old menu didn't require this, but it's required now.

2008-10-07 10:27  kelnos

	* NEWS, modules/menu/desktop-menu.c:
	  fix memleak: free result of gtk_container_get_children()

2008-10-07 03:16  kelnos

	* src/xfce-desktop.c:
	  fix typo in non-file-icons build

2008-10-07 03:16  kelnos

	* common/xfdesktop-common.h, src/xfce-backdrop.c:
	  set default backdrop to xfce-stripes.png and color to #030508
	  per Olivier

2008-10-05 17:52  maximilian

	* po/ChangeLog, po/es.po, po/id.po:
	  Updated and added Estonian translations for the libxfcegui4,
	  terminal and mousepad trunk modules and libxfce4util branch 4.4
	  module
	  Updated Indonesian translations for the xfce-utils, xfce4-mixer,
	  xarchiver, xfwm4, xfcalendar and xfdesktop trunk modules
	  Updated and added Spanish translations for the xfce4-appfinder,
	  squeeze, libexo, xfce-utils, libxfce4menu, xfce4-session,
	  xfce4-mixer, libxfce4util, libxfce4ui, xfce4-icon-theme, thunar,
	  libxfcegui4, xfce4-panel, xfdesktop, xfce4-trigger-launcher,
	  terminal, mousepad and xfmedia trunk modules
	  Updated Russian translation for the xarchiver, libexo and
	  libxfcegui4 trunk modules
	  Updated and added German translation of the xfce4-settings and
	  xfwm4 trunk modules
	  Updated Japanese translation for the thunar module
	  Updated Sinhalese translation for the libxfcegui4 trunk module

2008-10-03 09:08  kelnos

	* src/main.c:
	  move SM init earlier, make prio same as the panel, use
	  SmRestartImmediately

2008-10-01 07:40  kelnos

	* src/xfdesktop-icon-view.c:
	  rename a couple functions to better reflect what they do

2008-10-01 07:40  kelnos

	* src/xfdesktop-icon-view.c:
	  minor cleanups -- don't need a separate function there

2008-10-01 05:17  kelnos

	* src/xfdesktop-icon-view.c:
	  optimise adding/removing icons from the selected list while
	  rubberbanding

2008-10-01 05:17  kelnos

	* src/xfdesktop-icon-view.c:
	  make things a bit more readable

2008-09-27 05:39  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  er, it's NotShowIn, not NeverShowIn

2008-09-25 20:11  kelnos

	* src/xfdesktop-window-icon-manager.c:
	  add workaround for change in libwnck signal API for
	  WnckScreen::active-workspace-changed (bug 4395)

2008-09-25 11:25  kelnos

	* NEWS:
	  update NEWS

2008-09-25 11:23  kelnos

	* src/xfdesktop-volume-icon.c:
	  show eject for removable volumes (not just discs) that support
	  it (bug 3738)
	  
	  also hide mount/umount for those volumes, and add icons to the
	  menu

2008-09-25 11:08  kelnos

	* NEWS:
	  update NEWS

2008-09-25 11:06  kelnos

	* src/xfdesktop-icon-view.c, src/xfdesktop-icon-view.h,
	  src/xfdesktop-window-icon-manager.c:
	  fix window menu still popping up after window icon de-selected

2008-09-25 10:51  kelnos

	* src/xfdesktop-file-utils.c:
	  get the custom icon and use the mime type icon as a fallback
	  
	  not the other way around... this reverts a bad decision made in
	  revision 26154 (bug 4275).

2008-09-25 10:51  kelnos

	* src/xfdesktop-icon-view.c:
	  only start rubber banding for button 1

2008-09-25 10:36  kelnos

	* NEWS, src/xfdesktop-file-icon-manager.c:
	  obey Hidden=true, OnlyShowIn=, and NeverShowIn= for files on
	  desktop (bug 4022)

2008-09-25 10:36  kelnos

	* settings/xfdesktop-settings.glade:
	  get rid of 'allow xfce to manage desktop' chkbox, since it's
	  lame

2008-09-25 10:36  kelnos

	* settings/backdrop-list-manager.c,
	  settings/backdrop-list-manager.h:
	  ditch old backdrop list manager dialog files

2008-09-25 06:28  kelnos

	* NEWS, src/xfce-desktop.c, src/xfdesktop-icon-view.c:
	  implement rubber band selection for XfdesktopIconView (bug 3245)

2008-09-25 06:27  kelnos

	* src/xfdesktop-icon-view.c:
	  remove redundant function

2008-09-25 06:27  kelnos

	* src/xfdesktop-icon-view.c:
	  remove unneeded glib 2.10 check since we depend on 2.12 now

2008-09-25 06:27  kelnos

	* src/xfce-desktop.c:
	  double-buffer the desktop window again.
	  
	  i'm not entirely sure why we turned this off years and years
	  ago. it
	  doesn't really impact performance (well, except for positively)
	  or
	  memory usage, and fixes a bunch of flicker issues i never got
	  around to
	  fixing.

2008-09-25 06:27  kelnos

	* src/xfdesktop-icon-view.c:
	  remove custom desktop tooltip code. it was always slightly
	  buggy, and
	  working on the icon view code was made much more difficult
	  because of
	  it. gtk 2.12 is required for desktop icon tooltips.

2008-09-20 18:45  kelnos

	* configure.ac.in:
	  autoconf sucks. specifically, new versions that change behavior
	  suck.

2008-09-20 05:47  kelnos

	* NEWS:
	  update NEWS

2008-09-20 05:43  kelnos

	* modules/menu/desktop-menu.c:
	  various coding style fixes and little code cleanups

2008-09-20 05:43  kelnos

	* modules/menu/desktop-menu.c:
	  fix menu module crash on .desktop file change or icon theme
	  change (bug 3615)
	  
	  this also fixes the weird "double menu" problem (bug 4342). what
	  was
	  happening was that thunar-vfs was firing off a dir change
	  notification,
	  and then the menu would start to regenerate. then it would call
	  into
	  GtkIconTheme, which then noticed that the icon cache was stale
	  and
	  needed to be re-read. so then it would fire
	  GtkIconTheme::changed,
	  which causes a recursive menu regeneration. since the menu
	  generation
	  function isn't reentrant, now we use g_idle_add() to schedule a
	  menu
	  regen, and we don't schedule one if there's one already
	  scheduled or
	  in progress.

2008-09-16 05:07  kelnos

	* NEWS, src/xfce-desktop.c, src/xfdesktop-file-icon-manager.c:
	  add XDG userdir support for desktop and templates folders
	  
	  patch somewhat from Andrea Santilli <yawara@quipo.it> (bug 4365)

2008-09-12 20:24  kelnos

	* NEWS:
	  update NEWS

2008-09-12 17:30  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translation

2008-09-11 14:30  piarres

	* po/eu.po:
	  Fixing some error in last commit

2008-09-10 13:51  piarres

	* po/ChangeLog, po/eu.po:
	  xfdesktop Basque translation update

2008-09-09 07:38  maximilian

	* po/ChangeLog, po/fr.po, po/id.po:
	  Translations updates and new ones for trunk in es,fr,id

2008-09-09 03:49  kelnos

	* settings/main.c, settings/xfdesktop-settings.glade, src/menu.c:
	  hook up desktop menu show app icons pref

2008-09-09 03:49  kelnos

	* settings/main.c, settings/xfdesktop-settings.glade,
	  src/windowlist.c:
	  hook up 'show app icons in windowlist' pref

2008-09-09 03:48  kelnos

	* settings/main.c, settings/xfdesktop-settings.glade:
	  disable some suboptions when the main option isn't active

2008-09-08 10:56  majkl

	* po/ChangeLog, po/cs.po:
	  Updated Czech translation

2008-09-08 09:00  stephan

	* ChangeLog, configure.ac.in, po/POTFILES.in, po/am.po, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po,
	  po/id.po, po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po,
	  po/lv.po, po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sq.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/ur.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Update ChangeLog
	  Update .po files
	  Update POTFILES.in
	  Remove -svn tag
	  Update dependency-requirements

2008-09-08 07:46  kelnos

	* settings/main.c, settings/xfdesktop-settings.glade:
	  backdrop lists are mostly working, switching between stuff
	  should too

2008-09-08 07:46  kelnos

	* common/xfdesktop-common.c, common/xfdesktop-common.h:
	  some tweaks to the backdrop list loading code

2008-09-08 07:45  kelnos

	* src/xfce-backdrop.c, src/xfce-desktop.c:
	  be a little bit quieter about things that don't work, because
	  sometimes
	  that's ok

2008-09-07 16:52  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-09-07 10:38  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  fix g_critical when removable volume icons are disabled

2008-09-07 10:20  kelnos

	* src/xfce-desktop.c:
	  fix drag-motion events getting dropped after first realize

2008-09-07 08:34  kelnos

	* modules/menu/desktop-menu.c:
	  don't try to create the XfceMenu if we don't have a menu file

2008-09-07 08:34  kelnos

	* Makefile.am, configure.ac.in, scripts/Makefile.am,
	  scripts/xfconf-xfdesktop-migration-4.6.desktop.in,
	  scripts/xfdesktop-xfconf-migration.pl.in:
	  remove migration script -- it's going into xfce-utils as a
	  mega-script

2008-09-05 02:07  omaciel

	* po/ChangeLog, po/POTFILES.in, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-09-01 07:34  kelnos

	* src/xfce-desktop.c:
	  guard new call to xfce_desktop_setup_icon_view() with ifdef
	  ENABLE_DESKTOP_ICONS

2008-09-01 07:34  kelnos

	* src/Makefile.am:
	  fix dependency

2008-09-01 02:27  sas

	* po/hu.po:
	  [intl:hu] thunar & desktop updates

2008-08-31 04:26  kelnos

	* settings/xfdesktop-settings.glade:
	  restore the brightness and saturation sliders to their former
	  glory

2008-08-31 04:17  kelnos

	* src/Makefile.am, src/main.c, src/xfce-backdrop.c,
	  src/xfce-backdrop.h, src/xfce-desktop-settings.c,
	  src/xfce-desktop-settings.h, src/xfce-desktop.c,
	  src/xfce-desktop.h, src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-file-icon-manager.h:
	  convert xfdesktop itself to use xfconf property bindings
	  
	  added GObject properties to XfceBackdrop, XfceDesktop, and
	  XfceFileIconManager for all xfconf properties, add bindings,
	  remove a
	  *lot* of code

2008-08-31 04:17  kelnos

	* common/xfdesktop-common.c, common/xfdesktop-common.h,
	  settings/main.c:
	  refactor and rename most of the stuff in common/. lot of
	  cleanups

2008-08-31 04:17  kelnos

	* settings/xfdesktop-settings.glade, src/Makefile.am,
	  src/xfce-backdrop.c, src/xfce-desktop-settings.c,
	  src/xfce-desktop.c, src/xfce-desktop.h:
	  add properties to Xfce{Backdrop,Desktop} for all setters/getters
	  
	  idea here is i can use the xfconf binding functions rather than
	  doing
	  all this stuff manually

2008-08-31 04:16  kelnos

	* po/am.po, po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po,
	  po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/hy.po, po/id.po, po/it.po, po/ja.po, po/ka.po,
	  po/ko.po, po/lt.po, po/lv.po, po/mk.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po,
	  settings/xfdesktop-settings.glade, src/xfce-backdrop.c,
	  src/xfce-backdrop.h:
	  add a 'transparent' color type for the desktop, update-po

2008-08-31 04:16  kelnos

	* configure.ac.in:
	  don't build menu editor by default, since it doesn't work on new
	  menus anyway

2008-08-31 04:15  kelnos

	* autogen.sh:
	  fix git svn version fetch

2008-08-29 22:12  maximilian

	* po/ChangeLog, po/de.po:
	  Updated various pending translations (German,Korean and Slovene)

2008-08-27 11:39  kelnos

	* configure.ac.in, scripts/xfdesktop-xfconf-migration.pl.in,
	  settings/main.c, settings/xfdesktop-settings.glade:
	  hook up the color buttons using the new xfconf gdkcolor binding

2008-08-27 11:39  kelnos

	* settings/main.c:
	  fix some more screen naming stuff, sprinkle in some gtk 2.13+
	  goodness

2008-08-27 11:38  kelnos

	* settings/xfdesktop-settings.glade:
	  allow treeview to expand vertically

2008-08-26 05:52  pollux

	* settings/main.c:
	  fix shown screen numbers in settings dialog for multiscreen
	  configurations

2008-08-25 16:14  kelnos

	* settings/xfdesktop-settings.glade:
	  remove some excess padding

2008-08-25 11:41  kelnos

	* scripts/xfdesktop-xfconf-migration.pl.in, settings/main.c,
	  src/xfce-desktop-settings.c, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon-view.h:
	  use a double to store font size; some fonts have half point
	  sizes (bug 4295)

2008-08-25 11:17  kelnos

	* README, settings/Makefile.am,
	  settings/xfce-backdrop-settings.desktop.in, src/xfce-desktop.c:
	  and hook up the special icons to xfconf

2008-08-25 11:16  kelnos

	* settings/main.c, settings/xfdesktop-settings.glade:
	  hook up the 'default icons' UI in the settings dialog.
	  
	  needs xfdesktop work as well. patch from Jérôme Guelfucci
	  <jerome.guelfucci@gmail.com>. (bug 4314)

2008-08-25 10:13  kelnos

	* settings/main.c:
	  rearrange some code, make the add file buttom work

2008-08-25 10:13  kelnos

	* settings/xfdesktop-settings.glade:
	  rearrange the dialog a bit so it's not super tall. not sure i
	  like this yet

2008-08-25 09:04  kelnos

	* scripts/Makefile.am:
	  fix make dist

2008-08-25 06:52  kelnos

	* settings/xfdesktop-settings.glade:
	  consistent-ify the dialog with those from xfce4-settings

2008-08-25 06:51  kelnos

	* README:
	  add requirements section to README

2008-08-17 21:03  stephan

	* configure.ac.in:
	  Bump version number

2008-08-17 21:02  stephan

	* configure.ac.in:
	  Bump version number

2008-08-17 20:52  stephan

	* po/POTFILES.in, scripts/Makefile.am, settings/Makefile.am:
	  Fix make distcheck

2008-08-12 11:00  jari

	* po/ChangeLog, po/fi.po:
	  Updated Finnish translations.

2008-08-10 21:42  maximilian

	* po/ChangeLog, po/ko.po, po/pl.po:
	  Translations updated and added in Indonesian, Korean and Polish.

2008-08-05 08:51  kelnos

	* NEWS:
	  update news

2008-08-03 23:49  kelnos

	* src/xfdesktop-icon-view.c:
	  use new gtk tooltip framework for XfdesktopIconView if gtk 2.12
	  is available

2008-08-03 23:48  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  launch xfdesktop-settings from the desktop right-click menu

2008-07-17 10:27  alnokta

	* po/ar.po:
	  Update Arabic translations

2008-07-14 19:24  majkl

	* po/cs.po:
	  Czech translations fixed

2008-07-09 09:58  mvd

	* po/uk.po:
	  Maxim Dziumanenko <dziumanenko@gmail.com>
	  
	  Updated Ukrainian translation

2008-06-28 22:24  kelnos

	* settings/main.c, settings/xfdesktop-settings.glade:
	  don't set default values for combo boxes in glade; causes
	  segfaults

2008-06-28 22:23  kelnos

	* settings/xfdesktop-settings.glade:
	  move border-width=5 from window to inner vbox

2008-06-28 22:23  kelnos

	* doc/README.xfconf:
	  fix prop name

2008-06-27 22:16  stephan

	* configure.ac.in:
	  Fix xfce_module_version variable

2008-06-27 08:37  kelnos

	* settings/main.c, settings/xfdesktop-settings.glade:
	  disable some stuff that doesn't work yet

2008-06-27 08:31  kelnos

	* common/xfdesktop-common.h, configure.ac.in,
	  scripts/xfdesktop-xfconf-migration.pl.in, settings/Makefile.am,
	  settings/appearance-settings.c, settings/behavior-settings.c,
	  settings/behavior-settings.h, settings/main.c,
	  settings/settings-common.c, settings/settings-common.h,
	  settings/xfce-backdrop-settings.desktop.in,
	  settings/xfdesktop-settings.glade, src/xfce-backdrop.c,
	  src/xfce-backdrop.h, src/xfce-desktop-settings.c:
	  preliminary xfconf support -- some things still don't work!

2008-06-27 08:31  kelnos

	* Makefile.am, configure.ac.in, doc/README.xfconf, scripts,
	  scripts/Makefile.am,
	  scripts/xfconf-xfdesktop-migration-4.6.desktop.in,
	  scripts/xfdesktop-xfconf-migration.pl.in, src/Makefile.am,
	  src/main.c, src/menu.c, src/menu.h, src/settings.c,
	  src/settings.h, src/windowlist.c, src/windowlist.h,
	  src/xfce-desktop-settings.c, src/xfce-desktop-settings.h:
	  WIP: xfconf migration

2008-06-26 22:09  maximilian

	* po/ChangeLog, po/gl.po:
	  Translations added and updated for most trunk packages (gl)

2008-06-25 21:45  maximilian

	* po/ChangeLog, po/id.po:
	  Translations updates for the mixer, panel and xfdesktop trunk
	  packages (id)

2008-06-22 10:57  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/id.po:
	  update-po

2008-05-27 05:48  kelnos

	* modules/menu/desktop-menu.c:
	  obey show menu icons setting again

2008-05-27 00:25  mmassonnet

	* po/ChangeLog, po/ja.po:
	  update-po

2008-05-13 09:23  mmassonnet

	* po/ChangeLog, po/en_GB.po:
	  update en_GB translations

2008-05-04 13:27  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-05-04 01:46  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation

2008-05-01 07:04  kelnos

	* common/Makefile.am, common/desktop-menu-utils.c,
	  common/desktop-menu-utils.h, common/xfdesktop-common.c,
	  common/xfdesktop-common.h, menueditor/Makefile.am,
	  menueditor/menueditor-main-window.c, modules/menu/Makefile.am,
	  modules/menu/desktop-menu.c, src/xfce-desktop-settings.c:
	  rearrange stuff a little; menu module doesn't need most of
	  libxfdesktop.a

2008-05-01 07:03  kelnos

	* src/xfdesktop-icon-view.c:
	  position the tooltip window a bit more like normal tooltips

2008-05-01 07:03  kelnos

	* modules/menu/desktop-menu.c:
	  regenerate new desktop menu every time the old one is destroyed
	  
	  it'll eat up a little more RAM, but menu display shouldn't ever
	  lag now

2008-05-01 07:03  kelnos

	* NEWS:
	  update NEWS

2008-04-30 06:10  kelnos

	* src/xfce-desktop.c:
	  use new monitors-changed code to simplify screen/monitor setup
	  quite a bit
	  
	  this should hopefully make the xinerama stretch feature work
	  much better
	  as well, tho i don't have a good way of testing this

2008-04-30 06:10  kelnos

	* src/xfce-desktop.c:
	  support GdkScreen::monitors-changed signal for gtk 2.13+
	  
	  aka xrandr1.2 support

2008-04-30 06:10  kelnos

	* NEWS:
	  update NEWS

2008-04-26 15:42  kelnos

	* configure.ac.in, settings/backdrop-list-manager.c,
	  src/Makefile.am, src/windowlist.c, src/xfce-desktop.c,
	  src/xfdesktop-icon-view.c, src/xfdesktop-window-icon-manager.c,
	  src/xfdesktop-window-icon.c, src/xfdesktop-window-icon.h:
	  nick's netk->wnck patch, with some bugfixes and crash fixes (bug
	  3487)

2008-04-12 09:54  mmassonnet

	* po/ChangeLog, po/lv.po:
	  Update Latvian translation

2008-03-30 17:28  mmassonnet

	* po/ChangeLog, po/zh_CN.po:
	  Merge Chinese Traditional from branch xfce4.4 to trunk

2008-03-18 12:36  mmassonnet

	* po/ChangeLog, po/ca.po:
	  Update Catalan translation

2008-03-05 04:47  mmassonnet

	* po/ChangeLog, po/am.po:
	  Update Amharic translation

2008-03-05 04:29  mmassonnet

	* po/ChangeLog, po/ru.po:
	  Update Russian translation

2008-03-05 04:11  mmassonnet

	* po/ChangeLog, po/zh_CN.po:
	  Update Chinese translation

2008-02-18 01:37  mmassonnet

	* po/ChangeLog, po/fr.po:
	  Update French translation + patch from Gérald Barré

2008-02-15 14:32  mmassonnet

	* po/ChangeLog, po/fr.po:
	  xfdesktop: Shorten a string in the French translation

2008-01-07 00:17  maximilian

	* po/ChangeLog, po/nb_NO.po:
	  Norwegian Bokmal translation update in trunk

2008-01-02 01:38  kelnos

	* modules/menu/desktop-menu.c:
	  use GenericName field for apps in the X-XFCE category

2008-01-02 01:38  kelnos

	* autogen.sh:
	  use git-svn to get revision when appropriate

2008-01-02 01:38  kelnos

	* configure.ac.in:
	  fix version deps

2007-12-27 00:49  kelnos

	* configure.ac.in, modules/menu/desktop-menu.c:
	  fix file monitoring; don't watch directories that don't exist

2007-12-26 06:59  kelnos

	* configure.ac.in, modules/menu/desktop-menu.c:
	  invalidate .desktop file cache when something changes, disable
	  adding per-file monitors (per-directory is enough), tho there
	  appears
	  to be a bug in the menu directory monitor code in libxfce4menu

2007-12-23 16:01  pollux

	* po/ChangeLog, po/pt_PT.po:
	  Updated Portuguese translations by Nuno Miguel
	  <nunis@netcabo.pt>

2007-12-19 22:48  maximilian

	* po/ChangeLog, po/de.po:
	  German translation updates in trunk

2007-12-16 17:12  majkl

	* po/cs.po:
	  Czech translations updated

2007-12-16 01:29  kelnos

	* configure.ac.in:
	  only require newer version of libutil, not the others

2007-12-16 01:07  kelnos

	* configure.ac.in, src/main.c:
	  * fix settings registration for menu and windowlist
	  * use new libxfce4util posix signal handler stuff

2007-12-07 10:08  piarres

	* po/ChangeLog, po/eu.po:
	  Basque translation update for trunk

2007-12-02 16:49  maximilian

	* po/ChangeLog, po/de.po:
	  Spanish translations branch updates and German translations
	  trunk updates

2007-12-02 10:01  kelnos

	* TODO:
	  update todo

2007-12-02 10:01  kelnos

	* xfdesktop.1:
	  update man page

2007-12-01 23:49  kelnos

	* src/xfdesktop-icon-view.c:
	  add comment referring to bug #

2007-11-19 05:10  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  fix build with --disable-menu-dir-monitor
	  --disable-desktop-icons

2007-11-17 14:31  mmassonnet

	* po/ChangeLog, po/fr.po:
	  fr.po: Rename name in .desktop files with consistency

2007-11-15 23:48  kelnos

	* NEWS:
	  update and sync NEWS files

2007-11-15 09:14  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/ur.po:
	  Add Urdu translations to trunk (hope this is right *sigh*)

2007-11-15 07:51  kelnos

	* common/xfdesktop-common.c:
	  increase timeout waiting for keyboard grab to popup menu from
	  0.01s to
	  0.25s to hopefully fix popup failures, again (bug 441)

2007-11-15 07:37  kelnos

	* src/settings.c:
	  fix settings only getting applied to screen 0 in a multihead
	  setup when
	  the settings change (bug 3467)

2007-11-15 06:22  kelnos

	* src/xfdesktop-icon-view.c:
	  ok, this should fix the annoying spurious drag when
	  double-clicking
	  a volume icon that fails to mount (bug 3426)

2007-11-15 06:18  kelnos

	* src/xfdesktop-icon-view.c:
	  revert useless fix for bug 3426

2007-11-11 03:25  mmassonnet

	* po/ChangeLog, po/lv.po:
	  Update latvian

2007-11-09 06:52  kelnos

	* src/xfce-desktop.c:
	  pass 0 for the button to gtk_menu_popup() always, even if we
	  know the
	  correct button number. for some reason menu items in submenus
	  don't activate
	  if we don't (bug 3252)

2007-11-07 06:13  kelnos

	* src/xfdesktop-icon-view.c:
	  possibly fix fake drag when double-clicking an icon causes an
	  error dialog
	  to pop up (bug 3426)

2007-11-07 06:12  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  fix warning

2007-11-07 05:49  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  rewrite entire icon positions file to clean out stale entries
	  (bug 3267)

2007-11-05 05:37  mmassonnet

	* po/ChangeLog, po/fr.po:
	  Update fr translation

2007-11-03 10:25  maximilian

	* po/ChangeLog, po/fr.po:
	  French, Italian, Norwegian Bokmal Updates in some branch 4.4
	  modules and French translation updates in some trunk modules.

2007-11-03 05:29  erenturkay

	* po/ChangeLog, po/tr.po:
	  * update translation

2007-10-25 05:06  kelnos

	* configure.ac.in:
	  use tagged svn version scheme, clean out unneeded cruft

2007-10-25 05:04  kelnos

	* doc/C/Makefile.am, doc/C/xfdesktop.html, doc/fr/Makefile.am,
	  doc/fr/xfdesktop.html:
	  fix make distcheck for the docs dir; update html

2007-10-21 09:42  sas

	* po/hu.po:
	  hu trunk: little updates

2007-10-20 23:58  kelnos

	* configure.ac.in, src/xfdesktop-special-file-icon.c,
	  src/xfdesktop-volume-icon.c:
	  mess with tooltips

2007-10-20 23:58  kelnos

	* src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-window-icon-manager.c:
	  fix crash when switching icon styles

2007-10-20 21:40  kelnos

	* po/POTFILES.in, po/am.po, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/lv.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sq.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  update-po

2007-10-20 21:30  kelnos

	* src/menu.c, src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-icon-view.c, src/xfdesktop-icon.c,
	  src/xfdesktop-icon.h, src/xfdesktop-special-file-icon.c,
	  src/xfdesktop-volume-icon.c,
	  src/xfdesktop-window-icon-manager.c,
	  src/xfdesktop-window-icon.c:
	  redo menu system, part 2. the desktop context menus with file
	  icons and
	  window icons is now a lot more usable. for both window icons and
	  file icons,
	  when you right click on an icon, you get the icon's context
	  menu, with
	  the xfce root menu in a submenu. for file icons, if you right
	  click on
	  the desktop, you get the desktop's context menu (with 'create
	  launcher' etc.)
	  with the xfce root menu as a submenu.

2007-10-20 20:36  kelnos

	* configure.ac.in, modules/menu/desktop-menu.c:
	  jannis made it possible to clean up the vtable, so let's do
	  that.
	  requires newer version of libxfce4menu

2007-10-20 19:46  kelnos

	* modules/menu/desktop-menu.c:
	  no need to clear XfceMenu monitor vtable

2007-10-20 19:21  kelnos

	* src/menu.c, src/windowlist.c:
	  use correct function prototype, even tho it doesn't really
	  matter in this
	  case

2007-10-20 19:10  kelnos

	* ChangeLog, common/desktop-menu-stub.c,
	  common/desktop-menu-stub.h, menueditor/Makefile.am,
	  menueditor/dummy_icon.h, menueditor/menueditor-main-window.c,
	  modules/menu/Makefile.am, modules/menu/desktop-menu-private.h,
	  modules/menu/desktop-menu.c, modules/menu/desktop-menu.h,
	  modules/menu/dummy_icon.h, src/Makefile.am, src/main.c,
	  src/main.h, src/menu.c, src/menu.h, src/windowlist.c,
	  src/windowlist.h, src/xfce-desktop.c, src/xfce-desktop.h,
	  src/xfdesktop-marshal.list:
	  Redo how the menu system works so i can support multiple menus
	  on the
	  desktop propery. Instead of the old method, where main.c watched
	  the
	  desktop for mouse clicks, not XfceDesktop does that, and emits
	  two new
	  signals: populate-root-menu and populate-secondary-root-menu.
	  Handlers
	  of these get passed a GtkMenu, which they should fill with menu
	  items.
	  They can (optionally) check to see if the passed GtkMenu already
	  has
	  menu items in it (put there by another handler) and put menu
	  items in
	  a submenu of the passed item.
	  
	  This cleaned up interfaces quite a bit and moved code to some
	  more sane
	  locations. The semi-downside of this is that now XfceDesktopMenu
	  needs
	  to generate a GtkMenu tree from the XfceMenu every time the menu
	  has
	  popped up. Performance doesn't seem to be hurt too much on my
	  system,
	  but it might be a problem for some really slow old hardware (but
	  hopefully
	  not). The upside is that the full GtkMenu tree isn't kept around
	  in
	  RAM all the time.
	  
	  End-user behavior hasn't changed yet, but this will let me
	  properly fix the
	  context menu for the desktop when file icons are enabled.

2007-10-20 16:47  kelnos

	* src/Makefile.am, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon.c, src/xfdesktop-marshal.list:
	  auto-generate marshalling functions

2007-10-20 16:46  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-utils.c:
	  * semi-fix a problem with loading file icons
	  * fix a spurious warning that gcc 4.2 generates for no apparent
	  reason

2007-10-06 17:00  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/lv.po:
	  * libexo, libxfce4util, xfcalendar, xfce4-panel, xfce4-session,
	  xfce-mcs-plugins,
	  xfdesktop, xfprint, xfwm4: Add Latvian translation.

2007-10-01 19:05  kelnos

	* common/xfdesktop-common.c:
	  keep trying to get a kbd/mouse grab 3x as long - fix problems
	  people reporting
	  with the keyboard shortcuts not working. i think something got
	  odd with gtk
	  2.12.

2007-10-01 18:55  kelnos

	* configure.ac.in:
	  update libxfce4menu required version

2007-10-01 07:09  kelnos

	* modules/menu/desktop-menu.c:
	  hook up jannis' new file monitoring stuff

2007-09-25 17:40  mmassonnet

	* po/ChangeLog, po/ko.po:
	  * xfce4-session, libxfcegui4, xfwm4, xfcalendar, xfdesktop,
	  terminal:
	  Update Korean translation by ByungHyun Choi

2007-09-22 20:09  peetervois

	* po/et.po:
	  Few updates for Estonian language

2007-09-12 19:45  piarres

	* po/ChangeLog, po/eu.po:
	  BAsque trasnlation update

2007-09-09 21:04  nab

	* po/ChangeLog, po/be.po:
	  2007-09-10 Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated Belarusian translation

2007-09-07 18:37  jari

	* po/ChangeLog, po/fi.po:
	  Updated Finnish translation.

2007-09-06 18:16  maximilian

	* po/ChangeLog, po/LINGUAS, po/am.po:
	  Added a long waiting Amharic translation for trunk.

2007-08-15 09:53  alnokta

	* po/ar.po:
	  Updating Arabic translations

2007-07-18 16:35  maximilian

	* po/ChangeLog, po/de.po:
	  Small fix in Xfdesktop's German menu.

2007-07-14 03:04  daichi

	* po/ChangeLog, po/ja.po:
	  Added/Updated Japanese translations.

2007-07-08 00:29  kelnos

	* modules/menu/desktop-menu.c:
	  init thunar vfs (needed if xfdesktop is compiled without file
	  icons)

2007-07-08 00:26  kelnos

	* src/main.c:
	  don't require thunar-vfs if file icons are disabled

2007-07-07 20:56  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  make sure g_thread_init() is called first

2007-07-07 20:34  kelnos

	* configure.ac.in:
	  fix --disable-menu-editor option

2007-07-07 18:40  kelnos

	* configure.ac.in:
	  bump version to 4.5.0

2007-07-05 01:48  aalam

	* po/pa.po:
	  updating for Punjabi

2007-07-01 15:04  olivier

	* src/main.c:
	  Always use button 0 in gtk_menu_popup() as GTK+ 2.11+ expects
	  the same button to be pressed or it doesn't activate the entry
	  (Bug #3359)

2007-06-29 20:17  maximilian

	* po/ChangeLog, po/pt_PT.po:
	  European Portuguese translations update (trunk)

2007-06-22 18:10  jasper

	* src/windowlist.c:
	  Don't set workspace for sticky windows. Possibly related to bug
	  #3317.

2007-06-10 23:25  maximilian

	* po-doc/ChangeLog, po-doc/fr.po, po/ChangeLog, po/fr.po:
	  * nb_NO: Updated some Norwegian translations and added one for
	  Xfmedia
	  * pt_PT: Added European Portuguese translations
	  * Changed my email address

2007-05-11 14:08  erenturkay

	* po/ChangeLog, po/tr.po:
	  some fixes

2007-05-11 02:59  kelnos

	* menueditor/menueditor-main.c:
	  add warning that menueditor doesn't work anymore

2007-05-11 02:25  kelnos

	* modules/menu/desktop-menu.c:
	  fix deprecation warning

2007-05-11 02:00  kelnos

	* NEWS:
	  update NEWS file

2007-05-11 01:42  kelnos

	* settings/appearance-settings.c, src/xfce-backdrop.c,
	  src/xfce-backdrop.h:
	  add 'zoomed' option to backdrop styles. this is a combination
	  scaling/cropping
	  mode that ensures the backdrop image extends to every edge of
	  the screen
	  without messing with the aspect ratio. patch from
	  trondsg@gmail.com (bug 3138)

2007-05-05 18:10  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  fix memleak and 'too many open file descriptors' (missing
	  xfce_rc_close())
	  (bug 3065)

2007-05-05 14:55  majkl

	* po/cs.po:
	  Updated Czech translations

2007-04-11 19:55  erenturkay

	* po/tr.po:
	  fix a very little mistake :(((

2007-04-09 10:05  maximilian

	* po-doc/fr.po, po/fr.po:
	  * fr.po: Fixed typos and style in the French translation of
	  Terminal's manual
	  * Changed my email address in all the fr.po files in trunk and
	  4.4

2007-04-08 10:40  daichi

	* po/ChangeLog, po/POTFILES.in, po/POTFILES.skip, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mk.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sq.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  * POTFILES.in: Removed panel-plugin/xfce4-menu.desktop.in,
	  added panel-plugin/xfce4-menu.desktop.in.in.
	  * POTFILES.skip: Added.
	  * ar.po: Fixed errors.
	  * ja.po: Updated Japanese translations.
	  * *.po: Updated.

2007-04-07 22:07  maximilian

	* doc/fr/images/Makefile.am, doc/fr/images/root_menu.png,
	  doc/fr/images/root_menu2.png, doc/fr/images/select_bg_color.png,
	  doc/fr/images/xfdesktop-appearance-tab.png,
	  doc/fr/images/xfdesktop-background.png,
	  doc/fr/images/xfdesktop-behavior-tab.png,
	  doc/fr/images/xfdesktop-editor.png,
	  doc/fr/images/xfdesktop-list.png,
	  doc/fr/images/xfdesktop-menu-tab.png, doc/fr/xfdesktop.html,
	  doc/fr/xfdesktop.xml.in, po-doc/ChangeLog, po-doc/fr.po,
	  po-doc/xfdesktop.pot:
	  Complete rewrite with updated images of the French translation
	  for Xfdesktop's manual, trunk and 4.4. Updated some translations
	  in trunk.

2007-04-05 13:41  paurullan

	* po/ChangeLog, po/ca.po:
	  i18n catalan update

2007-04-01 09:15  maximilian

	* po/ChangeLog, po/zh_CN.po:
	  Updated the Simplified Chinese translations for trunk.

2007-03-31 07:43  kelnos

	* common/xfdesktop-common.c:
	  most likely fix problem with menu file not being found when it's
	  in
	  a prefix that includes the user's homedir

2007-03-30 08:54  maximilian

	* po/ChangeLog, po/fr.po, po/zh_CN.po:
	  Updated the Simplified Chinese translations for Xfce 4.4

2007-03-29 18:30  erenturkay

	* po/ChangeLog, po/tr.po:
	  update

2007-03-28 20:51  maximilian

	* po/ChangeLog, po/de.po, po/en_GB.po:
	  * de.po: Nico Schümann minor fixes to the German translations
	  * en_GB.po: Jeff Bailes updated the British English translations
	  for trunk and branches

2007-03-27 21:46  sas

	* po/hu.po:
	  hu trunk: desktop & panel updates

2007-03-25 11:04  daichi

	* po/ChangeLog, po/mk.po:
	  Removed executable attribute.

2007-03-24 20:26  maximilian

	* po/ChangeLog, po/de.po, po/fr.po:
	  * de.po: Nico Schümann updated the following German translations
	  libexo; xfburn; xfce4-panel and xfdesktop
	  * fr.po: Updated the following French translations
	  squeeze; xfce4-panel and xfdesktop

2007-03-23 20:26  jannis

	* configure.ac.in, modules/menu/desktop-menu.c:
	  Synchronize with libxfce4menu API. Make sure to have the correct
	  libxfce4menu version installed before enabling the menu plugin.

2007-03-23 16:56  kelnos

	* common/desktop-menu-stub.c, configure.ac.in,
	  modules/menu/Makefile.am, modules/menu/desktop-menu-private.h,
	  modules/menu/desktop-menu.c, modules/menu/frapmenu,
	  modules/menu/merge-frapmenu-svn.sh, panel-plugin/Makefile.am,
	  src/Makefile.am:
	  ditch frapmenu and use libxfce4menu instead. awesome.

2007-03-23 00:11  kelnos

	* src/windowlist.c:
	  ok, i should actually read patches before i apply them. change
	  datatype
	  from gint to gboolean, because i'm anal

2007-03-23 00:09  kelnos

	* src/windowlist.c:
	  fix multiple separators in windowlist menu when showing
	  workspace names is
	  disabled and some workspaces are empty

2007-03-20 19:41  kelnos

	* panel-plugin:
	  update svn:ignore

2007-03-20 19:40  kelnos

	* .:
	  update svn:ignore

2007-03-20 19:37  kelnos

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/lt.po, po/mk.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfdesktop.pot,
	  po/zh_CN.po, po/zh_TW.po:
	  POTFILES.in: add xfce-screensavers.directory.in and remove
	  xfce-science.directory.in
	  update-po

2007-03-20 19:28  kelnos

	* modules/menu/frapmenu/Makefile.am,
	  modules/menu/frapmenu/frap-menu-item-cache.c,
	  modules/menu/frapmenu/frap-menu.c,
	  modules/menu/merge-frapmenu-svn.sh:
	  update frapmenu from libfrap svn, add script to make all this
	  easier

2007-03-20 19:08  kelnos

	* modules/menu/desktop-menu.c:
	  shutdown and reinit FrapMenu every time we regen the menu,
	  because
	  FrapMenu caches too much

2007-03-20 18:57  kelnos

	* modules/menu/directory-data/Makefile.am,
	  modules/menu/directory-data/xfce-screensavers.directory.in,
	  modules/menu/menu-data/xfce-applications.menu:
	  dump screensavers in a submenu of 'Settings'

2007-03-20 18:48  kelnos

	* modules/menu/directory-data/Makefile.am,
	  modules/menu/directory-data/xfce-science.directory.in,
	  modules/menu/menu-data/xfce-applications.menu:
	  remove 'Science' from the toplevel categories (it should get
	  sorted
	  under 'Education' anyway).

2007-03-19 23:57  kelnos

	* settings/behavior-settings.c, settings/settings-common.h,
	  src/windowlist.c:
	  add windowlist prefs:
	  - toggle showing workspace names in list
	  - toggle showing windows in a submenu per workspace
	  - toggle showing sticky windows only in the active workspace
	  (bug 3024)
	  
	  need to clean up extra whitespace in dialog; later

2007-03-19 18:15  kelnos

	* modules/menu/desktop-menu.c:
	  no, jannis, i don't mind you updating xfdesktop, but at least
	  use my
	  coding style next time ^_~

2007-03-19 14:47  erenturkay

	* po/tr.po:
	  update po

2007-03-19 13:32  jannis

	* modules/menu/frapmenu/frap-menu.c:
	  Update frap-menu.c again.

2007-03-19 13:15  jannis

	* modules/menu/desktop-menu.c,
	  modules/menu/frapmenu/frap-menu-layout.c,
	  modules/menu/frapmenu/frap-menu.c,
	  modules/menu/frapmenu/frap-menu.h:
	  Brian, I hope you don't mind me updating xfdesktop to be in sync
	  with the latest changes. I just wanted to see if it works and
	  now that the code is written down already - why not use it?
	  
	  modules/menu/frapmenu/:
	  * Update frap-menu.c, frap-menu.h, frap-menu-layout.c.
	  
	  modules/menu/desktop-menu.c:
	  * Check if the menu has a layout and if not, concat submenus and
	  items
	  properly before generating the widgets for them.
	  * Properly set the submenu name by using
	  frap_menu_get_name(submenu)
	  rather than frap_menu_get_name(menu).

2007-03-19 08:31  kelnos

	* modules/menu/desktop-menu.c:
	  check that the menu file exists before feeding it to FrapMenu

2007-03-19 08:17  kelnos

	* modules/menu/desktop-menu.c:
	  watch $XDG_CONFIG_HOME/menus for changes if UserMenu is true
	  (this catches
	  the case where the user doesn't have their own menu, but creates
	  one while
	  xfdesktop is running)

2007-03-19 07:56  kelnos

	* panel-plugin/Makefile.am, panel-plugin/desktop-menu-plugin.c:
	  make the menu plugin not crash. not crashing is good.

2007-03-19 07:36  kelnos

	* src/main.c, src/xfce-desktop.c:
	  always init/shutdown thunar-vfs if either file icons are enabled
	  or we're
	  using thunar-vfs for desktop menu regen monitoring. don't init
	  and shutdown
	  when switching icon styles; just leave it

2007-03-19 07:32  kelnos

	* src/main.c:
	  make sure thunar-vfs gets inited if we need it for the desktop
	  menu

2007-03-19 07:28  kelnos

	* configure.ac.in, modules/menu/Makefile.am,
	  modules/menu/desktop-menu-private.h,
	  modules/menu/desktop-menu.c:
	  use thunar-vfs for directory change notification so we know when
	  we should
	  regenerate the desktop menu

2007-03-19 07:05  sas

	* po/hu.po:
	  hu trunk: dt updates

2007-03-19 07:03  kelnos

	* modules/menu/directory-data/Makefile.am:
	  remove trailing whitespace after \

2007-03-19 05:57  kelnos

	* 4.4-i18n-migration/README:
	  explain what's in this dir

2007-03-19 05:56  kelnos

	* 4.4-i18n-migration, 4.4-i18n-migration/menuxml,
	  4.4-i18n-migration/menuxml/az.po,
	  4.4-i18n-migration/menuxml/ca.po,
	  4.4-i18n-migration/menuxml/cs.po,
	  4.4-i18n-migration/menuxml/da.po,
	  4.4-i18n-migration/menuxml/de.po,
	  4.4-i18n-migration/menuxml/el.po,
	  4.4-i18n-migration/menuxml/es.po,
	  4.4-i18n-migration/menuxml/et.po,
	  4.4-i18n-migration/menuxml/eu.po,
	  4.4-i18n-migration/menuxml/fa_IR.po,
	  4.4-i18n-migration/menuxml/fi.po,
	  4.4-i18n-migration/menuxml/fr.po,
	  4.4-i18n-migration/menuxml/he.po,
	  4.4-i18n-migration/menuxml/hu.po,
	  4.4-i18n-migration/menuxml/ja.po,
	  4.4-i18n-migration/menuxml/ko.po,
	  4.4-i18n-migration/menuxml/menuxml-i18n-create-pot.pl,
	  4.4-i18n-migration/menuxml/menuxml-i18n-extract-all.pl,
	  4.4-i18n-migration/menuxml/menuxml-i18n-merge-all.pl,
	  4.4-i18n-migration/menuxml/menuxml.pot,
	  4.4-i18n-migration/menuxml/ms.po,
	  4.4-i18n-migration/menuxml/nl.po,
	  4.4-i18n-migration/menuxml/pa.po,
	  4.4-i18n-migration/menuxml/pl.po,
	  4.4-i18n-migration/menuxml/pt_BR.po,
	  4.4-i18n-migration/menuxml/ro.po,
	  4.4-i18n-migration/menuxml/ru.po,
	  4.4-i18n-migration/menuxml/sk.po,
	  4.4-i18n-migration/menuxml/sv.po,
	  4.4-i18n-migration/menuxml/ta.po,
	  4.4-i18n-migration/menuxml/tr.po,
	  4.4-i18n-migration/menuxml/uk.po,
	  4.4-i18n-migration/menuxml/vi.po,
	  4.4-i18n-migration/menuxml/zh_CN.po,
	  4.4-i18n-migration/menuxml/zh_TW.po, 4.4-i18n-migration/regcat,
	  4.4-i18n-migration/regcat/ca.po,
	  4.4-i18n-migration/regcat/cs.po,
	  4.4-i18n-migration/regcat/de.po,
	  4.4-i18n-migration/regcat/el.po,
	  4.4-i18n-migration/regcat/es.po,
	  4.4-i18n-migration/regcat/eu.po,
	  4.4-i18n-migration/regcat/fi.po,
	  4.4-i18n-migration/regcat/fr.po,
	  4.4-i18n-migration/regcat/he.po,
	  4.4-i18n-migration/regcat/hu.po,
	  4.4-i18n-migration/regcat/ja.po,
	  4.4-i18n-migration/regcat/nl.po,
	  4.4-i18n-migration/regcat/pl.po,
	  4.4-i18n-migration/regcat/pt_BR.po,
	  4.4-i18n-migration/regcat/regcat-i18n-create-pot.pl,
	  4.4-i18n-migration/regcat/regcat-i18n-extract-all.pl,
	  4.4-i18n-migration/regcat/regcat-i18n-merge-all.pl,
	  4.4-i18n-migration/regcat/regcat.pot,
	  4.4-i18n-migration/regcat/ro.po,
	  4.4-i18n-migration/regcat/ru.po,
	  4.4-i18n-migration/regcat/sk.po,
	  4.4-i18n-migration/regcat/sv.po,
	  4.4-i18n-migration/regcat/tr.po,
	  4.4-i18n-migration/regcat/zh_CN.po,
	  4.4-i18n-migration/regcat/zh_TW.po:
	  might as well save the work i did to migrate all the old menu
	  system
	  translated strings to the new menu system. might be useful again
	  later.

2007-03-19 05:54  kelnos

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/lt.po, po/mk.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/xfdesktop.pot,
	  po/zh_CN.po, po/zh_TW.po:
	  well, this was fun.
	  
	  first, we use intltool to pull all the strings out of the
	  new.desktop
	  and .directory files and update-po. then, we write a bunch of
	  perl scripts to
	  extract any useful translated strings from all the translated
	  menu.xml.* and
	  xfce-registered-categories.xml.* files from the 4.4 branch, and
	  then merge
	  them into the trunk .po files.

2007-03-19 03:44  kelnos

	* modules/menu/menu-data:
	  update svn:ignore

2007-03-19 03:43  kelnos

	* modules/menu/menu-data/Makefile.am,
	  modules/menu/menu-data/xfce4-about-xfce.desktop,
	  modules/menu/menu-data/xfce4-about-xfce.desktop.in,
	  modules/menu/menu-data/xfce4-file-manager.desktop,
	  modules/menu/menu-data/xfce4-file-manager.desktop.in,
	  modules/menu/menu-data/xfce4-help.desktop,
	  modules/menu/menu-data/xfce4-help.desktop.in,
	  modules/menu/menu-data/xfce4-logout.desktop,
	  modules/menu/menu-data/xfce4-logout.desktop.in,
	  modules/menu/menu-data/xfce4-run-program.desktop,
	  modules/menu/menu-data/xfce4-run-program.desktop.in,
	  modules/menu/menu-data/xfce4-terminal.desktop,
	  modules/menu/menu-data/xfce4-terminal.desktop.in,
	  modules/menu/menu-data/xfce4-web-browser.desktop,
	  modules/menu/menu-data/xfce4-web-browser.desktop.in:
	  make .desktop files for default root menu i18n-able

2007-03-19 03:41  kelnos

	* modules/menu/directory-data/Makefile.am:
	  fix typo in makefile.am

2007-03-19 03:36  kelnos

	* configure.ac.in, modules/menu/Makefile.am,
	  modules/menu/desktop-menu.c, modules/menu/directory-data,
	  modules/menu/directory-data/Makefile.am,
	  modules/menu/directory-data/xfce-accessories.directory.in,
	  modules/menu/directory-data/xfce-development.directory.in,
	  modules/menu/directory-data/xfce-education.directory.in,
	  modules/menu/directory-data/xfce-games.directory.in,
	  modules/menu/directory-data/xfce-graphics.directory.in,
	  modules/menu/directory-data/xfce-multimedia.directory.in,
	  modules/menu/directory-data/xfce-network.directory.in,
	  modules/menu/directory-data/xfce-office.directory.in,
	  modules/menu/directory-data/xfce-other.directory.in,
	  modules/menu/directory-data/xfce-science.directory.in,
	  modules/menu/directory-data/xfce-settings.directory.in,
	  modules/menu/directory-data/xfce-system.directory.in,
	  modules/menu/menu-data/xfce-applications.menu:
	  add and implement .directory stuff. we have category icons now!

2007-03-19 02:46  kelnos

	* modules/menu/desktop-menu.c:
	  fix memleak; remove dead code

2007-03-19 02:33  kelnos

	* ., modules/menu/frapmenu, modules/menu/frapmenu/tdb,
	  modules/menu/menu-data:
	  update svn:ignore

2007-03-19 02:29  kelnos

	* modules/menu/desktop-menu.c, modules/menu/frapmenu/Makefile.am,
	  modules/menu/frapmenu/frap-menu-item.c,
	  modules/menu/frapmenu/frap-menu-layout.c,
	  modules/menu/frapmenu/frap-menu-layout.h,
	  modules/menu/frapmenu/frap-menu-separator.c,
	  modules/menu/frapmenu/frap-menu-separator.h,
	  modules/menu/frapmenu/frap-menu.c,
	  modules/menu/frapmenu/frap-menu.h,
	  modules/menu/frapmenu/libfrapmenu.h,
	  modules/menu/frapmenu/tdb/Makefile.am,
	  modules/menu/frapmenu/tdb/README,
	  modules/menu/frapmenu/tdb/spinlock.c,
	  modules/menu/frapmenu/tdb/spinlock.h,
	  modules/menu/frapmenu/tdb/tdb.c,
	  modules/menu/frapmenu/tdb/tdb.h,
	  modules/menu/frapmenu/tdb/tdbtool.c,
	  modules/menu/menu-data/xfce-applications.menu:
	  update my local copy of frapmenu - layout works now! (mostly)

2007-03-18 17:45  jannis

	* modules/menu/menu-data/xfce-applications.menu:
	  Fix desktop file IDs included in the layout

2007-03-18 10:38  erenturkay

	* po/ChangeLog:
	  update ChangeLog

2007-03-18 02:44  kelnos

	* INSTALL, configure.ac.in, modules/menu/menu-data/Makefile.am,
	  modules/menu/menu-data/xfce-applications.menu,
	  modules/menu/menu-data/xfce-applications.menu.in:
	  * remove INSTALL since automake/conf or whomever appears to
	  supply it now
	  * move xfce-applications.menu.in to xfce-applications.menu since
	  configure
	  doesn't need to generate it anymore (thanks jannis!)

2007-03-17 21:12  jannis

	* modules/menu/menu-data/Makefile.am,
	  modules/menu/menu-data/about-xfce.desktop,
	  modules/menu/menu-data/file-manager.desktop,
	  modules/menu/menu-data/help.desktop,
	  modules/menu/menu-data/logout.desktop,
	  modules/menu/menu-data/run-program.desktop,
	  modules/menu/menu-data/terminal.desktop,
	  modules/menu/menu-data/web-browser.desktop,
	  modules/menu/menu-data/xfce-applications.menu.in,
	  modules/menu/menu-data/xfce4-about-xfce.desktop,
	  modules/menu/menu-data/xfce4-file-manager.desktop,
	  modules/menu/menu-data/xfce4-help.desktop,
	  modules/menu/menu-data/xfce4-logout.desktop,
	  modules/menu/menu-data/xfce4-run-program.desktop,
	  modules/menu/menu-data/xfce4-terminal.desktop,
	  modules/menu/menu-data/xfce4-web-browser.desktop:
	  All .desktop files now have a "xfce4-" prefix, are part of the
	  "X-Xfce-Toplevel" category and OnlyShowIn=XFCE. They're not
	  installed into /usr/share/applications/menu-data/ anymore.
	  
	  Added a <Layout> element to xfce-applications.menu.in. Also
	  cleaned
	  up the file a little and added an <Include> rule for the
	  "X-Xfce-Toplevel" category in the root menu element.

2007-03-04 07:18  erenturkay

	* po/tr.po:
	  update Turkish translation

2007-03-03 10:06  mvd

	* po/ChangeLog, po/uk.po:
	  2007-03-03 Maxim Dziumanenko <dziumanenko@gmail.com>
	  
	  * Update Ukrainian translation.

2007-02-25 02:28  kelnos

	* settings/appearance-settings.c:
	  fix uri parsing to unescape '%##' stuff in the uri (bug 2942)

2007-02-25 01:37  kelnos

	* src/xfce-backdrop.c:
	  use nearest-neighbor interpolation when compositing a backdrop
	  image when the
	  image src is just centered or tiled onto dest. using bilinear or
	  hyper interp
	  causes blurriness in those cases. (patch mostly from Henk Boom,
	  bug 2939).
	  
	  also, a minor optimisation: if the src and dest image sizes are
	  equal, pretend
	  the image style is 'centered' regardless of whatever it is to
	  avoid extra
	  scaling or pixbuf copying.

2007-02-22 17:51  kelnos

	* configure.ac.in, modules/menu/menu-data/Makefile.am,
	  modules/menu/menu-data/xfce-applications.menu.in:
	  fix weirdness with $prefix and expand $datadir properly

2007-02-22 07:47  kelnos

	* modules/menu/desktop-menu.c:
	  ditch empty submenus

2007-02-22 07:46  kelnos

	* modules/menu/frapmenu/tdb/Makefile.in:
	  remove generated file (how'd that get there? bad svn!)

2007-02-21 20:31  kelnos

	* modules/menu/menu-data/xfce-applications.menu.in:
	  make the 'Other' menu work properly. thanks to jannis for the
	  tip

2007-02-21 01:47  kelnos

	* Makefile.am, menu.xml, menu.xml.az, menu.xml.ca, menu.xml.cs,
	  menu.xml.da, menu.xml.de, menu.xml.el, menu.xml.es, menu.xml.et,
	  menu.xml.eu, menu.xml.fa_IR, menu.xml.fi, menu.xml.fr,
	  menu.xml.he, menu.xml.hu, menu.xml.ja, menu.xml.ko, menu.xml.ms,
	  menu.xml.nl, menu.xml.pa, menu.xml.pl, menu.xml.pt_BR,
	  menu.xml.ro, menu.xml.ru, menu.xml.sk, menu.xml.sv, menu.xml.ta,
	  menu.xml.tr, menu.xml.uk, menu.xml.vi, menu.xml.zh_CN,
	  menu.xml.zh_TW:
	  remove all the menu.xml.* files

2007-02-21 01:45  kelnos

	* INSTALL, common/desktop-menu-stub.c, common/xfdesktop-common.c,
	  configure.ac.in, modules/menu/Makefile.am,
	  modules/menu/desktop-menu-cache.c,
	  modules/menu/desktop-menu-cache.h,
	  modules/menu/desktop-menu-dentry.c,
	  modules/menu/desktop-menu-dentry.h,
	  modules/menu/desktop-menu-file.c,
	  modules/menu/desktop-menu-file.h,
	  modules/menu/desktop-menu-private.h,
	  modules/menu/desktop-menu.c, modules/menu/desktop-menuspec.c,
	  modules/menu/desktop-menuspec.h, modules/menu/frapmenu,
	  modules/menu/frapmenu/Makefile.am, modules/menu/frapmenu/README,
	  modules/menu/frapmenu/frap-menu-and-rules.c,
	  modules/menu/frapmenu/frap-menu-and-rules.h,
	  modules/menu/frapmenu/frap-menu-directory.c,
	  modules/menu/frapmenu/frap-menu-directory.h,
	  modules/menu/frapmenu/frap-menu-environment.c,
	  modules/menu/frapmenu/frap-menu-environment.h,
	  modules/menu/frapmenu/frap-menu-item-cache.c,
	  modules/menu/frapmenu/frap-menu-item-cache.h,
	  modules/menu/frapmenu/frap-menu-item-pool.c,
	  modules/menu/frapmenu/frap-menu-item-pool.h,
	  modules/menu/frapmenu/frap-menu-item.c,
	  modules/menu/frapmenu/frap-menu-item.h,
	  modules/menu/frapmenu/frap-menu-move.c,
	  modules/menu/frapmenu/frap-menu-move.h,
	  modules/menu/frapmenu/frap-menu-not-rules.c,
	  modules/menu/frapmenu/frap-menu-not-rules.h,
	  modules/menu/frapmenu/frap-menu-or-rules.c,
	  modules/menu/frapmenu/frap-menu-or-rules.h,
	  modules/menu/frapmenu/frap-menu-rules.c,
	  modules/menu/frapmenu/frap-menu-rules.h,
	  modules/menu/frapmenu/frap-menu-standard-rules.c,
	  modules/menu/frapmenu/frap-menu-standard-rules.h,
	  modules/menu/frapmenu/frap-menu.c,
	  modules/menu/frapmenu/frap-menu.h,
	  modules/menu/frapmenu/libfrapmenu.h, modules/menu/frapmenu/tdb,
	  modules/menu/frapmenu/tdb/Makefile.am,
	  modules/menu/frapmenu/tdb/Makefile.in,
	  modules/menu/frapmenu/tdb/spinlock.c,
	  modules/menu/frapmenu/tdb/spinlock.h,
	  modules/menu/frapmenu/tdb/tdb.c,
	  modules/menu/frapmenu/tdb/tdb.h,
	  modules/menu/frapmenu/tdb/tdbconfig.h.in,
	  modules/menu/frapmenu/tdb/tdbspeed.c,
	  modules/menu/frapmenu/tdb/tdbtool.c,
	  modules/menu/frapmenu/tdb/tdbtorture.c, modules/menu/menu-data,
	  modules/menu/menu-data/Makefile.am,
	  modules/menu/menu-data/about-xfce.desktop,
	  modules/menu/menu-data/file-manager.desktop,
	  modules/menu/menu-data/help.desktop,
	  modules/menu/menu-data/logout.desktop,
	  modules/menu/menu-data/run-program.desktop,
	  modules/menu/menu-data/terminal.desktop,
	  modules/menu/menu-data/web-browser.desktop,
	  modules/menu/menu-data/xfce-applications.menu.in,
	  modules/menu/xfce-registered-categories.xml,
	  modules/menu/xfce-registered-categories.xml.ca,
	  modules/menu/xfce-registered-categories.xml.cs,
	  modules/menu/xfce-registered-categories.xml.de,
	  modules/menu/xfce-registered-categories.xml.el,
	  modules/menu/xfce-registered-categories.xml.es,
	  modules/menu/xfce-registered-categories.xml.eu,
	  modules/menu/xfce-registered-categories.xml.fi,
	  modules/menu/xfce-registered-categories.xml.fr,
	  modules/menu/xfce-registered-categories.xml.he,
	  modules/menu/xfce-registered-categories.xml.hu,
	  modules/menu/xfce-registered-categories.xml.ja,
	  modules/menu/xfce-registered-categories.xml.nl,
	  modules/menu/xfce-registered-categories.xml.pl,
	  modules/menu/xfce-registered-categories.xml.pt_BR,
	  modules/menu/xfce-registered-categories.xml.ro,
	  modules/menu/xfce-registered-categories.xml.ru,
	  modules/menu/xfce-registered-categories.xml.sk,
	  modules/menu/xfce-registered-categories.xml.sv,
	  modules/menu/xfce-registered-categories.xml.zh_CN,
	  modules/menu/xfce-registered-categories.xml.zh_TW,
	  src/Makefile.am, src/main.c:
	  import a snapshot of jannis' FrapMenu and rework the desktop
	  menu to use
	  that instead of the current implementation. it's nowhere near
	  finished.
	  
	  TODO:
	  * figure out how to create an ordering between items and
	  submenus
	  * write a script to pull all the translated strings out of all
	  the menu.xml.*
	  and xfce-registered-categories.xml.* files and merge them into
	  the
	  appropriate .desktop and .directory files
	  * filter out the %F, %f, %u, etc. crap from the commands in the
	  menu items
	  * make the 'Other' menu work
	  * ...?

2007-02-20 19:48  kelnos

	* Makefile.am:
	  add punjabi menu.xml to 4.4 branch, and add to makefile for
	  trunk

2007-02-19 03:36  aalam

	* menu.xml.pa:
	  adding Punjabi translation file here

2007-02-18 22:21  kelnos

	* modules/menu/desktop-menu-dentry.c,
	  modules/menu/desktop-menu-file.c, modules/menu/desktop-menu.h,
	  src/xfdesktop-icon-view.c:
	  remove use of __FUNCTION__ as it breaks sun's compiler (bug
	  2924)

2007-02-10 18:56  maximilian

	* po/ChangeLog, po/LINGUAS:
	  Verified all LINGUAS files and added Albanian language to it.

2007-02-10 00:44  kelnos

	* doc/C/xfdesktop.html, doc/C/xfdesktop.xml.in:
	  fix typo in docs

2007-02-08 22:33  alnokta

	* po/ChangeLog:
	  Adding information to the ChangeLog

2007-02-08 22:32  alnokta

	* po/ar.po:
	  289 strings, 1 fuzzy, 11 not translated. initial commit.

2007-02-07 14:28  maximilian

	* po/ChangeLog, po/fr.po, po/zh_CN.po:
	  Same as before but in trunk now.

2007-02-03 11:07  piarres

	* menu.xml.eu:
	  Basque translation update

2007-01-25 19:07  maximilian

	* po/ChangeLog, po/sq.po:
	  Added the Albanian translations by Besnik Bleta for the core
	  packages. Updated some French translations

2007-01-21 14:08  maximilian

	* menu.xml.ro, modules/menu/xfce-registered-categories.xml.ro,
	  po/ChangeLog, po/ro.po:
	  * fr.po: Minor changes to the French translations
	  in xfce-utils, libxfce4util and mousepad
	  * pl.po: Updated the Polish translation by Szymon Kałasz
	  <szymon_maestro@gazeta.pl>
	  in thunar and mousepad.
	  * ro.po: Updated the Romanian translation by Mişu Moldovan
	  <dumol@gnome.ro>
	  in most core packages.

2007-01-21 11:53  kelnos

	* ChangeLog:
	  update cl

2007-01-21 11:51  kelnos

	* NEWS:
	  update NEWS for 4.4.0

2007-01-20 21:17  benny

	* INSTALL, configure.ac.in, po/ar.po, po/az.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/lt.po, po/mk.po, po/mr.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po,
	  po/zh_TW.po:
	  Bump version. Update Project-Id-Version.

2007-01-20 13:18  kelnos

	* ChangeLog:
	  update cl

2007-01-20 13:11  kelnos

	* doc/C/xfdesktop.html, doc/C/xfdesktop.xml.in:
	  one more doc fix

2007-01-20 13:05  kelnos

	* doc/C/images/Makefile.am:
	  fix missing '\' in makefile

2007-01-20 13:03  kelnos

	* doc/C/images/Makefile.am, doc/C/images/root_menu.png,
	  doc/C/images/root_menu2.png, doc/C/images/select_bg_color.png,
	  doc/C/images/xfdesktop-appearance-tab.png,
	  doc/C/images/xfdesktop-background.png,
	  doc/C/images/xfdesktop-behavior-tab.png,
	  doc/C/images/xfdesktop-editor.png,
	  doc/C/images/xfdesktop-list.png,
	  doc/C/images/xfdesktop-menu-tab.png, doc/C/xfdesktop.html,
	  doc/C/xfdesktop.xml.in, doc/fr/xfdesktop.html:
	  xfdesktop docs update (incl screenshots)

2007-01-20 12:37  kelnos

	* settings/backdrop-list-manager.c:
	  use XfceTitledDialog for backdrop list manager

2007-01-19 23:38  maximilian

	* po/ChangeLog, po/pl.po:
	  Updated the Polish translations by Szymon Kałasz for the
	  mcs-plugins, libxfce4util, thunar, panel and xfdesktop packages.
	  Also added the new Polish translation for the Thunar
	  documentation to the po-doc folder.

2007-01-19 22:07  olivier

	* ChangeLog:
	  Update ChangeLog

2007-01-19 21:39  olivier

	* src/settings.c, src/windowlist.c, src/xfce-desktop.c:
	  Inadvertently committed some local private changes - reverted.

2007-01-19 21:35  olivier

	* INSTALL, configure.ac.in, src/settings.c, src/windowlist.c,
	  src/xfce-desktop.c:
	  Update version

2007-01-18 23:10  eulex

	* po/ChangeLog, po/sv.po:
	  Updated Swedish translations for:
	  * libexo
	  * libxfcegui4
	  * mousepad
	  * thunar
	  * xfcalendar
	  * xfce4-appfinder
	  * xfce4-panel
	  * xfce-mcs-plugins
	  * xfce-utils
	  * xfdesktop
	  * xfprint
	  * xfwm4
	  
	  Also thus updated appropriate ChangeLog files.

2007-01-18 19:12  maximilian

	* po/ChangeLog, po/pl.po:
	  Updated the Polish, German and French translations by,
	  respectively, Szymon Kalasz, Enrico troger and me.

2007-01-15 17:31  benny

	* settings/Makefile.am, settings/appearance-settings.c:
	  Use GtkFileChooser preview from libexo if available.

2007-01-11 20:47  maximilian

	* po/ChangeLog, po/pl.po:
	  Updated the Polish translation by Piotr Malinski for a few core
	  packages

2007-01-08 13:48  stephan

	* po/nl.po:
	  updated xfdesktop translation

2007-01-06 23:08  stephan

	* po/nl.po:
	  updated Dutch translations

2007-01-05 03:19  maximilian

	* po/ChangeLog, po/de.po:
	  Updated the German translations by Fabian Nowak for a few
	  packages and updated the French translation of libexo.

2007-01-02 13:27  maximilian

	* po/ChangeLog, po/be.po:
	  Updated the Belarusian translations by Alexander Nyakhaychyk for
	  the xfce4-session, xfdesktop and xfwm4 packages. Made small
	  corrections in thunar and terminal french translations.

2006-12-30 13:03  kelnos

	* HACKING:
	  some updates to HACKING

2006-12-27 15:35  kelnos

	* HACKING:
	  add a hacking file, because i'm bored.

2006-12-25 11:14  maximilian

	* po/ChangeLog, po/LINGUAS, po/mk.po:
	  Added the new translations from the Macedonian team for plenty
	  of packages, Merry Christmas

2006-12-22 18:52  maximilian

	* po/ChangeLog:
	  Updated the French translation for the xarchiver package and
	  fixed a mistake I introduced in Changelog's lately

2006-12-21 02:47  aalam

	* po/pa.po:
	  update for latest translation for Punjabi

2006-12-20 22:53  maximilian

	* po/ChangeLog, po/ru.po:
	  Updated the Russian translations by Andrey Fedoseev for a lot of
	  packages

2006-12-17 14:09  pollux

	* ChangeLog:
	  Change Stavros Giannouris's email address

2006-12-15 03:20  aalam

	* po/pa.po:
	  update for new changes in Punjabi lang by alam

2006-12-08 23:39  kelnos

	* src/xfdesktop-icon.c:
	  fix some more possible NULL derefs

2006-12-08 23:31  kelnos

	* src/xfdesktop-file-icon.c:
	  fix possible NULL pointer derefs (klocwork id 630)

2006-12-08 23:23  kelnos

	* src/xfce-desktop-settings.c:
	  fix possible crash with nonexistent or empty backdrop list file
	  (klocwork id 627)

2006-12-08 23:19  kelnos

	* src/xfce-desktop-settings.c:
	  fix monitor number validity checking when read from config file
	  (klockwork id 480)

2006-12-08 23:18  kelnos

	* src/windowlist.c:
	  this NULL pointer should probably never happen, but klockwork
	  noticed it,
	  so i might as well guard against it.

2006-11-30 18:23  stavrosg

	* po/ChangeLog, po/el.po:
	  E-mail address change. Sorry for the noise.

2006-11-27 20:02  pollux

	* menu.xml.ca:
	  updated Catalan translations

2006-11-27 16:32  pollux

	* modules/menu/xfce-registered-categories.xml.ca:
	  updated Catalan translations

2006-11-26 18:52  paurullan

	* po/ChangeLog, po/ca.po:
	  i18n catalan update

2006-11-24 23:20  maximilian

	* po/ChangeLog, po/fr.po:
	  Fixed some typos, spelling and unclear strings in the French
	  translations of the thunar and xfdesktop packages.

2006-11-17 22:56  olivier

	* panel-plugin/desktop-menu-plugin.c:
	  Use newer xfce_titled_dialog_new_with_buttons()

2006-11-16 01:18  yuvaltanny

	* po/he.po:
	  Updated Hebrew translations

2006-11-14 00:10  kelnos

	* src/Makefile.am:
	  pass --prefix option to dbus-binding-tool, as it's required in
	  dbus 0.72,
	  even though it's not used. weird. (bug 2578)

2006-11-13 20:19  kelnos

	* configure.ac.in:
	  move the rest of the version numbers, change the 'bug report'
	  address from
	  my email to bugzilla.xfce.org

2006-11-13 20:09  kelnos

	* configure.ac.in:
	  fix typo

2006-11-13 20:03  kelnos

	* Makefile.am, configure.ac.in, doc/C/Makefile.am,
	  doc/C/xfdesktop.html, doc/Makefile.am, doc/fr/Makefile.am,
	  doc/fr/xfdesktop.html, doc/it:
	  * remove the italian doc translation dir, as it's all just in
	  english
	  * fix build so xsltproc is not required for anything but make
	  dist, but
	  it can be enabled via --enable-xsltproc to build the docs

2006-11-13 09:00  kelnos

	* src/xfce-desktop.c:
	  fix coming out of xinerama stretch mode, sorta. still needs more
	  work, but
	  at least now it's possible to disable it (bug 2573)

2006-11-11 18:32  stavrosg

	* po/ChangeLog, po/el.po:
	  Greek translations update

2006-11-11 01:54  maximilian

	* po/ChangeLog, po/cs.po:
	  Updated the Czech translations by Michal Várady for the
	  following packages:
	  mousepad; thunar; xarchiver; xfburn; xfcalendar;
	  xfce-mcs-plugins; xfdesktop; xfce-battery-plugin
	  Updated the Polish translations by Szymon Kałasz for the
	  following packages:
	  terminal; xarchiver; xfburn

2006-11-10 21:03  piarres

	* po/ChangeLog, po/eu.po:
	  xfdesktop basque trsnaltion update

2006-11-10 09:19  kelnos

	* doc/C/Makefile.am, doc/C/xfdesktop.html, doc/C/xfdesktop.xml.in,
	  po-doc/LINGUAS, po-doc/it.po, po-doc/xfdesktop.pot:
	  * huge docs update. the screenshots need to be redone, and there
	  are some
	  new shots that need to be taken, but i'm too tired right now.
	  * remove it docs translation, as it isn't really a translation:
	  it's all in
	  english

2006-11-10 06:41  kelnos

	* doc/C, doc/fr, doc/it:
	  update svn:ignore

2006-11-10 06:07  kelnos

	* Makefile.am:
	  fix distcheck

2006-11-10 05:36  kelnos

	* Makefile.am, configure.ac.in, doc/C/xfdesktop.xml,
	  doc/C/xfdesktop.xml.in, doc/fr/xfdesktop.xml,
	  doc/fr/xfdesktop.xml.in, doc/it/xfdesktop.xml,
	  doc/it/xfdesktop.xml.in, po-doc, po-doc/ChangeLog,
	  po-doc/LINGUAS, po-doc/Makefile.am, po-doc/fr.po, po-doc/it.po,
	  po-doc/xfdesktop.pot:
	  move the documentation to use the xml2po framework for
	  translation as thunar
	  is doing. i'm not really sure i've done this the right way, but
	  i think so.

2006-11-09 19:58  kelnos

	* README, src/xfce-desktop.c:
	  * move removable icon enable call to after special icon so
	  special icons show
	  up first
	  * add hidden options to enable/disable removable icons and the 3
	  special icons.
	  yeah, i know, but it's a very very small, low-risk change, and
	  people will
	  appreciate it.

2006-11-09 07:47  kelnos

	* configure.ac.in:
	  * add a verbose warning message when dbus or thunar-vfs can't be
	  found
	  (bug 2522)
	  * move all required version numbers to the top of
	  configure.ac.in to make
	  changing them easy

2006-11-06 07:39  kelnos

	* src/xfdesktop-icon-view.c:
	  fix < vs. >= typo :-P

2006-11-06 07:16  kelnos

	* src/xfdesktop-icon-view.c:
	  * remove spurious 'realized' check in
	  xfdesktop_icon_view_remove_all(), as
	  there are never icons in priv->icons if the icon view is not
	  realized
	  * handle internal movements of icons between priv->icons and
	  priv->pending_icons
	  much saner, by separating out the actual addition to
	  priv->icons. this has
	  the nice result that icons don't disappear completely (and thus
	  leak memory)
	  if the icon size is set such that there isn't enough room on the
	  desktop for
	  a particular icon. if the icon size is later set smaller such
	  that the icon
	  will now fit, it'll reappear properly on its own (bug 1546)

2006-11-06 06:14  kelnos

	* src/xfdesktop-icon-view.c:
	  change icon cell sizing to be pix size * 2.5. this should
	  mitigate some of
	  the weirdness in bug 1546, though icons will still disappear if
	  you make
	  the icon size too large to fit all icons on the desktop. getting
	  the icons
	  back means dropping the icon size down, and then manually
	  refreshing the
	  desktop with F5. that's just how it is.

2006-11-06 02:37  kelnos

	* settings/appearance-settings.c, xfdesktop.spec.in:
	  correct typo

2006-11-06 00:51  kelnos

	* src/xfce-desktop.c:
	  reset the root window's back pixmap and those magic window
	  properties when
	  the backdrop changes. this fixes apps like terminal and xchat
	  not updating
	  their background when they do their pseudo-transparency thing
	  (bug 2508)

2006-11-05 18:54  paurullan

	* po/ChangeLog, po/ko.po:
	  i18n Korean update

2006-11-05 10:56  benny

	* configure.ac.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Bump version and requirements. Update Project-Id-Version.

2006-11-04 21:28  kelnos

	* ChangeLog:
	  update cl

2006-11-04 20:54  kelnos

	* src/xfdesktop-icon-view.c:
	  fix typo to re-fix bug 2437

2006-11-04 14:14  paurullan

	* po/ChangeLog, po/ca.po:
	  i18n catalan update

2006-11-04 13:15  kelnos

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po,
	  po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po,
	  po/hy.po, po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po,
	  po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  udpate-po... should be good for RC2 now, i think.

2006-11-04 13:13  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  if ~/Desktop disappears, reload and try to recreate it. should
	  hopefully fix
	  100% CPU issue (bug 2160)

2006-11-04 12:53  kelnos

	* src/xfdesktop-volume-icon.c:
	  be sure to catch mount point changes if the volume is updated
	  (e.g. mounted
	  or unmounted) outside of xfdesktop (bug 2489)

2006-11-04 12:27  kelnos

	* src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-regular-file-icon.c,
	  src/xfdesktop-special-file-icon.c, src/xfdesktop-volume-icon.c:
	  don't allow linking root items, as thunar-vfs throws a critical
	  warning and
	  then crashes when you try (bug 2470)

2006-11-04 12:04  kelnos

	* src/xfdesktop-icon-view.c:
	  fix broken multi-sel drags dropped onto a folder on the desktop
	  (bug 2437)

2006-11-04 12:01  kelnos

	* src/xfdesktop-icon-view.c:
	  don't allow a drop on one of the icons that is selected even if
	  a different
	  icon was dragged

2006-11-04 11:49  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-utils.c,
	  src/xfdesktop-file-utils.h, src/xfdesktop-special-file-icon.c,
	  src/xfdesktop-volume-icon.c:
	  change the cursor to the hourglass while invoking some dbus
	  methods

2006-11-04 10:55  kelnos

	* src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-regular-file-icon.c, src/xfdesktop-volume-icon.c:
	  this should fix the crash when dragging thunar's 'file system'
	  icon to the
	  desktop (bug 2470), but it doesn't because thunar-vfs craps out
	  when you try
	  to do that, for no reason i can see. if benny wants to keep it
	  this way, i'll
	  have to add a workaround :-p

2006-11-04 10:28  kelnos

	* src/xfdesktop-icon-view.c, src/xfdesktop-icon.c,
	  src/xfdesktop-icon.h, src/xfdesktop-regular-file-icon.c,
	  src/xfdesktop-special-file-icon.c, src/xfdesktop-volume-icon.c,
	  src/xfdesktop-window-icon.c:
	  remove XfdesktopIcon::is_drop_dest().
	  XfdesktopIcon::get_allowed_drop_actions()
	  serves the same purpose (0 for FALSE, something else for TRUE).
	  implement
	  all the get_allowed_drag_actions() and
	  get_allowed_drop_actions() in the
	  various XfdesktopIcon subclasses. things are a lot more sane
	  now.

2006-11-04 08:55  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon-view.h, src/xfdesktop-icon.c,
	  src/xfdesktop-icon.h, src/xfdesktop-regular-file-icon.c,
	  src/xfdesktop-special-file-icon.c, src/xfdesktop-volume-icon.c,
	  src/xfdesktop-window-icon-manager.c,
	  src/xfdesktop-window-icon.c:
	  first step to making DnD much less sucky and unmaintainable.
	  XfdesktopIcon
	  has two more vfuncs: get_allowed_drag_actions() and
	  get_allowed_drop_actions()
	  to help determining what kinds of drags and drops are allowed
	  for a particular
	  icon. XfdesktopIconView has lost the set_allow_overlapping_drops
	  property,
	  because it's just really not necessary.
	  
	  most of xfdesktop_icon_view_drag_motion() has been redone, and
	  it now looks
	  a lot cleaner and makes way more sense than before.
	  
	  no, the multiple DnD bug still isn't fixed. but now it should be
	  easier to
	  fix it.

2006-11-03 11:16  stephan

	* po/nl.po:
	  Updated dutch xfdesktop translation

2006-10-30 09:17  pollux

	* modules/menu/Makefile.am,
	  modules/menu/xfce-registered-categories.xml.ca:
	  add xfce-registered-categories.xml.ca

2006-10-30 00:17  kelnos

	* ., panel-plugin, po, src/xfdesktop-icon.h:
	  * remove some unneeded virtual functions in XfdesktopIcon
	  * update some 'svn:ignore's

2006-10-29 16:31  maximilian

	* po/ChangeLog, po/fr.po:
	  Updated libexo and terminal's french translations, added
	  translators credits to the thunar french translation, fixed a
	  wrong accel. in xfdesktop (thx goes to Mike Massonnet) and fixed
	  some typos in xfwm4's french translation.

2006-10-28 13:04  paurullan

	* po/ChangeLog, po/LINGUAS, po/dz.po:
	  added whole Dzongkha translation
	  
	  congratulations to the dz team.

2006-10-28 05:52  sas

	* po/hu.po:
	  terminal & desktop updated

2006-10-24 21:47  olivier

	* configure.ac.in:
	  Update version

2006-10-24 03:15  kelnos

	* src/xfdesktop-icon-view.c:
	  ok, really fix crash on screen size change (bug 2457)

2006-10-24 02:40  kelnos

	* src/xfdesktop-icon-view.c:
	  fix (i think) crash when the screen size changes (bug 2457), and
	  also icons
	  sometimes disappearing on screen change

2006-10-22 17:53  adriano

	* po/ChangeLog, po/pt_BR.po:
	  Updated brazilian portuguese translations.

2006-10-20 06:06  kelnos

	* src, src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-file-icon.c, src/xfdesktop-icon.h,
	  src/xfdesktop-volume-icon.c:
	  fix normal file icons not activating on double click or open
	  (bug 2452)

2006-10-19 19:23  sas

	* po/hu.po:
	  thunar & archiver updated

2006-10-19 18:54  jari

	* po/ChangeLog, po/fi.po:
	  Updated Finnish translations.

2006-10-19 08:50  piarres

	* po/ChangeLog, po/eu.po:
	  Basque trasnaltion update for xfdesktop and xarchiver

2006-10-19 02:39  kelnos

	* src/xfdesktop-file-icon.c, src/xfdesktop-file-icon.h,
	  src/xfdesktop-icon.c, src/xfdesktop-icon.h,
	  src/xfdesktop-regular-file-icon.c,
	  src/xfdesktop-special-file-icon.c, src/xfdesktop-volume-icon.c,
	  src/xfdesktop-window-icon.c, src/xfdesktop-window-icon.h:
	  * XfdesktopIcon is no longer a GTypeInterface; it's now just a
	  normal GType
	  (well, an abstract one).
	  * moved the _get/set_extents() and _get/set_position() stuff
	  into XfdesktopIcon
	  and removed the duplicated code in XfdesktopFileIcon and
	  XfdesktopWindowIcon

2006-10-18 08:44  maximilian

	* po/ChangeLog, po/fr.po:
	  Updated xarchiver and xfdesktop french translations

2006-10-18 06:17  kelnos

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gl.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  update-po

2006-10-18 06:12  kelnos

	* TODO:
	  update todo

2006-10-18 06:09  kelnos

	* src/xfdesktop-volume-icon.c:
	  simplify - why duplicate code...?

2006-10-18 06:01  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon.c, src/xfdesktop-icon.h,
	  src/xfdesktop-volume-icon.c, src/xfdesktop-window-icon.c:
	  rearrange how XfdesktopIcon::activated works. all those
	  connecting should
	  use g_signal_connect_after() so the icon implementations can
	  "hook" the signal
	  and do stuff (like mount a volume) before the icon gets
	  activated). this should
	  also fix a problem with volume icons not activating (bug 2206)

2006-10-18 00:54  kelnos

	* TODO:
	  update todo again

2006-10-18 00:47  kelnos

	* TODO:
	  update todo

2006-10-18 00:33  kelnos

	* src/xfdesktop-volume-icon.c:
	  whoops, one more toplevel

2006-10-18 00:29  kelnos

	* src/xfdesktop-regular-file-icon.c,
	  src/xfdesktop-special-file-icon.c, src/xfdesktop-volume-icon.c:
	  use xfdesktop_icon_peek_icon_view() to get parent windows for a
	  bunch of
	  dialogs

2006-10-18 00:11  kelnos

	* src/xfdesktop-icon.c, src/xfdesktop-icon.h:
	  add xfdesktop_icon_peek_icon_view() to XfdesktopIcon

2006-10-18 00:04  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-utils.c,
	  src/xfdesktop-file-utils.h, src/xfdesktop-volume-icon.c:
	  * show the application chooser using
	  org.xfce.FileManager.DisplayChooserDialog,
	  and add an "Open with other application" menu item (cool, the
	  string is
	  already there) (bug 1811)
	  * move the 'open folder' handling somewhere separate, and create
	  a generic
	  fallback for opening stuff when dbus fails

2006-10-17 20:51  kelnos

	* src/xfdesktop-icon-view.c:
	  fix text area not getting painted properly sometimes - usually
	  the bottom
	  getting cut off for larger icons (bug 2017)

2006-10-17 20:32  kelnos

	* settings/appearance-settings.c:
	  show warning about saving session both on check and on uncheck
	  (bug 1902)

2006-10-17 19:49  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  'delete' action should trash files by default, but force delete
	  if the user
	  holds down shift. fall back to standard delete (with
	  confirmation dlg) if
	  dbus isn't working. (bug 2185)

2006-10-16 19:37  kelnos

	* menu.xml.es:
	  fix bogus xfterm4 options in spanish localised menu (bug 2436)

2006-10-16 19:14  olivier

	* modules/menu/Makefile.am, panel-plugin/Makefile.am:
	  Fix Cygwin build.

2006-10-13 20:31  kelnos

	* src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-special-file-icon.c:
	  fix warnings and possible crash when trying to reload the
	  desktop too
	  quickly (i.e., before the previous reload is finished). partial
	  patch from
	  jani monoses (bug 2426)

2006-10-13 07:27  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-utils.c,
	  src/xfdesktop-icon-view.c:
	  make memory handling with regard to icon reference counting a
	  bit more sane.
	  XfdesktopIconView takes a reference on each icon it adds, and
	  releases it when
	  it's removed. as a result of this and fixing warnings and
	  whatnot, now the
	  icon view actually cleans itself up properly (i think) when
	  destroyed.

2006-10-13 06:13  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  actually remove the icons from the icon view before removing
	  them from the
	  hashtable (bug 2272)

2006-10-13 00:04  paurullan

	* po/ChangeLog, po/ko.po:
	  i18n various updates and add

2006-10-11 23:38  kelnos

	* src/xfdesktop-special-file-icon.c:
	  fix compile failure when thunarx is not available. not sure how
	  that one
	  happened (bug 2420)

2006-10-11 21:18  kelnos

	* src/xfdesktop-icon-view.c:
	  * don't allow a drop onto a 'dead zone' (as set by the xinerama
	  handler
	  * possibly fix warning/crash about the icon view widget's
	  style's depth
	  not matching the window's depth (bug 2123)

2006-10-11 09:46  kelnos

	* src/xfdesktop-icon-view.c:
	  handle different-sized monitors correctly in xinerama, so icons
	  aren't in
	  "dead areas" or split in between the two monitors (bug 1538)

2006-10-11 08:53  kelnos

	* src/xfdesktop-special-file-icon.c:
	  invalidate and re-set trash pixbuf when QueryTrash returns

2006-10-11 07:24  kelnos

	* src/xfdesktop-icon-view.c:
	  fix gtk criticals when unminimising a window (mini app icons
	  mode) (bug 2280)

2006-10-11 06:58  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  add some helpful comments so i don't forget things later

2006-10-11 06:52  kelnos

	* src/xfdesktop-special-file-icon.c, src/xfdesktop-volume-icon.c:
	  avoid gtk critical message, i think (bug 2280)

2006-10-11 06:43  kelnos

	* src/xfdesktop-file-utils.c:
	  use D-Bus bindings directly instead of dbus-send

2006-10-11 06:34  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-utils.c,
	  src/xfdesktop-file-utils.h, src/xfdesktop-special-file-icon.c:
	  move dbus init/cleanup from XfdesktopSpecialFileIcon and into
	  file utils

2006-10-11 06:04  kelnos

	* src/xfdesktop-special-file-icon.c:
	  properly update the trash icon when the trash changes between
	  empty and
	  full (bug 2188)

2006-10-11 05:39  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  move saved icon location file to ~/.config instead of ~/.cache
	  (bug 2402)

2006-10-11 05:02  kelnos

	* src/xfdesktop-file-properties-dialog.c:
	  fix crash on some systems when thunar_vfs_user_get_real_name()
	  returns NULL
	  (bug 2229)

2006-10-09 03:52  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  don't crash when non-file:// URIs are dropped on the desktop;
	  just refuse
	  to work with them at all (bug 2384)

2006-10-09 01:00  kelnos

	* settings/behavior-settings.c:
	  use ENABLE_FILE_ICONS ifdef instead of HAVE_THUNAR_VFS

2006-10-07 18:47  kelnos

	* src/xfdesktop-special-file-icon.c:
	  besure to disconnect the TrashChanged signal and unref the
	  DBusGProxy when
	  the trash icon gets destroyed. the former is not necessary now,
	  but will
	  be if i move the dbus proxy stuff to a common location. this
	  might fix
	  bug 2271, or might not. either way, it was a bug...

2006-10-02 21:03  paurullan

	* po/ChangeLog, po/ru.po:
	  i18n updated Russian translations

2006-09-28 19:30  kelnos

	* src/xfce-desktop-settings.c:
	  fix compilation on solaris, i hope (bug 2258)

2006-09-28 19:15  kelnos

	* src/main.c, src/xfce-desktop.c:
	  use new ENABLE_FILE_ICONS define instead of HAVE_THUNAR_VFS

2006-09-28 19:13  kelnos

	* configure.ac.in, src/Makefile.am:
	  ok, this should fix annoying build problems (bug 2344). here's
	  how the
	  dependencies work:
	  
	  no icons at all:
	  * (no external deps beyond what's normal)
	  
	  minimised app icons:
	  * exo (optional, for icon effects)
	  
	  file/launcher icons:
	  * thunar-vfs
	  * dbus
	  * thunarx (optional, for thunar plugin support)
	  * exo (optional, for icon effects)
	  
	  relevant build options:
	  
	  by default, the configure script will check for everything and
	  enable
	  everything if it's available. otherwise:
	  
	  --disable-desktop-icons: disables all desktop icons
	  --disable-file-icons: disables file/launcher icons, but
	  minimised app icons
	  are still present
	  --disable-exo: disables using exo for some icon effects (note: i
	  believe
	  thunar-vfs pulls in libexo anyway, so if file/launcher icons
	  are enabled, there's really no reason to disable exo except
	  maybe performance reasons)
	  --disable-thunarx: disables using thunarx to load thunar plugins

2006-09-25 13:14  eulex

	* menu.xml.sv:
	  corrected a small spelling mistake in menu.xml.sv

2006-09-25 01:48  kelnos

	* src/xfdesktop-window-icon.c:
	  position the window icon's right-click menu on the correct
	  screen before
	  showing it (bug 2351)

2006-09-18 20:33  paurullan

	* po/ChangeLog, po/ca.po:
	  updated Catalan translations

2006-09-17 13:33  pollux

	* po/ChangeLog, po/fr.po:
	  updated French and Czech translations

2006-09-09 13:35  pollux

	* menueditor/menueditor-main-window.c:
	  prevent endless loop if DnD of an element into itself (fix bug
	  #2287)

2006-09-07 19:55  olivier

	* settings/appearance-settings.c:
	  Use solid color by default if no setting is set, don't show
	  image and gradient - That looks slick and might speed up startup
	  time by default

2006-09-07 19:48  olivier

	* common/xfdesktop-common.c, common/xfdesktop-common.h,
	  modules/menu/desktop-menu.c, src/menu.c:
	  My little contribution to xfdesktop, make it more robust to
	  broken install (bug #2268)

2006-09-07 18:58  pollux

	* po/ChangeLog, po/vi.po:
	  Updated Vietnamese translations

2006-09-06 17:08  pollux

	* menueditor/Makefile.am, menueditor/menueditor-add-dialog.c,
	  menueditor/menueditor-edit-dialog.c,
	  menueditor/menueditor-main-window.c:
	  use the icon chooser if libexo is available (bug #2220)

2006-09-03 19:00  pollux

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translations

2006-09-02 17:13  benny

	* configure.ac.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Bump version and requirements.

2006-09-02 08:57  sas

	* po/hu.po:
	  hungarian updates

2006-09-02 02:06  yuvaltanny

	* po/he.po:
	  Update Hebrew translation

2006-08-27 12:57  pollux

	* po/ChangeLog, po/de.po:
	  Updated German translations

2006-08-27 11:35  pollux

	* po/ChangeLog, po/LINGUAS, po/ka.po:
	  add Georgian translations

2006-08-26 23:38  stavrosg

	* po/ChangeLog, po/el.po:
	  Xfdesktop Greek translations update

2006-08-24 00:48  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  temp fix for crashes when dropping external files on special
	  icons and
	  removable volumes

2006-08-24 00:01  kelnos

	* src/xfdesktop-special-file-icon.c:
	  invalidate the trash icon's pixbuf when the trash changes
	  between empty and
	  full. this doesn't work for some reason, though.

2006-08-23 23:22  kelnos

	* configure.ac.in, src/Makefile.am, src/main.c,
	  src/xfdesktop-dbus-bindings-filemanager.xml,
	  src/xfdesktop-dbus-bindings-trash.xml,
	  src/xfdesktop-special-file-icon.c:
	  * add dep on dbus >= 0.34 if thunar-vfs is enabled
	  * use DBusGProxy for trash-related functions

2006-08-23 23:09  kelnos

	* src/xfce-desktop.c, src/xfdesktop-file-icon-manager.c:
	  some cleanups, plug a ThunarVfsPath leak

2006-08-20 18:54  pollux

	* po/gl.po:
	  remove executable property from gl.po

2006-08-20 18:51  pollux

	* po/ChangeLog, po/LINGUAS, po/gl.po:
	  Add Galician translations

2006-08-19 17:29  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Update traditional Chinese translations.

2006-08-19 16:22  pollux

	* modules/menu/Makefile.am,
	  modules/menu/xfce-registered-categories.xml.de:
	  Add xfce-registered-categories.xml.de

2006-08-19 16:20  pollux

	* menu.xml.cs, po/ChangeLog, po/cs.po:
	  Updated Czech translations

2006-08-18 21:48  kelnos

	* modules/menu/desktop-menu-cache.c:
	  revert a memleak fix, as it seems i already called
	  xfce_rc_close() and i'm
	  just blind and stupid (bug 2196)

2006-08-18 21:37  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  add F2 keybinding for rename (bug 2186)

2006-08-18 21:28  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  refresh the special file icons on F5 (bug 2187)

2006-08-18 18:36  kelnos

	* src/xfce-desktop.c, src/xfdesktop-file-icon-manager.c:
	  fix compile failure when thunar-vfs isn't present (bug 2189)

2006-08-17 06:22  kelnos

	* modules/menu/desktop-menu-cache.c:
	  fix a couple possible memleaks

2006-08-16 08:44  kelnos

	* modules/menu/desktop-menuspec.c:
	  fix some memleaks (maybe bug 1910) and a possible crash

2006-08-15 22:34  kelnos

	* src/windowlist.c:
	  change bold to italic for the active window to match the window
	  menu plugin

2006-08-15 21:25  pollux

	* po/ChangeLog, po/fr.po:
	  updated French translations

2006-08-15 21:22  piarres

	* po/ChangeLog, po/eu.po:
	  Basque translation update for xfburn and xfdesktop

2006-08-15 19:21  pollux

	* po/ChangeLog, po/pl.po:
	  updated Polish translations by piotr maliński
	  <riklaunim@gmail.com>

2006-08-15 18:51  kelnos

	* src/main.c:
	  fix startup from session manager (bug 2171)

2006-08-15 15:25  jari

	* po/ChangeLog, po/fi.po:
	  Updated Finnish translations.

2006-08-15 08:50  sas

	* po/hu.po:
	  hu trunk: desktop updates but 'Home'. This is an xlang problem

2006-08-15 07:11  kelnos

	* src/xfdesktop-regular-file-icon.c:
	  do a permissions check on regular files for the cut and delete
	  menu items
	  (bug 2081)

2006-08-15 07:03  kelnos

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  update-po, last time, i promise (for now)

2006-08-15 07:02  kelnos

	* src/main.c:
	  allow --(option) and -(option) (bug 2083). fix i18n for the
	  version string

2006-08-15 06:45  kelnos

	* src/main.c:
	  cmdline options shouldn't do anything if xfdesktop isn't running
	  (bug 2083)

2006-08-15 06:44  kelnos

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  update-po again; i suck

2006-08-15 06:43  kelnos

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  update-po

2006-08-15 05:03  kelnos

	* src/Makefile.am, src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-file-properties-dialog.c,
	  src/xfdesktop-file-properties-dialog.h,
	  src/xfdesktop-file-utils.c, src/xfdesktop-file-utils.h,
	  src/xfdesktop-volume-icon.c:
	  * move properties dialog out to its own file. should maybe be a
	  GtkWidget,
	  but not really necessary
	  * make the removable volume properties menu item work
	  * make the removable volume open menu item work

2006-08-15 04:03  kelnos

	* panel-plugin/desktop-menu-plugin.c,
	  panel-plugin/xfce4-popup-menu.c,
	  panel-plugin/xfce4-popup-menu.h:
	  Allow the panel's desktop menu to be opened at the pointer
	  position.
	  
	  Signed-off-by: Darren Salt <linux@youmustbejoking.demon.co.uk>
	  
	  (bug 2103)

2006-08-15 03:53  kelnos

	* src/windowlist.c:
	  Use Pango native ellipsizing support; highlight the active
	  window's menu item.
	  
	  For the ellipsis: I noticed that the width at which truncation
	  occurs causes
	  display oddness where the "remove workspace" text is somewhat
	  longer than the
	  truncated text. This isn't right.
	  
	  For the highlight: I noticed a question about why the active
	  window isn't
	  highlighted (in #xine) and decided to have a look - this is the
	  reason for
	  the markup usage.
	  
	  menulist_set_label_flags() is needed by both changes, so it
	  makes sense to
	  me to lump them together.
	  
	  Signed-off-by: Darren Salt <linux@youmustbejoking.demon.co.uk>
	  
	  (bug 2127)

2006-08-15 03:41  kelnos

	* TODO, src/Makefile.am, src/xfce-backdrop.c, src/xfce-desktop.c,
	  src/xfdesktop-clipboard-manager.c,
	  src/xfdesktop-clipboard-manager.h,
	  src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-file-icon-manager.h, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-icon.h, src/xfdesktop-file-utils.c,
	  src/xfdesktop-file-utils.h, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon.c, src/xfdesktop-icon.h,
	  src/xfdesktop-regular-file-icon.c,
	  src/xfdesktop-regular-file-icon.h,
	  src/xfdesktop-special-file-icon.c,
	  src/xfdesktop-special-file-icon.h, src/xfdesktop-volume-icon.c,
	  src/xfdesktop-volume-icon.h,
	  src/xfdesktop-window-icon-manager.c,
	  src/xfdesktop-window-icon.c:
	  * split out XfdesktopFileIcon into XfdesktopRegularFileIcon,
	  XfdesktopVolumeIcon, and the new XfdesktopSpecialFileIcon, which
	  can show
	  icons for the root directory (aka "Filesystem"), the home
	  directory, and the
	  trash
	  * use g_type_class_add_private() for all gobjects (bug 2124)
	  * fix crash when compositing the symlink emblem on a file icon,
	  from benny
	  (bug 1875)
	  * add back clipboard paste stuff (not finished enabling this
	  yet)
	  * update TODO

2006-08-13 18:09  kelnos

	* src/xfdesktop-icon-view.c:
	  fix drag icon sometimes not showing up

2006-08-13 10:15  pollux

	* menueditor/menueditor-main-window.c:
	  warn the user if the menu file couldn't be opened in write mode

2006-08-12 03:27  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Updated traditional Chinese translations

2006-08-07 10:37  piarres

	* po/ChangeLog, po/eu.po:
	  Basque translation update

2006-08-01 11:32  pollux

	* menueditor/menueditor-edit-dialog.c,
	  menueditor/menueditor-main-window.c:
	  Fix up problems with escaping already-escaped text and not
	  unescaping it (bug #1991) (patch by Darren Salt
	  <linux@youmustbejoking.demon.co.uk>)

2006-07-30 08:31  pollux

	* menu.xml.cs, modules/menu/xfce-registered-categories.xml.cs,
	  po/ChangeLog, po/cs.po:
	  Updated Czech translations

2006-07-29 11:02  jari

	* po/ChangeLog, po/fi.po:
	  Updated Finnish translations.

2006-07-29 07:30  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  fix typo

2006-07-29 07:20  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c:
	  * use g_markup_printf_escaped() when dealing with filenames
	  passed to
	  xfce_message_dialog(), as the labels are markup-enabled (bug
	  2082)
	  * fix fallback icon handling

2006-07-29 03:28  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Update traditional Chinese translations for xfdesktop.

2006-07-25 07:51  kelnos

	* src/xfdesktop-icon-view.c:
	  don't redraw a selected icon if it was the last one clicked

2006-07-22 00:34  stavrosg

	* po/ChangeLog, po/el.po:
	  Greek translations update

2006-07-21 20:09  kelnos

	* src/xfdesktop-icon-view.c:
	  ah, the crashes a simple typo can cause (bug 2054)

2006-07-21 20:05  kelnos

	* src/xfce-desktop.c:
	  don't connect to stlye-set until after we're realized (bug 2053)

2006-07-19 22:18  olivier

	* settings/appearance-settings.c:
	  Woops, changed the wrong file yesterday...

2006-07-19 20:34  stavrosg

	* menu.xml.el:
	  translation fix

2006-07-18 20:08  olivier

	* src/xfce-desktop-settings.c:
	  Err, was it the other way?

2006-07-18 20:04  olivier

	* src/xfce-desktop-settings.c:
	  Change defaults

2006-07-16 13:02  adriano

	* po/ChangeLog, po/pt_BR.po:
	  Updated brazilian portuguese translations by Tomás Acauan
	  Schertel
	  <tschertel@gmail.com>.

2006-07-15 20:57  pollux

	* po/ChangeLog, po/fr.po:
	  Updated French translations

2006-07-15 17:30  sas

	* po/hu.po:
	  hu trunk: desktop updated

2006-07-15 02:11  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  make sure we don't show a folder for the desktop folder if the
	  folder itself
	  is modified (bug 1916)

2006-07-14 22:10  pollux

	* menueditor/menueditor-add-dialog.c,
	  menueditor/menueditor-add-external-dialog.c,
	  menueditor/menueditor-edit-dialog.c,
	  menueditor/menueditor-edit-external-dialog.c:
	  hitting enter in the add/edit dialog triggers default response

2006-07-14 21:49  kelnos

	* src/xfce-desktop.c:
	  redo how the backdrop is drawn to fix ugly gradients on 16-bit
	  displays
	  (bug 1819). this also makes drawing quite a bit simpler and
	  possibly even
	  a bit faster.

2006-07-14 18:49  kelnos

	* src/xfdesktop-file-icon.c, src/xfdesktop-icon-view.c:
	  fix pixbuf not being updated if the file's icon is changed, and
	  simplify
	  some code in the process (bug 2033)

2006-07-13 18:15  kelnos

	* src/Makefile.am:
	  forgetting to commit things is lame

2006-07-13 03:47  kelnos

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  update-po again

2006-07-13 03:46  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  need ->priv->desktop_icon even w/o thunarx

2006-07-13 03:17  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  add to the desktop context menu (i.e. for the ~/Desktop folder):
	  * thunarx menu provider
	  * properties dialog
	  * settings dialog (launches mcs settings for the desktop)

2006-07-13 00:01  kelnos

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  update-po

2006-07-13 00:01  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  rearrange the icon context menu (again)

2006-07-12 23:33  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  fix missing menu separator

2006-07-12 23:20  kelnos

	* src/xfdesktop-icon-view.c:
	  kill the tip window on button press. this makes DnD much easier,
	  and also
	  avoids the tip window popping up after a menu is visible

2006-07-12 19:47  kelnos

	* modules/menu/desktop-menuspec.c,
	  modules/menu/xfce-registered-categories.xml,
	  modules/menu/xfce-registered-categories.xml.cs,
	  modules/menu/xfce-registered-categories.xml.el,
	  modules/menu/xfce-registered-categories.xml.es,
	  modules/menu/xfce-registered-categories.xml.eu,
	  modules/menu/xfce-registered-categories.xml.fi,
	  modules/menu/xfce-registered-categories.xml.fr,
	  modules/menu/xfce-registered-categories.xml.he,
	  modules/menu/xfce-registered-categories.xml.hu,
	  modules/menu/xfce-registered-categories.xml.ja,
	  modules/menu/xfce-registered-categories.xml.nl,
	  modules/menu/xfce-registered-categories.xml.pl,
	  modules/menu/xfce-registered-categories.xml.pt_BR,
	  modules/menu/xfce-registered-categories.xml.ro,
	  modules/menu/xfce-registered-categories.xml.ru,
	  modules/menu/xfce-registered-categories.xml.sk,
	  modules/menu/xfce-registered-categories.xml.sv,
	  modules/menu/xfce-registered-categories.xml.zh_CN,
	  modules/menu/xfce-registered-categories.xml.zh_TW:
	  use ACCESSORIES icon category for the "Accessories" menu

2006-07-12 19:17  kelnos

	* src/xfdesktop-file-icon.c:
	  check for icon using binary name of the app (bug 1956)

2006-07-12 19:17  kelnos

	* src/xfdesktop-icon-view.c:
	  fix missing return val

2006-07-12 10:55  kelnos

	* modules/menu/desktop-menu-dentry.c:
	  try to use "applications-other" for the unknown submenu icon

2006-07-12 10:27  kelnos

	* src/xfdesktop-file-icon.c, src/xfdesktop-icon-view.c:
	  finish implementing an icon-hover tooltip for the file icons
	  (bug 1526)

2006-07-11 23:39  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-utils.c, src/xfdesktop-file-utils.h,
	  src/xfdesktop-icon.c, src/xfdesktop-icon.h:
	  implement the backend portion to be able to show icon tooltips.
	  haven't done
	  the XfdesktopIconView part yet (bug 1526)

2006-07-11 22:57  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  if using the default menu file, don't pass the file argument to
	  xfce4-menueditor, cuz menueditor will just do the right thing
	  (bug 1911)

2006-07-11 22:23  kelnos

	* src/xfce-desktop.c:
	  clear up the expose tearing of the backdrop image when dragging
	  a window
	  across the desktop quickly. i feel like there's a reason i
	  stopped using this
	  method, but it seems to work ok now, so let's see how it goes.
	  the icons are
	  still drawn in the same way, so there's probably some amount of
	  tearing on
	  slower machines. the only way i can think of to improve that
	  would be to
	  double-buffer each icon, which maybe i'll look into doing later.
	  (bug 1944)

2006-07-11 19:00  kelnos

	* common/xfdesktop-common.c:
	  don't search for the locale-suffixed menu.xml version in the
	  user's homedir
	  (bug 2010)

2006-07-10 21:42  piarres

	* po/ChangeLog, po/eu.po:
	  [l10n:eu] Basque translation update

2006-07-09 21:52  pollux

	* menueditor/menueditor-add-dialog.c,
	  menueditor/menueditor-edit-dialog.c:
	  add preview widget in icon filechooser

2006-07-09 21:34  pollux

	* po/ChangeLog, po/fr.po, po/pl.po:
	  updated translations

2006-07-09 21:08  pollux

	* menueditor/menueditor-main-window.c:
	  add 'save as' support

2006-07-09 19:21  benny

	* configure.ac.in:
	  Depend on Thunar/exo BETA2.

2006-07-09 19:05  olivier

	* ChangeLog, panel-plugin/desktop-menu-plugin.c:
	  Fix compiler warnings

2006-07-09 16:51  stavrosg

	* po/ChangeLog, po/el.po:
	  Greek translations update

2006-07-09 14:16  yuvaltanny

	* po/he.po:
	  Update Hebrew translations

2006-07-09 14:04  pollux

	* menueditor/Makefile.am:
	  fix make distcheck

2006-07-09 09:57  sas

	* po/hu.po:
	  hu trunk: desktop update

2006-07-09 09:56  pollux

	* configure.ac.in:
	  bump all versions and dependencies to 4.3.90.2

2006-07-08 22:06  pollux

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  update-po to include MenuEditor changes

2006-07-08 22:06  pollux

	* menueditor/Makefile.am, menueditor/TODO,
	  menueditor/about_dialog.c, menueditor/about_dialog.h,
	  menueditor/add_dialog.c, menueditor/add_dialog.h,
	  menueditor/add_menu_dialog.c, menueditor/add_menu_dialog.h,
	  menueditor/dnd.c, menueditor/dnd.h, menueditor/edit_dialog.c,
	  menueditor/edit_dialog.h, menueditor/menueditor-add-dialog.c,
	  menueditor/menueditor-add-dialog.h,
	  menueditor/menueditor-add-external-dialog.c,
	  menueditor/menueditor-add-external-dialog.h,
	  menueditor/menueditor-edit-dialog.c,
	  menueditor/menueditor-edit-dialog.h,
	  menueditor/menueditor-edit-external-dialog.c,
	  menueditor/menueditor-edit-external-dialog.h,
	  menueditor/menueditor-main-window.c,
	  menueditor/menueditor-main-window.h,
	  menueditor/menueditor-main.c, menueditor/menueditor.c,
	  menueditor/menueditor.h, menueditor/utils.c, menueditor/utils.h,
	  menueditor/xfce4-menueditor.ui:
	  Clean up MenuEditor:
	  
	  * Dialog are now classes deriving XfceTitledDialog
	  * Source files have been renamed for to reflect class name
	  * Uses GtkUIManager to build the GUI
	  * Bug fixes and plug some memleaks

2006-07-05 20:43  olivier

	* configure.ac.in:
	  Update version

2006-07-05 19:53  olivier

	* modules/menu/Makefile.am:
	  Add missing LIBX11_LDFLAGS everywhere (bug #1984)

2006-07-05 19:50  olivier

	* panel-plugin/Makefile.am:
	  Add missing LIBX11_LDFLAGS (bug #1984)

2006-07-05 19:43  olivier

	* common/Makefile.am, menueditor/Makefile.am,
	  modules/menu/Makefile.am, settings/Makefile.am, src/Makefile.am:
	  Use $(x) instaed of @x@ all over the place.

2006-07-05 19:30  olivier

	* panel-plugin/Makefile.am:
	  Use fix suggested by Benny

2006-07-05 18:44  olivier

	* modules/menu/Makefile.am:
	  Add X11 CFLAGS/LIBS (should fix bug #1984)

2006-07-01 07:03  olivier

	* modules/menu/desktop-menu-dentry.c,
	  modules/menu/desktop-menu-file.c, modules/menu/desktop-menu.c,
	  modules/menu/desktop-menuspec.c:
	  Filter out KDE screensaver files from the menu (bug #1928)

2006-07-01 07:01  olivier

	* panel-plugin/xfce4-popup-menu.c,
	  panel-plugin/xfce4-popup-menu.h:
	  Add missing bits

2006-07-01 07:01  olivier

	* panel-plugin/Makefile.am, panel-plugin/desktop-menu-plugin.c:
	  Add xfce-menu remote popup and shortcut (bug #1971)

2006-06-28 18:55  eulex

	* po/sv.po:
	  Some very minor changes to tidy up the contents of the settings
	  menu in swedish, not worthy a changelog entry imho, bitch at me
	  if I'm wrong.

2006-06-18 15:57  pollux

	* menueditor/menueditor.c, menueditor/utils.c, menueditor/utils.h:
	  no need for workarounds anymore (fix bug #1657 BTW)

2006-06-16 20:22  pollux

	* menueditor/add_dialog.c, menueditor/add_menu_dialog.c,
	  menueditor/dnd.c, menueditor/dnd.h, menueditor/edit_dialog.c,
	  menueditor/menueditor.c, menueditor/menueditor.h,
	  menueditor/utils.c:
	  fix cleanly submenu DnD once and for all (i hope)

2006-06-12 14:26  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Update traditional Chinese translations; Modify personal e-mail
	  address.

2006-06-12 12:03  pollux

	* menueditor/menueditor.c, menueditor/menueditor.h:
	  fix crash in menuditor (bug #1913)

2006-06-10 18:24  pollux

	* menueditor/utils.c:
	  i definely have a mental blocage with pointer incrementation
	  (fix bug #1863)

2006-06-10 16:20  pollux

	* menueditor/dnd.c, menueditor/dnd.h, menueditor/menueditor.c:
	  fix submenu DnD (DnD in TreeView sucks)

2006-06-07 05:45  kelnos

	* modules/menu/desktop-menu-file.c:
	  convert filenames in the cmd= field from utf-8 to the filesystem
	  encoding

2006-06-07 04:24  kelnos

	* modules/menu/desktop-menu-dentry.c:
	  tryexec patch from olivier, some cleanups

2006-06-05 23:11  adriano

	* po/ChangeLog, po/pt_BR.po:
	  Updated brazilian portuguese translations.

2006-06-04 18:42  pollux

	* menueditor/utils.c:
	  close all the left-opened menu tag when last menu entry is a
	  sub-menu (fix bug #1677)

2006-06-04 18:38  pollux

	* menueditor/dnd.c:
	  fix incorrect free when a .desktop file without Icon field set
	  is DnD (bug #1676)

2006-06-04 08:12  eulex

	* po/ChangeLog:
	  Changelogs for appfinder, exo, utils, mcs-plugins, mcs-manager,
	  xfce4-session, xfce4-mixer, thunar, libgui, xfwm4, the panel,
	  orage, trigger-launcher and terminal updated.
	  Also couldn't resist to fix a small error in the xfce4-mixer
	  Changelog.
	  Didn't updated the changelog of xfprint, because I discovered
	  that that translation wasn't updated, it had just slipped
	  through
	  the commit by mistake.

2006-06-04 00:10  eulex

	* po/sv.po:
	  obsolete strings in the swedish translations removed

2006-06-03 23:44  eulex

	* po/sv.po:
	  Merged Swedish translations (by me and Jens Hagerman) into the
	  xfce svn.
	  This includes updated translations of appfinder, xfce-utils,
	  mcs-plugins,
	  xfprint, xfce4-session, xfce4-mixer, thunar, libxfcegui4, xfwm4,
	  xfce4-panel, xfdesktop, orage, xfce4-trigger-launcher and
	  mcs-manager,
	  and added translations for libexo and terminal.
	  The appropriate LINGUAS files were also updated.

2006-05-30 23:21  yuvaltanny

	* po/he.po:
	  Update Hebrew translation

2006-05-30 04:25  kelnos

	* menu.xml, menu.xml.az, menu.xml.ca, menu.xml.cs, menu.xml.da,
	  menu.xml.de, menu.xml.el, menu.xml.es, menu.xml.et, menu.xml.eu,
	  menu.xml.fa_IR, menu.xml.fi, menu.xml.fr, menu.xml.he,
	  menu.xml.hu, menu.xml.ja, menu.xml.ko, menu.xml.ms, menu.xml.nl,
	  menu.xml.pl, menu.xml.pt_BR, menu.xml.ro, menu.xml.ru,
	  menu.xml.sk, menu.xml.sv, menu.xml.ta, menu.xml.tr, menu.xml.uk,
	  menu.xml.vi, menu.xml.zh_CN, menu.xml.zh_TW:
	  change default menu to use thunar as the file manager instead of
	  xffm
	  (patch from olivier, bug 1871)

2006-05-27 15:25  daichi

	* po/ChangeLog, po/pl.po:
	  Updated Polish translations by Szymon Kalasz
	  <szymon_maestro@gazeta.pl>.

2006-05-25 20:47  pollux

	* menueditor/utils.c:
	  i prefer that syntax

2006-05-25 20:33  kelnos

	* autogen.sh, configure.ac.in, configure.in.in:
	  i like configure.ac{,.in} better. what can i say, i'm anal.

2006-05-25 20:33  kelnos

	* menueditor/utils.c:
	  fix gcc4 warning (i think that actually might be a bug, even)

2006-05-25 20:07  stavrosg

	* po/ChangeLog, po/el.po:
	  Greek translations update

2006-05-25 18:40  pollux

	* ., autogen.sh, configure.ac, configure.in.in, panel-plugin, po,
	  po/LINGUAS:
	  * add LINGUAS support
	  * update svn:ignore

2006-05-25 07:34  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c:
	  * fix thunar-vfs finalize warning when the user manually
	  refreshes the desktop
	  after moving a removable volume icon, but before the timeout
	  after which the
	  icon positions are flushed to disk.
	  * while i'm here, also flush the icon positions before
	  finalizing the icon
	  view manager, if necessary.

2006-05-25 07:04  kelnos

	* modules/menu/desktop-menuspec.c,
	  modules/menu/xfce-registered-categories.xml,
	  modules/menu/xfce-registered-categories.xml.cs,
	  modules/menu/xfce-registered-categories.xml.el,
	  modules/menu/xfce-registered-categories.xml.es,
	  modules/menu/xfce-registered-categories.xml.eu,
	  modules/menu/xfce-registered-categories.xml.fi,
	  modules/menu/xfce-registered-categories.xml.fr,
	  modules/menu/xfce-registered-categories.xml.he,
	  modules/menu/xfce-registered-categories.xml.hu,
	  modules/menu/xfce-registered-categories.xml.ja,
	  modules/menu/xfce-registered-categories.xml.nl,
	  modules/menu/xfce-registered-categories.xml.pl,
	  modules/menu/xfce-registered-categories.xml.pt_BR,
	  modules/menu/xfce-registered-categories.xml.ro,
	  modules/menu/xfce-registered-categories.xml.ru,
	  modules/menu/xfce-registered-categories.xml.sk,
	  modules/menu/xfce-registered-categories.xml.sv,
	  modules/menu/xfce-registered-categories.xml.zh_CN,
	  modules/menu/xfce-registered-categories.xml.zh_TW:
	  add OFFICE category to builtin icons, change PRODUCTIVITY to
	  OFFICE in all
	  menu categories

2006-05-23 17:32  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Correct strings containing Button Label in traditional Chinese
	  translations.

2006-05-23 09:26  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  * show 'Open' item for all removable volumes, even if they don't
	  have a valid
	  ThunarVfsInfo, since we try to mount it on activate now.
	  * fix a glib warning when removing the removable volumes from
	  the desktop
	  (bug 1839)

2006-05-23 09:14  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  redo menu separator handling to ensure we don't get double
	  separators when
	  removable volumes don't have mountpoints. at least i think this
	  works.
	  (bug 1799)

2006-05-23 08:40  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  ensure that the file icon's ThunarVfsInfo is valid before trying
	  to activate
	  it in the case of removable volumes. need to make sure the info
	  is up-to-date,
	  since another entity might have mounted or unmounted the volume
	  without our
	  knowledge (bug 1897)

2006-05-23 08:22  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  instead of fixing bugs, let's instead add XDirectSave support,
	  as well as
	  support for dragging and dropping links from firefox (and
	  presumably other
	  web browsers) on the desktop

2006-05-23 02:45  daichi

	* po/ChangeLog, po/fi.po:
	  Changed an address.

2006-05-22 21:40  piarres

	* po/ChangeLog, po/eu.po:
	  [l10n:eu] Basque trasnlation update

2006-05-21 09:06  jari

	* po/fi.po:
	  Updated Finnish translations.

2006-05-21 08:30  kelnos

	* src/Makefile.am, src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-file-icon.c, src/xfdesktop-file-utils.c,
	  src/xfdesktop-file-utils.h:
	  handle interactive job signals, handle a coupler more errors
	  gracefully.
	  need to do something special with the multiple-file case.

2006-05-21 07:52  sas

	* po/ChangeLog, po/hu.po:
	  hu trunk: desktop update

2006-05-21 04:59  daichi

	* po/ChangeLog, po/ja.po:
	  Updated Japanese translations.

2006-05-21 02:46  daichi

	* po/ChangeLog, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-05-20 23:28  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  don't ignore GError return from thunar_vfs_copy_file() or
	  thunar_vfs_create_file() when creating a file from a template

2006-05-20 22:05  kelnos

	* src/main.c, src/xfce-desktop.c, src/xfce-desktop.h,
	  src/xfdesktop.def:
	  * instruct the session manager to logout on WM_DELETE (bug 1776)
	  * remove the old exported quit() function, as the menu hasn't
	  used it in a
	  long time.
	  * remove xfdesktop.def, as it's not needed anymore.

2006-05-20 21:10  kelnos

	* README:
	  add section about customising the icon view text, and about
	  turning
	  on or off menu images, to the README

2006-05-20 20:50  kelnos

	* src/xfdesktop-icon-view.c:
	  fix label-alpha style property setting

2006-05-19 08:15  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  add 'edit menu' item to panel right-click menu, patch from nick
	  (bug 1824)

2006-05-17 14:44  jari

	* po/fi.po:
	  Finnish translations updated.

2006-05-15 05:12  kelnos

	* src/xfdesktop-icon-view.c:
	  i'm relatively sure this just isn't necessary anymore. i'm not
	  convinced it
	  ever was, actually. should speed up repaints.

2006-05-14 05:18  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  er, that introduces a memleak every time the menu is popped up.
	  bad!

2006-05-14 05:12  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  fix menu positioning for floating panels, patch from juha kautto
	  (bug 1660)

2006-05-13 20:17  paurullan

	* po/ChangeLog, po/ca.po:
	  [i18n] catalan
	  Update various translations

2006-05-13 08:19  kelnos

	* src/xfdesktop-icon-view.c:
	  optimise the mouseover redraw: only invalidate the pixbuf, since
	  that's all
	  that's changed

2006-05-13 07:57  kelnos

	* src/xfdesktop-icon-view.c:
	  fix text drawing glitch when going between selected and not
	  selected. much
	  simpler than before, too.

2006-05-13 07:08  kelnos

	* src/xfdesktop-icon-view.c:
	  * add variable alpha channel to the icon view text background
	  * rework a lot of the painting and expose handling. i might have
	  introduced
	  some new drawing glitches, but i fixed some as well, and removed
	  some
	  spurious repaints.

2006-05-13 06:04  daichi

	* po/ChangeLog:
	  Updated.

2006-05-13 05:45  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Update traditional Chinese translations.

2006-05-13 04:56  daichi

	* po/ChangeLog, po/pl.po:
	  Updated Polish translations by Szymon Kalasz
	  <szymon_maestro@gazeta.pl>.

2006-05-11 19:00  benny

	* settings/appearance-settings.c:
	  Use XfceTitledDialog. Set "mcs-plugin-icon-name" property.

2006-05-10 14:14  jari

	* po/fi.po:
	  Finnish translations updated.

2006-05-10 09:11  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  fix crashes when launching or popping up the menu on removable
	  volumes that
	  are unmounted and do not have mount points (bug 1763)

2006-05-10 08:45  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  'URL Launcher' -> 'URL Link'. yes, i'm nitpicky.

2006-05-10 08:43  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  'Edit' -> 'Edit Launcher'

2006-05-10 08:39  kelnos

	* TODO, src/xfdesktop-file-icon-manager.c:
	  add 'Edit' item for .desktop launchers so they can be edited
	  with the libexo
	  desktop item launcher. update todo

2006-05-10 08:19  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  add support for creation of launchers and url launchers using
	  exo-desktop-item-edit. rearrange right-click menu a bit.

2006-05-07 10:55  daichi

	* po/ChangeLog, po/pl.po:
	  Updated Polish translations by Piotr Malinski <admin@rk.edu.pl>.

2006-05-06 17:57  adriano

	* po/pt_BR.po:
	  Updated Brazilian Portuguese translations.

2006-05-06 14:30  stavrosg

	* po/ChangeLog, po/el.po:
	  Greek translations update.

2006-05-05 21:25  daichi

	* po/ChangeLog, po/cs.po:
	  Updated Czech translations by Michal Varady
	  <miko.vaji@gmail.com>.

2006-05-05 21:01  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Bump.

2006-05-05 19:23  yuvaltanny

	* po/he.po:
	  Updated Hebrew translation

2006-05-05 11:37  jari

	* modules/menu/xfce-registered-categories.xml.fi:
	  Finnish translation of menu categories updated.

2006-05-05 11:00  yuvaltanny

	* menu.xml.he, modules/menu/xfce-registered-categories.xml.he:
	  update the menu Hebrew translation

2006-05-05 06:11  daichi

	* po/ChangeLog, po/ja.po:
	  Updated Japanese translations.

2006-05-04 06:14  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-icon.h:
	  reorg how removable volumes are handled to fix crash bug if the
	  volume
	  doesn't have a mount point on insertion (bug 1763)

2006-05-03 04:33  kelnos

	* menueditor/dnd.c, src/xfce-desktop.c, src/xfdesktop-file-icon.c:
	  gcc 2.95 patch from Oliver Lehmann

2006-05-02 16:06  daichi

	* po/ChangeLog:
	  Removed timestamps so that a translator isn't bothered:
	  "Then, what time is it now in UTC?"

2006-05-02 12:23  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski <admin@rk.edu.pl>.

2006-05-02 09:00  kelnos

	* src/xfdesktop-icon-view.c:
	  no need to take focus when the window comes up

2006-05-01 14:11  jari

	* po/fi.po:
	  Finnish translations updated.

2006-05-01 13:31  daichi

	* po/ru.po:
	  Updated Russian translations by
	  Anthony Ivanoff <a-i@bk.ru>,
	  Maxim Zenin <webmechanics@gmail.com>,
	  Sergey Fedoseev <fedoseev.sergey@gmail.com>.

2006-05-01 07:04  daichi

	* po/eu.po, po/hu.po, po/uk.po:
	  Updated.

2006-04-30 22:07  piarres

	* po/eu.po:
	  [l10n:eu] Basque translation update

2006-04-30 16:00  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski <admin@rk.edu.pl>.

2006-04-30 09:07  sas

	* po/hu.po:
	  hu trunk: updates

2006-04-30 08:46  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-04-30 08:36  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-04-30 07:11  kelnos

	* src/xfdesktop-file-icon.c:
	  split string out into three separate strings to ease
	  translations

2006-04-30 04:04  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-04-29 15:49  adriano

	* po/pt_BR.po:
	  Updated pt_BR translations.

2006-04-29 12:15  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski
	  <riklaunim@gmail.com>.

2006-04-29 11:48  daichi

	* po/vi.po:
	  Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-04-29 11:43  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-04-29 11:10  daichi

	* Makefile.am, menu.xml.eu,
	  modules/menu/xfce-registered-categories.xml.eu:
	  Updated Basque translations by Piarres Beobide <pi@beobide.net>.

2006-04-28 10:53  yuvaltanny

	* po/he.po:
	  Hebrew translation update

2006-04-27 08:20  kelnos

	* settings/behavior-settings.c, settings/settings-common.h:
	  disable icon settings controls if style is set to 'none'

2006-04-27 07:38  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-icon.h:
	  * fix non-ejectable media showing as ejectable (patch from jani
	  monoses)
	  * fix removable media not appearing when its mount point has not
	  yet been
	  created.
	  * fix something else that i forgot.

2006-04-26 08:38  peetervois

	* po/et.po:
	  

2006-04-25 16:27  jari

	* po/fi.po:
	  Finnish translations updated.

2006-04-25 15:58  mvd

	* po/uk.po:
	  2006-04-25 Maxim Dziumanenko <mvd@mylinux.ua>
	  
	  * Updated Ukrainian translation.

2006-04-25 04:53  yuvaltanny

	* menu.xml.he, modules/menu/xfce-registered-categories.xml.he:
	  Hebrew translation update

2006-04-23 15:05  daichi

	* modules/menu/xfce-registered-categories.xml.el:
	  Updated Greek translations by Stavros Giannouris
	  <stavrosg2002@freemail.gr>.

2006-04-23 14:14  stavrosg

	* po/el.po:
	  Greek translation update

2006-04-23 11:56  daichi

	* po/ru.po:
	  Updated Russian translations by Sergey Fedoseev
	  <fedoseev.sergey@gmail.com>.

2006-04-23 09:39  sas

	* po/hu.po:
	  hu trunk: cal, desktop, mcs-plugins & panel updates

2006-04-23 09:06  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-04-23 07:54  jari

	* po/fi.po:
	  Finnish translations updated.

2006-04-23 06:28  daichi

	* po/vi.po:
	  Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-04-23 06:20  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-04-22 02:19  kelnos

	* menu.xml, menu.xml.az, menu.xml.ca, menu.xml.cs, menu.xml.da,
	  menu.xml.de, menu.xml.el, menu.xml.es, menu.xml.et, menu.xml.eu,
	  menu.xml.fa_IR, menu.xml.fi, menu.xml.fr, menu.xml.he,
	  menu.xml.hu, menu.xml.ko, menu.xml.ms, menu.xml.nl, menu.xml.pl,
	  menu.xml.pt_BR, menu.xml.ro, menu.xml.ru, menu.xml.sk,
	  menu.xml.sv, menu.xml.ta, menu.xml.tr, menu.xml.uk, menu.xml.vi,
	  menu.xml.zh_CN, menu.xml.zh_TW:
	  change 'Web Browser' to run xfbrowser4 instead of mozilla.

2006-04-21 21:58  yuvaltanny

	* po/he.po:
	  Hebrew translations update

2006-04-21 18:46  kelnos

	* menueditor/dnd.c:
	  fix gcc4 --enable-debug=full warnings. hope you don't mind, JF
	  (i know
	  you're busy)

2006-04-21 08:28  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  attempt to create ~/Desktop if it does not exist and the user
	  turns on
	  file/launcher icons (bug 1691)

2006-04-20 19:51  jasper

	* panel-plugin/desktop-menu-plugin.c:
	  Register open menu, so autohide will work when the menu closes.

2006-04-19 17:00  sas

	* po/hu.po:
	  hu trunk: updates

2006-04-19 16:07  benny

	* settings/appearance-settings.c:
	  Separate translation for the settings manager label. Patch from
	  Adriano Winter Bess. Bug #1669.

2006-04-18 22:38  kelnos

	* configure.ac:
	  don't require libxfce4panel if --disable-panel-plugin was passed

2006-04-18 20:02  kelnos

	* NEWS:
	  update NEWS for 4.4beta1. apparently i also wrote in this 6
	  months ago and
	  forgot to commit it, so that's there too. go me.

2006-04-18 19:54  kelnos

	* README:
	  update readme (patch from jari rahkonen)

2006-04-16 14:45  benny

	* Makefile.am, configure.ac, po/ar.po, po/az.po, po/be.po,
	  po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po, src/xfce-desktop.c,
	  src/xfdesktop-file-icon-manager.c, src/xfdesktop-icon-view.c,
	  xfdesktop.spec.in:
	  Update for 4.4beta1.

2006-04-16 04:36  daichi

	* modules/menu/xfce-registered-categories.xml.ru, po/ru.po:
	  Updated Russian translations by Andrey Fedoseev
	  <andrey.fedoseev@gmail.com>.

2006-04-15 20:54  paurullan

	* po/ca.po:
	  [i18n] catalan
	  update of Thunar and xfdesktop

2006-04-15 17:41  olivier

	* ChangeLog:
	  Update ChangeLog

2006-04-15 12:10  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  Bump, etc.

2006-04-15 10:24  daichi

	* po/ru.po:
	  Updated Russian translations by Andrey Fedoseev
	  <andrey.fedoseev@gmail.com>.

2006-04-15 04:01  daichi

	* modules/menu/xfce-registered-categories.xml.ru:
	  Updated Russian desktop translations by Andrey Fedoseev
	  <andrey.fedoseev@gmail.com>.

2006-04-15 03:17  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-04-15 02:12  daichi

	* po/ko.po:
	  Added/Updated Korean translations by ByungHyun Choi
	  <byunghyun.choi@gmail.com>.

2006-04-15 00:57  stavrosg

	* po/el.po:
	  Updated Greek translation.

2006-04-14 23:58  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-04-14 23:34  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po,
	  src/xfdesktop-file-icon-manager.c:
	  Added a translatable string by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-04-13 14:46  sas

	* po/hu.po:
	  hu trunk: desktop & fgr updates

2006-04-12 12:00  pollux

	* menueditor/utils.c:
	  fix #1658 using Nick Schermer's (nick@xfce.org) patch

2006-04-11 12:38  daichi

	* modules/menu/Makefile.am,
	  modules/menu/xfce-registered-categories.xml.es:
	  Added Spanish desktop menu translations by josem
	  <josem88@gmail.com>.

2006-04-11 11:26  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-04-10 23:30  kelnos

	* configure.ac:
	  bump version to 4.3.90.1 for 4.4beta1

2006-04-10 02:03  kelnos

	* pixmaps/Makefile.am:
	  update icon cache file after installing icons to hicolor, only
	  if DESTDIR
	  is not set. (thanks benny)

2006-04-09 12:11  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-04-09 02:22  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-04-09 02:16  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-04-07 01:10  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  ok, creating new files from templates and whatnot should work
	  too

2006-04-07 00:42  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  add support for creating folders and documents (templates) from
	  the file
	  right-click menu. yes, i know, i said feature-freeze, but i've
	  been finding
	  the desktop somewhat useless without the ability to create
	  folders.
	  creating files doesn't work yet.

2006-04-06 01:22  kelnos

	* configure.ac:
	  need newer version of libxfce4panel

2006-04-06 01:22  kelnos

	* src/xfdesktop-icon-view.c:
	  style change: only expand the label area of the last-clicked
	  icon, regardless
	  of which are selected

2006-04-06 00:05  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  ok, plugin should set the button size properly after setting the
	  label.
	  stupid mistake.

2006-04-05 23:53  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  * remove xfutil_ function as we already have something for
	  making mixed buttons
	  * fix initial sizing of button with both icon and test label.
	  button still
	  doesn't size downward properly though.

2006-04-05 23:42  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  go back to GtkImage for the panel plugin button. seems to work
	  ok.

2006-04-05 22:15  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  fix crash on inserting dvd/cd, patch from benny (bug 1587)

2006-04-05 21:31  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  give the menu button a name ("xfce-menu-button") so it can be
	  themed in RC
	  files (buf 1588)

2006-04-04 06:30  paurullan

	* po/ca.po:
	  [i18n] catalan
	  little of work on xfdesktop and terminal

2006-04-02 20:32  paurullan

	* po/ca.po:
	  [i18n] catalan
	  little of work on catalan translations

2006-04-01 03:37  stavrosg

	* po/el.po:
	  Greek translations update & polish by Stathis Kamperis
	  <ekamperi@auth.gr>

2006-03-30 13:41  daichi

	* po/vi.po:
	  Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-03-27 14:34  daichi

	* po/ru.po:
	  Added/Updated Russian translations by
	  Andrey Fedoseev <andrey.fedoseev@gmail.com> and
	  Sergey Fedoseev <fedoseev.sergey@gmail.com>.

2006-03-26 00:26  stavrosg

	* po/el.po:
	  * Greek translation update

2006-03-19 16:54  paurullan

	* po/ca.po:
	  [i18n] catalan
	  seems a lot of work but they all are fuzzy

2006-03-19 02:01  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-03-18 21:27  olivier

	* common/xfdesktop-common.h, settings/appearance-settings.c:
	  Changing colors.

2006-03-18 14:47  paurullan

	* po/ca.po:
	  [i18n] catalan
	  added null translation and some little tweaks to not-parsing
	  ones

2006-03-18 09:15  daichi

	* po/ru.po:
	  Added/Updated Russian translations by
	  Andrey Fedoseev <andrey.fedoseev@gmail.com>,
	  Sergey Fedoseev <fedoseev.sergey@gmail.com>.

2006-03-18 09:01  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-03-15 13:31  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  fix removable media reload on F5/ctrl+r

2006-03-15 11:40  kelnos

	* modules/menu/desktop-menu-dentry.c, src/xfdesktop-window-icon.c:
	  another memleak patch from stephan arts <stephan.arts@hva.nl>

2006-03-14 22:26  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  watch 'changed' signal on ThunarVfsVolume, and only add the
	  volume if it's
	  actually present. not sure if this works right since i can't
	  really test
	  it right now.

2006-03-14 21:22  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  rename function to make sense

2006-03-14 20:14  kelnos

	* src/main.c, src/xfce-desktop.c:
	  fix memleaks. patch from stephen arts <stephen.arts@hva.nl>

2006-03-14 20:04  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  gcc 4.0 warnings

2006-03-14 06:41  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  allow ctrl+click to go through so panel can show the context
	  menu

2006-03-12 13:52  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  allow changing default mime app from the properties dialog

2006-03-12 12:59  kelnos

	* src/xfce-desktop.c, src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-file-icon-manager.h, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-icon.h:
	  * add support for showing removable media icons on the desktop
	  (need to make
	  this disablable)
	  * fix a ThunarVfsMimeApplication memleak
	  * fix properties dialog showing an "open with" application for
	  folders

2006-03-12 10:11  kelnos

	* src/main.c:
	  ... and only have the desktop respond to single-clicks

2006-03-12 10:07  kelnos

	* src/xfdesktop-icon-view.c:
	  prevent system menu from coming up under icon context menu when
	  the right
	  button is double-clicked

2006-03-11 08:44  kelnos

	* src/xfce-desktop.c, src/xfdesktop-icon-view.c:
	  do expose event handling the right way, via
	  gtk_container_propagate_expose().

2006-03-10 23:08  kelnos

	* src/main.c:
	  ... and fix link with --disable-desktop-icons

2006-03-10 23:04  kelnos

	* settings/behavior-settings.c:
	  fix compilation with --disable-desktop-icons (bug 1565)

2006-03-10 23:02  kelnos

	* src/xfce-desktop.c:
	  fix alt+f4 with the desktop focused totally killing stuff. god,
	  i love
	  C function pointer casts. they're so beautifully
	  incomprehensible. sure,
	  i could have used a typedef to make it slightly more readable,
	  but where's
	  the fun in that? (bug 1563)

2006-03-10 08:33  kelnos

	* src/xfdesktop-icon-view.c:
	  fix potential crash bug

2006-03-10 08:31  kelnos

	* settings/appearance-settings.c:
	  fix color style setting

2006-03-10 08:21  kelnos

	* src/xfdesktop-icon-view.c:
	  fix shift-click behavior for icons, make it more consistent with
	  thunar's
	  icon view (bug 1531)

2006-03-07 00:07  stavrosg

	* po/el.po:
	  Greek translation update

2006-03-06 06:52  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-icon-view.c:
	  don't set GTK_REALIZED flag before starting up the
	  XfdesktopIconViewManager
	  instance. (bug 1545)

2006-03-06 06:32  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c:
	  make sure icons aren't destroyed (due to deletion, whatever)
	  while dialog
	  boxes/menus that reference them are open. (bug 1548)

2006-03-06 06:12  kelnos

	* src/xfdesktop-file-icon.c:
	  paint symlink emblem on symlinks

2006-03-05 12:38  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  * include desktop actions in the file's right-click menu
	  * remove separator between first "open with" item and the next
	  item if the
	  non-default applications are moved to a submenu

2006-03-05 11:28  kelnos

	* settings/behavior-settings.c:
	  fix compile with desktop icons disabled (bug 1537)

2006-03-05 10:31  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-03-04 12:14  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-03-04 11:10  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-03-04 10:55  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  fix all dialog boxes so they're passed the desktop window as
	  their parent.
	  this allows focus to naturally return to the desktop window when
	  the dialog
	  is dismissed (bug 1530)

2006-03-03 14:13  kelnos

	* modules/menu/desktop-menu-file.c:
	  whoops, forgot to commit icon theme changes

2006-03-03 13:05  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  whitespace cleanup

2006-03-03 13:01  kelnos

	* configure.ac, src/Makefile.am,
	  src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c:
	  implement optional thunar extensions: property pages and menu
	  items.
	  probably needs some cleanup, ask benny how it looks later. sleep
	  now.

2006-03-03 12:41  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  xfce_pixbuf_new_from_file_at_size() ->
	  gdk_pixbuf_new_from_file_at_size()

2006-03-03 11:34  kelnos

	* TODO:
	  update todo

2006-03-03 11:33  kelnos

	* src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-icon-view-manager.c,
	  src/xfdesktop-icon-view-manager.h, src/xfdesktop-icon-view.c:
	  finish implementing DnD to/from thunar. copy/move/link should
	  all work

2006-03-03 10:28  kelnos

	* menueditor/utils.c, settings/appearance-settings.c,
	  settings/backdrop-list-manager.c,
	  src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c:
	  * use fallback file manager from configure (thunar is default)
	  * xfce_pixbuf_new_from_file_at_size() ->
	  gdk_pixbuf_new_from_file_at_size()

2006-03-03 10:18  kelnos

	* modules/menu/desktop-menu-dentry.c:
	  xfce_pixbuf_new_from_file_at_size() ->
	  gdk_pixbuf_new_from_file_at_size()

2006-03-03 10:13  kelnos

	* configure.ac:
	  depend on libgui 4.3.9 for extra icon theme stuff, add configure
	  option
	  for file manager fallback

2006-03-03 10:12  kelnos

	* modules/menu/desktop-menu-private.h,
	  modules/menu/desktop-menu.c, modules/menu/desktop-menuspec.c:
	  remove XfceIconTheme stuff, use xfce_themed_icon_*() instead

2006-03-02 16:46  kelnos

	* src/xfdesktop-icon-view.c:
	  only activate on double-click with button 1

2006-03-02 16:03  kelnos

	* configure.ac, src/Makefile.am, src/xfdesktop-file-icon.c,
	  src/xfdesktop-gdk-pixbuf-extensions.c,
	  src/xfdesktop-gdk-pixbuf-extensions.h,
	  src/xfdesktop-icon-view.c:
	  pixbuf effects are now in libexo, so use those. add soft
	  dependency on libexo,
	  which is required for thunar-vfs anyway.

2006-03-02 15:35  kelnos

	* src/xfdesktop-icon-view.c:
	  a little code cleanup, fix a minor memleak, fix a couple repaint
	  glitches

2006-03-02 14:46  kelnos

	* src/xfdesktop-icon-view.c:
	  * add prelight effect to icon pixbuf when pointer is over an
	  item
	  * fix some signal disconnects i forgot before

2006-03-02 14:00  kelnos

	* src/xfdesktop-icon-view.c:
	  eliminate some more flicker...

2006-03-02 13:32  kelnos

	* TODO, configure.ac, src/Makefile.am,
	  src/xfdesktop-clipboard-manager.c,
	  src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-icon.h,
	  src/xfdesktop-gdk-pixbuf-extensions.c,
	  src/xfdesktop-gdk-pixbuf-extensions.h,
	  src/xfdesktop-icon-view.c:
	  * add gdk-pixbuf extensions copied from thunar
	  * fix XfdesktopClipboardManager's "changed" signal
	  * set icon to 50% translucent if file is in "cut" state
	  * do selected icon colorisation like thunar does

2006-03-02 12:00  kelnos

	* src/xfdesktop-icon-view.c:
	  make mouse selection more consistent with thunar's icon view

2006-03-02 11:34  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-icon.h:
	  move menu and activation handling for file icons into
	  XfdesktopFileIconManager
	  so i can support multiple selections activated with the mouse.

2006-03-02 10:18  kelnos

	* src/xfdesktop-icon.c, src/xfdesktop-icon.h:
	  turn XfdesktopIcon::{selected,activated,menu-popup} into signals

2006-03-02 10:02  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-icon-view.c:
	  fix idled repaint problems with multiple selections (bug 1511)

2006-03-01 13:13  kelnos

	* src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-icon-view-manager.c,
	  src/xfdesktop-icon-view-manager.h, src/xfdesktop-icon-view.c:
	  add experimental support for dropping files/folders from thunar
	  to the desktop.
	  note that this is not very well tested, and may trash your files
	  or insult
	  your mother, so be warned.

2006-03-01 11:32  kelnos

	* src/xfdesktop-icon-view.c:
	  avoid some flicker and repaint delays

2006-02-27 07:36  kelnos

	* TODO, src/xfce-desktop-settings.c, src/xfce-desktop.c,
	  src/xfce-desktop.h:
	  speed up startup a bit. XfceDesktop::backdrop_changed_cb()
	  should only be
	  executed once on startup now, instead of 4-6 times as various
	  options are set.

2006-02-27 07:09  kelnos

	* src/xfdesktop-file-icon.c, src/xfdesktop-icon-view.c:
	  grr, bit field, not enum.
	  remove some old printfs

2006-02-27 06:50  kelnos

	* TODO, src/xfdesktop-file-icon-manager.c:
	  * fix initial button focus in delete dialog
	  * update todo

2006-02-27 06:35  kelnos

	* src/xfdesktop-file-icon.c:
	  * properties dialog:
	  - fix display of symlink data
	  - put name in entry (will make renameable later)
	  - fix table packing so right-hand column expands with dialog
	  resize

2006-02-26 21:38  kelnos

	* src/xfce-desktop.c, src/xfdesktop-icon-view.c:
	  this should fix the intermittent crash, and doesn't mess with
	  GtkStyles at
	  all to paint the backdrop. i need to fix a couple places where
	  i'm probably
	  drawing unnecessarily, but at least it works and is reasonably
	  flicker-free

2006-02-26 16:03  olivier

	* settings/appearance-settings.c:
	  Improve focus management with focus stealing prevention

2006-02-26 13:44  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-02-26 13:41  daichi

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-02-26 09:44  kelnos

	* TODO:
	  update todo

2006-02-26 09:30  kelnos

	* src/xfdesktop-file-icon.c, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon.c, src/xfdesktop-icon.h,
	  src/xfdesktop-window-icon.c:
	  implement drag-exec, drag-move, drag-copy, and drag-link. only
	  works for
	  icons on the desktop, not for desktop to other windows or
	  vice-versa

2006-02-26 09:28  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  fix missing icon on file creation sometimes

2006-02-26 07:43  kelnos

	* src/xfdesktop-icon-view.c:
	  fix (x,y) -> (row,col) calculation. i really suck sometimes.

2006-02-26 07:20  kelnos

	* src/xfdesktop-file-icon.c, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon.c, src/xfdesktop-icon.h,
	  src/xfdesktop-window-icon.c:
	  fix icons disappearing while dragging stuff around on file icon
	  view, prep
	  to make drops on folders actually do stuff

2006-02-25 13:38  benny

	* src/xfdesktop-file-icon.c:
	  Launch applications with $HOME as working directory as requested
	  on the
	  xfce mailinglist. Bug #1473.

2006-02-25 09:32  kelnos

	* src/xfce-desktop.c:
	  hopefully fix crash on gtk theme change

2006-02-25 08:47  kelnos

	* menu.xml, menu.xml.az, menu.xml.ca, menu.xml.cs, menu.xml.da,
	  menu.xml.de, menu.xml.el, menu.xml.es, menu.xml.et, menu.xml.eu,
	  menu.xml.fa_IR, menu.xml.fi, menu.xml.fr, menu.xml.he,
	  menu.xml.hu, menu.xml.ja, menu.xml.ko, menu.xml.ms, menu.xml.nl,
	  menu.xml.pl, menu.xml.pt_BR, menu.xml.ro, menu.xml.ru,
	  menu.xml.sk, menu.xml.sv, menu.xml.ta, menu.xml.tr, menu.xml.uk,
	  menu.xml.vi, menu.xml.zh_CN, menu.xml.zh_TW:
	  enable startup notification for settings manager menu item

2006-02-25 08:43  kelnos

	* settings/xfce-backdrop-settings.desktop.in:
	  enable startup notification in desktop mcs plugin

2006-02-25 07:39  olivier

	* settings/appearance-settings.c:
	  Use an accurate time stamp to update the user_time property used
	  by focus stealing prevention.

2006-02-25 01:46  daichi

	* modules/menu/Makefile.am,
	  modules/menu/xfce-registered-categories.xml.el:
	  Added Greek translations by Stavros Giannouris
	  <stavrosg2002@freemail.gr>.

2006-02-24 21:56  kelnos

	* settings/appearance-settings.c:
	  also set _NET_WM_USER_TIME when raising the window when it's
	  already there
	  but the user requests it again

2006-02-24 21:48  kelnos

	* settings/appearance-settings.c:
	  set _NET_WM_USER_TIME before showing settings dialog

2006-02-24 12:41  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-02-24 08:34  kelnos

	* po/zh_CN.po:
	  fix translation of "other" menu item, from ling li
	  <lilingv@gmail.com>
	  (bug 1453)

2006-02-24 08:19  kelnos

	* src/xfce-desktop.c:
	  fix themes with back pixmaps overriding the backdrop picture.
	  not sure why
	  gdk_window_set_back_pixmap() stopped working (bug 1474)

2006-02-24 07:47  kelnos

	* src/xfdesktop-file-icon.c, src/xfdesktop-icon-view.c:
	  watch icon theme for changes and redraw desktop (bug 1486)

2006-02-24 07:18  kelnos

	* menueditor/about_dialog.c, menueditor/add_dialog.c,
	  menueditor/dnd.c, menueditor/edit_dialog.c,
	  menueditor/menueditor.c, menueditor/menueditor.h,
	  menueditor/utils.c, menueditor/utils.h:
	  remove all XfceIconTheme references (hope you don't mind, JF!)

2006-02-24 01:00  kelnos

	* src/xfce-desktop.c, src/xfdesktop-icon-view.c:
	  fix icon font size setting on startup (bug 1492)

2006-02-24 00:37  kelnos

	* settings/Makefile.am, settings/appearance-settings.c,
	  settings/backdrop-list-manager.c,
	  settings/backdrop-list-manager.h, settings/backdrop-mgr.c,
	  settings/backdrop-mgr.h, settings/backdrop_settings.c,
	  settings/behavior-settings.c, settings/behavior-settings.h,
	  settings/menu_settings.c, settings/menu_settings.h,
	  settings/settings-common.c, settings/settings-common.h,
	  settings/settings_common.c, settings/settings_common.h:
	  do some housecleaning

2006-02-24 00:21  kelnos

	* settings/backdrop-mgr.c, settings/menu_settings.c:
	  fix warning (man gcc 4.0 is piiiiicky), fix text

2006-02-23 21:40  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  have toggle button pressed in while menu is open

2006-02-23 07:55  kelnos

	* modules/menu/xfce-registered-categories.xml,
	  modules/menu/xfce-registered-categories.xml.cs,
	  modules/menu/xfce-registered-categories.xml.eu,
	  modules/menu/xfce-registered-categories.xml.fi,
	  modules/menu/xfce-registered-categories.xml.fr,
	  modules/menu/xfce-registered-categories.xml.he,
	  modules/menu/xfce-registered-categories.xml.hu,
	  modules/menu/xfce-registered-categories.xml.ja,
	  modules/menu/xfce-registered-categories.xml.nl,
	  modules/menu/xfce-registered-categories.xml.pl,
	  modules/menu/xfce-registered-categories.xml.pt_BR,
	  modules/menu/xfce-registered-categories.xml.ro,
	  modules/menu/xfce-registered-categories.xml.ru,
	  modules/menu/xfce-registered-categories.xml.sk,
	  modules/menu/xfce-registered-categories.xml.sv,
	  modules/menu/xfce-registered-categories.xml.zh_CN,
	  modules/menu/xfce-registered-categories.xml.zh_TW:
	  dump the WineX and CrossOver stuff in the Wine folder. no need
	  for so many

2006-02-22 21:12  stavrosg

	* po/el.po:
	  Updated/Added Greek translations

2006-02-22 20:18  kelnos

	* src/xfdesktop-icon-view.c:
	  fix icon placement calculation

2006-02-21 17:41  kelnos

	* settings/settings_common.h:
	  fix compilation with desktop menu disabled

2006-02-21 00:57  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  make treeview in delete dialog not selectable to avoid confusion
	  (bug 1484)

2006-02-20 09:55  kelnos

	* src/main.c, src/menu.c, src/menu.h, src/windowlist.c,
	  src/windowlist.h:
	  use gtk-menu-images to determine whether or not to show icons in
	  the window
	  list and desktop menus

2006-02-20 09:25  kelnos

	* settings/menu_settings.c, settings/settings_common.h:
	  remove show {desktop,window} menu icon options, will be using
	  gtk-menu-images
	  global setting from now on

2006-02-20 09:08  kelnos

	* settings/menu_settings.c, settings/settings_common.h,
	  src/xfce-desktop-settings.c, src/xfce-desktop.c,
	  src/xfce-desktop.h, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon-view.h:
	  tweak settings dialog, and remember to commit it this time, fix
	  problem
	  with system font size toggle not getting restored properly on
	  restart

2006-02-20 03:19  kelnos

	* TODO, src/xfce-desktop-settings.c, src/xfce-desktop.c,
	  src/xfce-desktop.h, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon-view.h:
	  add settings for icon size and icon text size

2006-02-20 00:47  kelnos

	* src/xfdesktop-file-icon.c:
	  quote app titles, make the i18n on the string a little bit
	  easier (though
	  still annoyingly somewhat duplicated)

2006-02-20 00:43  kelnos

	* src/xfdesktop-file-icon.c:
	  * make folder "Open" context menu item actually do something
	  * tweak the menu layout a bit to be more like thunar

2006-02-20 00:31  kelnos

	* src/xfdesktop-file-icon.c:
	  add "open with" label to properties dlg

2006-02-19 16:35  daichi

	* po/de.po:
	  Updated German translations by Fabian Nowak
	  <timystery@arcor.de>.

2006-02-18 14:02  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-02-18 13:43  daichi

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-02-18 09:22  olivier

	* modules/menu/Makefile.am,
	  modules/menu/xfce-registered-categories.xml.fr:
	  Create and add missing xfce-registered-categories.xml.fr

2006-02-17 17:35  kelnos

	* TODO:
	  update todo. it's longer than i thought.

2006-02-17 17:27  kelnos

	* src/xfdesktop-icon-view.c:
	  unselect icon if selected and clicked or keyboarded with
	  shift/ctrl held

2006-02-17 15:58  kelnos

	* common/Makefile.am, common/xfdesktop-common.h, configure.ac,
	  settings/Makefile.am, settings/backdrop_settings.c,
	  settings/settings_common.h, src/Makefile.am, src/main.c,
	  src/xfce-backdrop.c, src/xfce-backdrop.h,
	  src/xfce-desktop-settings.c, src/xfce-desktop-settings.h,
	  src/xfce-desktop.c, src/xfce-desktop.h,
	  src/xfdesktop-icon-view.c:
	  * do some re-encapsulation. i don't like how the MCS stuff was
	  intertwined
	  with XfceDesktop. now the MCS stuff runs in a separate file and
	  just calls
	  normal xfce_desktop_*() and xfce_backdrop_*() getters and
	  setters.
	  * replace GtkOptionMenu with GtkComboBox in the settings dialog,
	  and don't
	  force the GtkEntry to artificially increase the size of the
	  dialog
	  * fix the silly menu expose bug when no desktop icons are shown.

2006-02-16 21:39  paurullan

	* po/ca.po:
	  [i18n] catalan: little fixes of old strings
	  (even that the translation is very fuzzy)

2006-02-16 17:17  kelnos

	* pixmaps/Makefile.am:
	  fix make dist

2006-02-15 18:19  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-icon.h:
	  finish properties dialog, handle thunar-vfs monitor 'changed'
	  event (mostly)

2006-02-15 17:19  kelnos

	* menueditor/about_dialog.c:
	  fix deprecation warning

2006-02-15 17:18  kelnos

	* configure.ac, src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-file-icon.c, src/xfdesktop-file-icon.h,
	  src/xfdesktop-icon-view.c, src/xfdesktop-icon-view.h:
	  * add some keyboard shortcuts: ctrl+r/f5, ctrl+c, ctrl+x, delete
	  * allow deleting multiple files with a single nifty confirmation
	  dialog
	  * start implementing a dumbed-down version of thunar's file
	  properties dialog
	  * depend on newer libxfcegui4 for xfce_message_dialog_new()

2006-02-15 15:48  piarres

	* po/eu.po:
	  [l10n:eu] litle typo in last update

2006-02-15 15:45  piarres

	* po/ChangeLog, po/eu.po:
	  [l10n:eu] Basque translation update

2006-02-14 14:46  kelnos

	* src/Makefile.am, src/xfdesktop-clipboard-manager.c,
	  src/xfdesktop-clipboard-manager.h,
	  src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-icon.h, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon-view.h:
	  whoever said bumming around in airports and on planes was
	  useless? i just
	  wish my laptop battery lasted longer...
	  
	  * implement cut/copy in the menu (copied ThunarClipboardManager
	  with mods).
	  * save icon positions. not sure if i'm happy with the current
	  method. we'll
	  revisit this later.
	  * start enabling bits for drag/drop to external apps. doesn't
	  quite work yet,
	  though.
	  * launch thunar to handle "open with other application".
	  * rearrange some code.

2006-02-13 12:28  pollux

	* po/vi.po:
	  updated VI translations

2006-02-13 05:21  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-icon.h:
	  patch from benny:
	  
	  "One of the things I noticed about your implementation is that
	  you use
	  ThunarVfsPath's and determine the ThunarVfsInfo on-demand. As
	  said on
	  thunar-dev, this can cause trouble if the info takes long to
	  load (i.e.
	  it's a symlink to a slow device or a network share, etc.).
	  Therefore,
	  unless you receive a change notification, the info should also
	  be
	  determined asynchronously using thunar_vfs_listdir(). The
	  attached patch
	  changes XfdesktopFileIcon to use ThunarVfsInfo directly instead
	  of
	  ThunarVfsPath. There was also a bug in there which caused
	  xfdesktop to
	  crash when the file name contains non-UTF-8 chars, because you
	  used the
	  path name directly, instead of using
	  ThunarVfsInfo->display_name, which
	  is garantied to be UTF-8 (while the path name is always in the
	  local
	  file system encoding).
	  
	  "I also changed the "Open" action for folders to try
	  org.xfce.FileManager.Launch() first, prior to falling back to
	  hardcoded
	  Thunar invocation. This way, things will also work with other
	  file managers.
	  
	  "And for thunar_vfs_info_execute() you passed the path of the
	  executable
	  as parameter (-> path_list), which was probably not what you
	  wanted
	  (yeah, I know I should write better documentation), since this
	  will
	  actually expand to exec("<executable> <executable>"). The
	  path_list
	  parameter for _execute() gives the paths that should be passed
	  as
	  parameters to the command."

2006-02-12 10:41  stavrosg

	* po/el.po:
	  Updated Greek translation

2006-02-11 03:29  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-02-10 15:31  kelnos

	* src/xfdesktop-file-icon-manager.c:
	  don't show hidden files on the desktop

2006-02-10 15:16  kelnos

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  update POTFILES.in, update-po

2006-02-10 15:15  kelnos

	* src/xfdesktop-file-icon.c:
	  file right-click menu: execute via all mime applications,
	  rename, and delete.
	  still no cut/copy, open with other app, or properties dialog.
	  also no DnD.

2006-02-10 12:40  kelnos

	* pixmaps/Makefile.am, pixmaps/xfdesktop-fallback-icon.png,
	  src/xfdesktop-file-icon.c, src/xfdesktop-icon-view.c:
	  * add fallback icon
	  * use folder icon for folders
	  * launch thunar to open folders

2006-02-10 10:29  kelnos

	* src/xfdesktop-file-icon-manager.c, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-icon.h:
	  double-click should execute stuff, more or less

2006-02-10 09:51  kelnos

	* src/main.c, src/xfce-desktop.c,
	  src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-icon-view-manager.c,
	  src/xfdesktop-icon-view-manager.h, src/xfdesktop-icon-view.c,
	  src/xfdesktop-window-icon-manager.c:
	  rudimentary desktop file icon support is working now. you can't
	  do anything
	  with them aside from move them around, but it appears to work so
	  far.

2006-02-10 06:49  kelnos

	* settings/menu_settings.c:
	  only show file/launcher icon option if thunar-vfs is available

2006-02-10 06:49  kelnos

	* src/xfdesktop-file-icon.c:
	  start implementing XfdesktopFileIcon

2006-02-10 06:02  kelnos

	* doc/README.kiosk, settings/menu_settings.c, src/xfce-backdrop.c,
	  src/xfce-desktop.c, src/xfdesktop-icon-view.c,
	  src/xfdesktop-window-icon-manager.c:
	  add new option to settings dialog for desktop icon style, fix a
	  bunch of
	  crash bugs, and use G_DEFINE_TYPE() instead of manually typing
	  out the
	  functions for consistency (and bugfixingness)

2006-02-10 04:12  kelnos

	* src/xfce-desktop.c, src/xfdesktop-icon-view.c,
	  src/xfdesktop-window-icon-manager.c,
	  src/xfdesktop-window-icon.c:
	  fixup and activate new icon view model. there may be bugs, but
	  it seems to
	  work fairly well so far

2006-02-06 09:20  kelnos

	* src/xfdesktop-icon-view.c, src/xfdesktop-icon-view.h,
	  src/xfdesktop-window-icon-manager.c:
	  ok, that was wrong. handle icon selection by adding some signals
	  to
	  XfdesktopIconView. it's more efficient this way anyway, since
	  it's one signal
	  per view instead of per icon

2006-02-06 09:07  kelnos

	* src/xfdesktop-window-icon-manager.c,
	  src/xfdesktop-window-icon.c, src/xfdesktop-window-icon.h:
	  * fix crash; each icon_workspaces[] element will always be valid
	  now
	  * handle the selected icon when moving between workspaces

2006-02-06 08:56  kelnos

	* src/Makefile.am, src/xfdesktop-file-icon-manager.c,
	  src/xfdesktop-file-icon-manager.h, src/xfdesktop-file-icon.h,
	  src/xfdesktop-icon-view-manager.c,
	  src/xfdesktop-icon-view-manager.h, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon-view.h, src/xfdesktop-icon.c,
	  src/xfdesktop-window-icon-manager.c,
	  src/xfdesktop-window-icon-manager.h,
	  src/xfdesktop-window-icon.c, src/xfdesktop-window-icon.h:
	  everything should compile ok now, though the view doesn't quite
	  work yet.
	  i've left out the changes in xfce-desktop.c so the old icon view
	  will still
	  work properly.
	  
	  here's what we have:
	  
	  * XfceDesktop: this is the same XfceDesktop from before, but all
	  the window
	  icon stuff has been ripped out, aside from a few setup hooks.
	  * XfdesktopIconView: a widget that sits on top of XfceDesktop.
	  it doesn't
	  have its own GdkWindow, but draws on XfceDesktop's. its job is
	  to keep
	  track of and draw XfdesktopIcons on the desktop. it doesn't know
	  or care
	  what they are. it just knows they have a pixbuf and label. this
	  code is
	  most of what was ripped out of XfceDesktop.
	  * XfdesktopIcon: a GInterface that describes an icon on the
	  desktop
	  * XfdesktopWindowIcon: an implementation of XfdesktopIcon that
	  knows stuff
	  about application windows.
	  * XfdesktopFileIcon: an (incomplete) implementation of
	  XfdesktopIcon that knows
	  stuff about files and folders.
	  * XfdesktopIconViewManager: a GInterface that provides a
	  "manager" for an
	  XfdesktopIconView. this manager will be owned by its associated
	  XfdesktopIconView and can control what is displayed via
	  XfdesktopIconView's
	  API.
	  * XfdesktopWindowIconManager: an implementation of
	  XfdesktopIconViewManager
	  that knows about application windows and what to do with them
	  when they
	  change state. it uses XfdesktopWindowIcon to keep track of
	  windows.
	  * XfdesktopFileIconManager: an (incomplete) implementation of
	  XfdesktopIconViewManager that knows about files in a directory
	  and how to
	  manipulate them.

2006-02-05 17:53  yuvaltanny

	* po/he.po:
	  Update Hebrew translations

2006-02-05 12:25  kelnos

	* src/xfdesktop-file-icon-manager.h:
	  whoops, c&p error

2006-02-05 12:25  kelnos

	* src/xfdesktop-file-icon-manager.h,
	  src/xfdesktop-window-icon-manager.h:
	  add icon manager headers. these shouldn't need to change.

2006-02-05 12:23  kelnos

	* src/xfdesktop-icon-view.c, src/xfdesktop-icon-view.h:
	  change interface a little so we can both setup and teardown the
	  icon model
	  properly

2006-02-05 12:05  kelnos

	* src/xfdesktop-window-icon.c:
	  fix warnings

2006-02-05 12:04  kelnos

	* src/xfdesktop-window-icon.c:
	  fix change of semantics

2006-02-05 12:03  kelnos

	* src/xfdesktop-icon-view.c, src/xfdesktop-icon-view.h,
	  src/xfdesktop-icon.c, src/xfdesktop-icon.h:
	  * change XfdesktopIcon interface a bit more
	  * put all the stuff in XfdesktopIconView that needs to be there
	  (it actually
	  compiles, but may not work yet)

2006-02-05 00:10  stavrosg

	* po/el.po:
	  Updated Greek translations

2006-02-03 02:23  kelnos

	* src/xfdesktop-window-icon.c:
	  change behavior of get_position

2006-02-03 01:58  kelnos

	* src/xfdesktop-icon.c, src/xfdesktop-icon.h,
	  src/xfdesktop-window-icon.c:
	  change the interface a little bit more

2006-02-03 01:51  kelnos

	* src/xfdesktop-icon.c, src/xfdesktop-icon.h:
	  change XfdesktopIcon interface

2006-02-03 00:31  kelnos

	* configure.ac, src/Makefile.am:
	  better way of compiling without desktop icon support

2006-02-03 00:19  kelnos

	* src/xfce-desktop.c:
	  ok, i lied. now window icons still work the old way.

2006-02-03 00:14  kelnos

	* configure.ac, src/Makefile.am, src/xfdesktop-file-icon.c,
	  src/xfdesktop-file-icon.h, src/xfdesktop-icon-view.c,
	  src/xfdesktop-icon-view.h, src/xfdesktop-icon.c,
	  src/xfdesktop-icon.h, src/xfdesktop-window-icon.c,
	  src/xfdesktop-window-icon.h:
	  new framework for the desktop icon support. everything still
	  works using
	  the old 'framework'; new stuff isn't active yet.

2006-01-31 21:43  olivier

	* settings/backdrop_settings.c:
	  Include new default colors for 4.4

2006-01-29 23:27  kelnos

	* src/xfce-desktop.c:
	  * fix how moving an icon would always clear out the top-left
	  icon as well
	  * fix some logic with screen resizes
	  * don't always clear out stuff when it's not needed

2006-01-29 07:21  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-01-29 06:52  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  * Updated.
	  * Discarded obsolete translations.

2006-01-25 08:49  kelnos

	* src/xfce-desktop.c:
	  don't repaint icons that changed if the icon isn't on the
	  current workspace

2006-01-25 07:27  kelnos

	* src/xfce-desktop.c:
	  work around weird failure of netk_screen_get_active_workspace()
	  when
	  called if the current workspace gets destroyed

2006-01-25 07:11  kelnos

	* src/xfce-desktop.c:
	  fix crash when changing number of workspaces (bug 1278)

2006-01-24 04:57  kelnos

	* src/xfce-desktop.c:
	  * reduce screen edge margin
	  * track positions in a much easier and more maintainable way, at
	  the expense of
	  four bytes per grid position as opposed to 1 bit. oh well.
	  * implement full keyboard navigation

2006-01-23 10:17  kelnos

	* src/xfce-desktop.c:
	  cosmetic changes, fix icon/text bounding box computation

2006-01-23 10:03  kelnos

	* src/xfce-desktop.c:
	  little speed optimisation

2006-01-23 10:00  kelnos

	* pixmaps/Makefile.am, pixmaps/text-selection-frame.png,
	  src/xfce-desktop.c:
	  * add preliminary support for keyboard navigation
	  * draw rounded corners around icon label text
	  * use PANGO_ALIGN_LEFT instead of PANGO_ALIGN_CENTER on the icon
	  label text
	  so the text isn't cut off. need to figure out why center align
	  messes up
	  since left align is kinda ugly

2006-01-22 08:12  kelnos

	* src/xfce-desktop.c:
	  fix compilation with --disable-window-icons

2006-01-22 07:54  kelnos

	* settings/backdrop_settings.c, settings/menu_settings.c:
	  change backdrop settings tab titles to "appearance" and
	  "behavior" as
	  suggested by botsie

2006-01-21 15:19  olivier

	* backdrops/Makefile.am:
	  Why shipping backdrops if we don't install them all?

2006-01-19 14:37  pollux

	* menueditor/utils.c:
	  fix missing ending tag of submenu in a submenu

2006-01-18 17:48  daichi

	* po/ChangeLog:
	  Updated.

2006-01-13 05:52  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski
	  <riklaunim@gmail.com>.

2006-01-11 20:37  olivier

	* settings/backdrop_settings.c:
	  Fix critical warning if rcfile is NULL (as when no config was
	  done).

2006-01-08 21:12  paurullan

	* po/ca.po:
	  catalan translation:
	  little heading fixing but in every trunk file
	  Created the xfmedia translation

2006-01-07 11:37  daichi

	* po/de.po:
	  Updated German translations by Fabian Nowak
	  <timystery@arcor.de>.

2006-01-07 09:40  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated copyright information.

2006-01-06 09:15  kelnos

	* src/xfce-desktop.c:
	  * fix one crash, though not the root cause, crash is still there
	  when
	  number of desktops decreases
	  * fix placement algorithm AGAIN. sometimes i just shouldn't code
	  at 3am.

2006-01-04 04:47  kelnos

	* backdrops/flower.png, backdrops/xfce-in-a-grid.png,
	  backdrops/xfce-in-the-moon.png, backdrops/xfce-smoke.png,
	  backdrops/xfce-stellar-tile.png, backdrops/xfce-stripes.png,
	  backdrops/xfce-turbulence.png, backdrops/xfce4gradientcurve.png,
	  backdrops/xfce4logo.png, pixmaps/32x32/xfce4-backdrop.png,
	  pixmaps/32x32/xfce4-menueditor.png,
	  pixmaps/48x48/xfce4-backdrop.png,
	  pixmaps/48x48/xfce4-menueditor.png, pixmaps/xfce4_xicon.png,
	  pixmaps/xfce4_xicon1.png, pixmaps/xfce4_xicon2.png,
	  pixmaps/xfce4_xicon3.png, pixmaps/xfce4_xicon4.png:
	  set mimetypes

2006-01-02 02:27  kelnos

	* src/xfce-desktop.c:
	  fix possible cause of a crash (bug 1297)

2006-01-01 23:18  daichi

	* menu.xml.ja, po/ja.po:
	  Updated Japanese translations.

2006-01-01 19:03  daichi

	* po/ja.po:
	  Updated Japanese translations.

2005-12-22 00:09  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  oh god dammit, that's backwards

2005-12-22 00:07  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  fix not setting menu file on startup, i think (bug 1221)

2005-12-20 14:55  daichi

	* configure.ac:
	  Changed order alphabetically.

2005-12-20 14:36  daichi

	* po/ChangeLog, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-12-17 22:17  pollux

	* menueditor/utils.c:
	  close the xml tag for empty submenus

2005-12-14 06:43  kelnos

	* src/xfce-desktop.c:
	  stop the backup resize handler timer if the _NET_WORKAREA
	  property-change
	  event is received

2005-12-14 06:40  kelnos

	* src/xfce-desktop.c:
	  in theory, watch for screen changes and update the window icon
	  rows/cols
	  layout. unfortunately, xfwm4 doesn't update _NET_WORKAREA on
	  screen size
	  change, so i can't test it yet

2005-12-13 04:44  kelnos

	* src/xfce-desktop.c:
	  redo icon placement algorithm. in theory, it shouldn't place
	  icons on top
	  of other icons by accident anymore.

2005-12-11 18:37  stavrosg

	* po/el.po:
	  Updated Greek translations

2005-12-10 01:46  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-12-07 09:38  piarres

	* po/ChangeLog, po/eu.po:
	  [i18n] Basque translation update

2005-12-01 09:53  kelnos

	* src/xfce-desktop.c:
	  and, brilliant, let's fix a possible segfault i just introduced

2005-12-01 09:51  kelnos

	* src/xfce-desktop.c:
	  * watch name-changed and icon-changed on each NetkWindow that's
	  iconified, and
	  repaint with the new name and icon if either changes
	  * make a bunch of code simpler and eliminate some stupid
	  malloc/free activity,
	  at the cost of only 4 bytes (or 8 on 64bit arches) per icon on
	  the desktop

2005-11-29 21:45  daichi

	* po/ja.po:
	  Fixed mistranslations.
	  Revised some translations.

2005-11-28 15:19  daichi

	* po/ChangeLog:
	  Updated.

2005-11-24 02:19  kelnos

	* src/xfce-desktop.c:
	  fix one possible crash and one definite crash

2005-11-21 17:14  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-11-21 16:06  daichi

	* po/POTFILES.in:
	  Updated POTFILES.in files.

2005-11-11 19:00  daichi

	* po/es.po:
	  Updated Spanish translations by Rudy Godoy
	  <rudy@stone-head.org>.

2005-11-06 09:52  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  fix button icon problem on gtk 2.6. apparently they changed the
	  behavior of
	  gdk_pixbuf_new_from_file_at_scale() between 2.6 and 2.8. lame.

2005-11-05 14:59  daichi

	* po/ChangeLog:
	  Deciphering.

2005-11-05 14:38  daichi

	* po/ChangeLog:
	  Trimmed and updated.

2005-11-03 13:48  daichi

	* po/ko.po:
	  Updated Korean translations by ByungHyun Choi
	  <byunghyun.choi@gmail.com>.

2005-10-30 13:29  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-10-30 12:26  kelnos

	* modules/menu/desktop-menu-dentry.c,
	  modules/menu/desktop-menu-file.c, src/xfce-desktop.c:
	  fix unknown icon not getting cached properly

2005-10-30 12:00  kelnos

	* modules/menu/desktop-menu-dentry.c,
	  modules/menu/desktop-menu-private.h,
	  modules/menu/desktop-menu.c, modules/menu/desktop-menu.h,
	  modules/menu/dummy_icon.h:
	  add unknown icon for categories without icons (bug 1196)

2005-10-30 11:26  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  allow non-square icons in menu button (bug 940)

2005-10-28 16:56  daichi

	* modules/menu/Makefile.am,
	  modules/menu/xfce-registered-categories.xml.he:
	  Added Hebrew translations by Yuval Tanny <tanai@int.gov.il>.

2005-10-27 20:32  paurullan

	* po/ca.po:
	  begin process to 4.4 work
	  autotranslation of most of the actual po
	  
	  -- paurullan@bulma.net , ca translator

2005-10-27 09:11  piarres

	* po/ChangeLog, po/eu.po:
	  Basque translation update

2005-10-23 22:23  pollux

	* menueditor/utils.c:
	  fix saving hiddent state of separator (patch from Pasi)

2005-10-21 22:48  kelnos

	* src/xfce-desktop.c:
	  don't draw the drag highlight box when other apps drag stuff
	  over us

2005-10-21 14:05  daichi

	* po/ko.po, po/zh_CN.po:
	  Added missing accelerator keys.

2005-10-21 14:02  alex

	* po/it.po:
	  Restore correct headers.

2005-10-21 12:22  alex

	* po/it.po:
	  Update Italian translations and add missing accelerator keys.

2005-10-21 12:07  daichi

	* po/ja.po:
	  Updated Japanese translations.

2005-10-21 09:03  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski
	  <riklaunim@gmail.com>.

2005-10-19 20:51  daichi

	* po/lt.po:
	  Changed addresses.

2005-10-19 01:44  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated with the latest sources.

2005-10-19 01:40  daichi

	* po/POTFILES.in:
	  Added missing files, removed unnecessary files.

2005-10-19 01:31  daichi

	* menu.xml.ja:
	  Fixed mistranslation.

2005-10-17 12:45  kelnos

	* common/xfdesktop-common.c, common/xfdesktop-common.h,
	  src/menu.c, src/windowlist.c:
	  move menu_grab_available() from menu.c and into
	  xfdesktop-common.c, and use it
	  for popping up the windowlist as well, as it suffers from the
	  same keybinding
	  problem that the menu did. patch from pasi orovuo.

2005-10-16 17:33  daichi

	* Makefile.am, menu.xml.pl,
	  modules/menu/xfce-registered-categories.xml.pl:
	  Added and updated Polish translations by Piotr Malinski
	  <admin@rk.edu.pl>.

2005-10-15 12:51  daichi

	* po/ja.po:
	  Updated Japanese translations.

2005-10-15 12:12  kelnos

	* configure.ac:
	  add "[no-xml]" option to AC_PROG_INTLTOOL to remove dep on
	  XML::Parser as
	  suggested by daichi (bug 964)
	  sorry for the spam, but svn is being annoying and won't let me
	  commit all
	  at once.

2005-10-15 11:45  daichi

	* menu.xml.ja:
	  * Changed some default values (L10N).
	  
	  * Added notes for the end users.
	  
	  * Style change.

2005-10-15 11:04  kelnos

	* settings/backdrop_settings.c:
	  fix problem where systemwide mcs_settings/desktop.xml isn't used
	  (bug 1108)

2005-10-15 09:45  kelnos

	* modules/menu/desktop-menu-cache.c,
	  modules/menu/desktop-menu-cache.h,
	  modules/menu/desktop-menu-dentry.c, modules/menu/desktop-menu.c:
	  i think this should fix the glib warning about GHashTable being
	  NULL when
	  passed to g_hash_table_insert() (bug 1136). i might have also
	  fixed a minor
	  memleak as well.

2005-10-14 13:17  hydonsingore

	* po/zh_TW.po:
	  Update xfdesktop zh_TW translation

2005-10-14 10:03  daichi

	* menu.xml.ja, modules/menu/xfce-registered-categories.xml.ja:
	  Updated Japanese translations.

2005-10-14 10:02  daichi

	* po/hu.po:
	  Updated Hungarian translations by Szervac Attila <sas@321.hu>.

2005-10-14 09:59  daichi

	* po/ja.po:
	  Minor update.

2005-10-13 13:52  daichi

	* po/hu.po:
	  Updated Hungarian translations by Szervac Attila <sas@321.hu>.

2005-10-12 03:21  kelnos

	* src/xfce-desktop.c:
	  don't allow icons to be dropped off-screen

2005-10-11 16:07  daichi

	* menu.xml.hu, menu.xml.ro, menu.xml.sk:
	  * Sync'd with the latest translations.
	  
	  * Removed extra white-spaces.

2005-10-11 16:06  daichi

	* menu.xml, menu.xml.az, menu.xml.ca, menu.xml.de, menu.xml.es,
	  menu.xml.et, menu.xml.eu, menu.xml.fa_IR, menu.xml.fi,
	  menu.xml.fr, menu.xml.he, menu.xml.ko, menu.xml.ms, menu.xml.nl,
	  menu.xml.pt_BR, menu.xml.ru, menu.xml.ta, menu.xml.tr,
	  menu.xml.uk, menu.xml.vi, menu.xml.zh_CN, menu.xml.zh_TW:
	  Removed extra white-spaces.

2005-10-11 15:57  daichi

	* Makefile.am, menu.xml.cs, menu.xml.da, menu.xml.el, menu.xml.sv:
	  Copied from 4.2 branch, they're same.

2005-10-11 14:36  daichi

	* modules/menu/xfce-registered-categories.xml.ja:
	  Sync'd with the latest translations.

2005-10-11 14:36  daichi

	* modules/menu/Makefile.am,
	  modules/menu/xfce-registered-categories.xml.cs,
	  modules/menu/xfce-registered-categories.xml.eu,
	  modules/menu/xfce-registered-categories.xml.hu,
	  modules/menu/xfce-registered-categories.xml.pl,
	  modules/menu/xfce-registered-categories.xml.ro,
	  modules/menu/xfce-registered-categories.xml.sk,
	  modules/menu/xfce-registered-categories.xml.sv:
	  Copied from 4.2 branch, they're same.

2005-10-11 13:54  daichi

	* modules/menu/xfce-registered-categories.xml.ja:
	  Changed an address.

2005-10-11 09:53  daichi

	* po/et.po:
	  Changed an address.

2005-10-11 08:50  daichi

	* po/POTFILES.in, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  po/PORFILES.in
	  
	  * Added a missing source file.
	  
	  po/xfdesktop.pot, po/*.po
	  
	  * Updated.

2005-10-09 22:42  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po:
	  Updated with the latest sources.

2005-10-09 22:41  daichi

	* po/eo.po:
	  * Modified initial header strings using template by `msginit'.
	  
	  * Discarded obsolete translations.
	  
	  NOTE: Under current mechanism (with intltool), given address at
	  the
	  `Report-Msgid-Bugs-To:' will be simply discarded when PO files
	  will be
	  updated with `gmake update-po', sorry Sylvain but if it will be
	  getting
	  work, I'd like to put either
	  
	  `Xfce translations mailing list <xfce-i18n@xfce.org>' or
	  `Xfce Bug Tracker (http://bugzilla.xfce.org/)'
	  
	  for that place.

2005-10-09 17:45  pollux

	* configure.ac, po/eo.po:
	  add EO translations from Sylvain Vedrenne

2005-10-09 13:31  daichi

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/de.po, po/el.po, po/en_GB.po, po/es.po,
	  po/es_MX.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hi.po, po/hu.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/ms.po, po/nb_NO.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/tr.po,
	  po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po:
	  * Modified initial header strings using template by "msginit".
	  
	  * Modified initial comment strings using template by "msginit".
	  
	  * Discarded obsolete translations.

2005-10-08 10:35  kelnos

	* src/xfce-desktop.c:
	  it occurs to me that, even though we have icons now, the desktop
	  still
	  doesn't need to accept focus at all.

2005-10-08 10:27  kelnos

	* src/xfce-desktop.c:
	  add drag&drop support to move window icons around on the
	  desktop. this is
	  probably somewhat buggy, so testing would be quite helpful.

2005-10-08 08:22  daichi

	* modules/menu/xfce-registered-categories.xml.zh_TW:
	  Updated Traditional Chinese translations by
	  Hydonsingore Cia <hydonsingore@mail.educities.edu.tw>.

2005-10-08 07:40  kelnos

	* src/main.c, src/xfce-desktop.c:
	  add window menu on right click on a window icon

2005-10-06 06:33  daichi

	* menu.xml.ja:
	  Minor updates.

2005-10-03 06:19  kelnos

	* configure.ac:
	  depend on panel 4.3.22 as recommended by jasper

2005-10-03 06:14  kelnos

	* modules/menu/Makefile.am, modules/menu/desktop-menu-file.c,
	  panel-plugin/xfce4-menu.desktop.in.in:
	  * add Icon= to plugin .desktop file
	  * call xfce4-session-logout for the 'quit' builtin

2005-10-02 09:23  kelnos

	* src/xfce-desktop.c:
	  i like it in _realize() better

2005-10-02 09:19  kelnos

	* src/xfce-desktop.c:
	  ok, this should actually fix the BadMatch crash. it looks like
	  when i was
	  redoing some parts of xfdesktop, i dropped off the
	  gtk_window_set_screen()
	  call. this also explains why the backdrops weren't getting set
	  right on the
	  windows themselves, but were correct on the 'real' root windows.

2005-10-02 09:03  kelnos

	* src/xfce-desktop.c:
	  fix BadMatch error on multihead reported by JF (i think)

2005-10-02 08:30  jasper

	* panel-plugin/desktop-menu-plugin.c:
	  Fix menu popup

2005-10-02 07:07  kelnos

	* configure.ac, panel-plugin/Makefile.am,
	  panel-plugin/desktop-menu-plugin.c,
	  panel-plugin/xfce4-menu.desktop.in.in:
	  port menu plugin to the new panel. the menu positioning is wrong
	  for some
	  reason, but it works at least

2005-09-24 07:45  daichi

	* po/ja.po:
	  * Added initial "$Id: ChangeLog 28789 2008-11-14 09:06:42Z stephan $".
	  
	  * Updated some translations.

2005-09-10 10:40  kelnos

	* doc/README.kiosk, settings/backdrop_settings.c,
	  settings/menu_settings.c, src/xfce-desktop.c:
	  add option to settings panel to allow runtime enable/disable of
	  the window
	  icons, and hook it into the kiosk system (and update kiosk
	  readme)

2005-09-10 10:02  kelnos

	* src/settings.c:
	  fix a possible crash on settings reload

2005-09-10 09:16  kelnos

	* src/xfce-desktop.c:
	  fix a visual glitch on overlapping repaints

2005-09-10 07:50  kelnos

	* src/xfce-desktop.c:
	  * handle _NET_WORKAREA and only put icons in the work area
	  * make all icons 32x32, and remove ability to have different
	  icon sizes
	  * fix repaint problems when selected icon overlaps other icons,
	  and then is
	  unselected or unminimised

2005-09-09 12:06  daichi

	* po/zh_TW.po:
	  Changed translator's representation in spelling by the request.

2005-09-09 09:43  kelnos

	* src/xfce-desktop.c:
	  remove some dead code

2005-09-09 09:39  kelnos

	* src/xfce-desktop.c:
	  * handle moving windows between workspaces
	  * move handling of sticky state changes out of
	  window-state-changed and into
	  workspace-changed, since we get both signals, and it's easier to
	  implement
	  in workspace-changed.
	  * move the icon creation/adding and destruction/removal stuff
	  into their own
	  functions since it needs to be used in a few places
	  
	  aside from being able to drag icons around, it should be
	  complete and working
	  (aside from the bugs ^_~).

2005-09-09 09:02  kelnos

	* src/xfce-desktop.c:
	  fix handling of icon add/remove when dealing with changes to
	  sticky state

2005-09-09 08:48  kelnos

	* src/xfce-desktop.c:
	  handle new windows

2005-09-09 08:41  kelnos

	* src/xfce-desktop.c:
	  watch workspace destroy/create and handle that properly and
	  stuff. at least
	  i think so.

2005-09-09 07:28  kelnos

	* src/xfce-desktop.c:
	  mess with how free spots are handled, and give
	  previously-minimised windows
	  an 'affinity' for the last place they were located on the
	  desktop

2005-09-09 06:54  kelnos

	* src/xfce-desktop.c:
	  fix calculation of next available grid space

2005-09-09 06:22  kelnos

	* src/xfce-desktop.c:
	  * use gdk_draw_pixbuf() instead of
	  gdk_pixbuf_render_to_drawable()
	  * fix bug where unminimising a sticky window can cause other
	  icons to get
	  erased as well
	  * get rid of extra netk_window_force_update() calls, because i
	  am dumb
	  * properly handle NULL return from netk_window_get_workspace(),
	  because that
	  is indeed a valid return value, and not libnetk being b0rked.

2005-09-08 10:33  kelnos

	* configure.ac:
	  er, i'm stupid.

2005-09-08 10:17  kelnos

	* src/xfce-desktop.c:
	  add some TODOs, remove some old debug statements, and really,
	  i'm going to bed

2005-09-08 09:42  kelnos

	* src/xfce-desktop.c:
	  fix some visual issues with the selected/not-selected
	  transition, make mapping
	  mouse clicks to icons slightly faster, and make finding the
	  first empty grid
	  location actually work properly in all cases (i hope).

2005-09-08 08:30  kelnos

	* src/xfce-desktop.c:
	  manage stored workspace data better, though this makes for some
	  really deep
	  pointer dereferencing =p. also add support for properly removing
	  and adding
	  icons. though the logic to determine new icon grid placement
	  isn't quite
	  there.

2005-09-08 07:26  kelnos

	* src/main.c, src/xfce-desktop.c:
	  show icon as selected on single click, activate window on double
	  click.
	  doesn't update icons as windows change status yet, though.

2005-09-08 06:46  kelnos

	* src/xfce-desktop.c:
	  fix calculation of icon extents box

2005-09-08 06:36  kelnos

	* src/xfce-desktop.c:
	  do some rearrangement, better way to draw the text and
	  background. make it
	  possible to store information about icons on all workspaces, not
	  just the
	  current one.

2005-09-07 12:28  kelnos

	* src/xfce-desktop.c:
	  phase one of CDE-ish app icons

2005-09-07 11:45  pollux

	* menueditor/dnd.c:
	  fix DnD

2005-09-06 06:04  kelnos

	* src/xfce-desktop.c:
	  rearrange stuff a bit

2005-09-06 05:56  kelnos

	* src/xfce-desktop.c:
	  fix crash in _unrealize()

2005-09-03 12:43  kelnos

	* configure.ac, panel-plugin/desktop-menu-plugin.c,
	  settings/backdrop-mgr.c, settings/backdrop_settings.c,
	  settings/menu_settings.c:
	  XfceFileChooser -> GtkFileChooser
	  XfceColorButton -> GtkColorButton
	  XfceFramebox -> xfce_create_framebox()

2005-09-01 17:53  benny

	* panel-plugin/desktop-menu-plugin.c:
	  Don't include <libxfce4util/i18n.h> directly.

2005-09-01 17:11  benny

	* menueditor/menueditor.c, modules/menu/desktop-menuspec.c,
	  src/main.c:
	  Don't include <libxfce4util/i18n.h> directly.

2005-08-30 19:29  pollux

	* menueditor/menueditor.c, menueditor/utils.c:
	  use GtkFileChooser instead of XfceFileChooser

2005-08-29 21:48  daichi

	* po/ja.po:
	  Changed responsible period for previous translator.

2005-08-26 05:18  ankit

	* po/gu.po:
	  Updated Gujarati Translations

2005-08-23 13:51  daichi

	* po/ja.po:
	  Updated Japanese translations.

2005-08-18 14:06  daichi

	* po/bg.po, po/es.po, po/es_MX.po, po/fr.po, po/nb_NO.po,
	  po/nl.po, po/pt_PT.po, po/sv.po, po/zh_CN.po:
	  Fixed errors emitted by 'msgfmt -c'.
	  
	  Added fall back address at the 'Language-Team: ', according to
	  the
	  http://www.iro.umontreal.ca/translation/registry.cgi?team=index
	  
	  Modified initial comment strings with template by 'msginit'.

2005-08-18 12:05  daichi

	* po/ja.po:
	  Updated Japanese translations.

2005-08-17 15:03  daichi

	* po/en_GB.po, po/lt.po, po/nb_NO.po:
	  Converted local charsets to UTF-8.

2005-08-16 10:33  kelnos

	* settings/backdrop_settings.c, settings/settings_common.h,
	  src/xfce-desktop.c:
	  add option to stretch backdrop across all xinerama screens (bug
	  727)
	  limitations:
	  * only works with xinerama (no standard multiscreen).
	  * will likely look pretty funny if the resolution isn't the same
	  on all
	  monitors.
	  * will break if it ever becomes possible to change xinerama
	  config without
	  restarting X, or you can have mixed multiscreen/xinerama.
	  i should be sleeping.

2005-08-16 09:32  kelnos

	* settings/backdrop-mgr.c:
	  fix typo

2005-08-16 08:34  kelnos

	* settings/backdrop-mgr.c:
	  if the currently-active backdrop is removed from the backdrop
	  list, reload
	  a new backdrop after saving the new list (bug 929)

2005-08-16 08:05  kelnos

	* modules/menu/xfce-registered-categories.xml,
	  modules/menu/xfce-registered-categories.xml.fi,
	  modules/menu/xfce-registered-categories.xml.ja,
	  modules/menu/xfce-registered-categories.xml.nl,
	  modules/menu/xfce-registered-categories.xml.pt_BR,
	  modules/menu/xfce-registered-categories.xml.ru,
	  modules/menu/xfce-registered-categories.xml.zh_CN,
	  modules/menu/xfce-registered-categories.xml.zh_TW:
	  fix typo in categories XML file name="Project Management" should
	  be
	  name="ProjectManagement"

2005-08-15 15:32  pollux

	* Makefile.am, menu.xml.ca:
	  update CA translations

2005-08-15 15:12  daichi

	* po/zh_TW.po:
	  Removed executable attribution.

2005-08-13 15:09  stavrosg

	* configure.ac, po/el.po:
	  * Added initial Greek translations in trunk for
	  xfce-mcs-plugins, xfprint,
	  xfwm4 & xfdesktop.
	  * Corrections & additions for xfce4-panel/trunk/po/el.po

2005-08-13 14:09  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen.

2005-08-11 19:18  kelnos

	* src/xfce-desktop.c:
	  do some code reshuffling: move most of the display-related stuff
	  from
	  xfce_desktop_new() into xfce_desktop_realize(). ditto for
	  teardown: move from
	  xfce_desktop_finalize() to xfce_desktop_unrealize(). it would be
	  nice if
	  people on multihead setups could test this; it's been working
	  fine for a while
	  on my single-monitor setup.

2005-08-11 19:11  kelnos

	* doc/Makefile.am:
	  * fix make dist so doc/README.kiosk is included
	  * fix svn:ignore settings

2005-08-11 07:54  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  stupid indentation

2005-08-11 07:43  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  this should mostly fix the sizing issues with the icon and the
	  button. it's
	  still a little funky with vertical panels if the button title is
	  shown, but
	  it's definitely much better than before.

2005-08-10 18:53  kelnos

	* doc/README.kiosk:
	  fix paths

2005-08-05 06:41  pollux

	* configure.ac, po/hy.po:
	  add some HY translations

2005-08-01 07:27  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  fix button title not getting applied

2005-07-19 19:08  pollux

	* modules/menu/xfce-registered-categories.xml.ja, po/ja.po:
	  update JA translations

2005-07-08 13:40  pollux

	* menueditor/add_dialog.c, menueditor/edit_dialog.c,
	  menueditor/menueditor.c, menueditor/utils.c:
	  finish edit dialog and connect signals to the popup menu (fix
	  #1048)

2005-07-04 11:47  pollux

	* po/ko.po:
	  update KO translations

2005-06-29 16:14  pollux

	* po/zh_TW.po:
	  update zh_TW translations

2005-06-26 17:09  pollux

	* po/ko.po:
	  update KO translations

2005-06-21 04:41  kelnos

	* common/xfdesktop-common.c, panel-plugin/desktop-menu-plugin.c,
	  src/xfce-backdrop.c:
	  fix some warnings
	  XfceScaledImage was causing some problems; so go back to
	  GtkImage

2005-06-07 21:36  pollux

	* menueditor/menueditor.c:
	  fix #989 (popup menu on separator)

2005-06-02 03:00  kelnos

	* settings/backdrop_settings.c:
	  fix unused var warning

2005-06-02 02:53  kelnos

	* common/xfdesktop-common.c, common/xfdesktop-common.h,
	  modules/menu/desktop-menu-dentry.c, po/ar.po, po/az.po,
	  po/be.po, po/bg.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po,
	  po/en_GB.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po,
	  po/ms.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfdesktop.pot, po/zh_CN.po, po/zh_TW.po,
	  settings/backdrop_settings.c, src/main.c:
	  i'm not too sure how i feel about this yet, since it's kinda
	  hacky. add a
	  check button "Allow Xfce to manage the desktop" to the backdrop
	  settings panel.
	  this is mainly here to let people easily restore xfdesktop when
	  it dies
	  because of nautilus or some other reason. unfortunately, there's
	  no way to
	  pull it out of the session entirely, because xfce4-session needs
	  to save the
	  session on logout, which depends on the user actually doing
	  that. i suppose
	  adding an MCS setting for this option could work too, and
	  xfdesktop could
	  check it on startup, and quit if it's set. not too sure about
	  that yet, though.

2005-05-14 19:29  olivier

	* po/ChangeLog:
	  Update ChangeLog

2005-05-14 19:29  olivier

	* menueditor/ChangeLog:
	  Update ChangeLog

2005-05-14 19:28  olivier

	* ChangeLog:
	  Update ChangeLog

2005-05-13 06:05  kelnos

	* menu.xml, menu.xml.ca, menu.xml.es, menu.xml.et, menu.xml.fi,
	  menu.xml.fr, menu.xml.he, menu.xml.ja, menu.xml.ko, menu.xml.nl,
	  menu.xml.pt_BR, menu.xml.ro, menu.xml.ru, menu.xml.sk,
	  menu.xml.uk, menu.xml.vi, menu.xml.zh_TW,
	  modules/menu/xfce-registered-categories.xml,
	  modules/menu/xfce-registered-categories.xml.fi,
	  modules/menu/xfce-registered-categories.xml.ja,
	  modules/menu/xfce-registered-categories.xml.nl,
	  modules/menu/xfce-registered-categories.xml.pt_BR,
	  modules/menu/xfce-registered-categories.xml.ru,
	  modules/menu/xfce-registered-categories.xml.zh_CN,
	  modules/menu/xfce-registered-categories.xml.zh_TW:
	  fix documentation comment (thanks Daichi)

2005-05-08 06:17  kelnos

	* src/xfce-desktop.c:
	  whoops, that's superfluous

2005-05-08 05:18  kelnos

	* src/xfce-backdrop.c, src/xfce-backdrop.h, src/xfce-desktop.c:
	  use the X visual's bit depth to determine whether or not we need
	  to use better
	  dithering to avoid ugliness. at least, that's the theory. i'm
	  too lazy to
	  drop to 16bpp to see if it really works. (bug 922)

2005-05-06 19:06  pollux

	* configure.ac, po/bn_IN.po:
	  add bn_IN translations

2005-05-06 18:52  pollux

	* configure.ac, po/mr.po:
	  add MR translations

2005-05-05 12:57  perldude

	* menueditor/about_dialog.c:
	  <kelnos> blame danny

2005-05-04 20:45  olivier

	* ChangeLog:
	  Update ChangeLog

2005-05-04 20:44  olivier

	* menueditor/ChangeLog:
	  Update ChangeLog

2005-05-04 20:44  olivier

	* po/ChangeLog:
	  Update ChangeLog

2005-05-03 21:09  dannym

	* menueditor/about_dialog.c:
	  use xfce_about_dialog_new_with_values (recent libxfcegui4
	  change)

2005-04-18 03:06  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  call xfce_textdomain() before setting plugin caption

2005-04-17 07:56  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  fix initial state of "show text in button" checkbox when the
	  plugin is first
	  added

2005-04-16 09:59  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  fix initial visibility of button text

2005-04-16 09:53  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  add menu title to the button itself by default (yes, you can
	  turn it off).
	  it's not perfect, but it works fairly well. (bug 903)

2005-04-16 08:30  kelnos

	* src/menu.c:
	  fix problem where 'xfdesktop -menu' bound to a key combo
	  sometimes works, but
	  mostly doesn't. thanks to olivier for tracking down the cause.
	  (bug 441)

2005-04-06 07:33  perldude

	* .cvsignore, backdrops/.cvsignore, common/.cvsignore,
	  doc/.cvsignore, doc/C/.cvsignore, doc/C/images/.cvsignore,
	  doc/fr/.cvsignore, doc/fr/images/.cvsignore, doc/it/.cvsignore,
	  doc/it/images/.cvsignore, menueditor/.cvsignore,
	  modules/.cvsignore, modules/menu/.cvsignore,
	  panel-plugin/.cvsignore, pixmaps/.cvsignore,
	  pixmaps/32x32/.cvsignore, pixmaps/48x48/.cvsignore,
	  po/.cvsignore, settings/.cvsignore, src/.cvsignore:
	  remove .cvsignore cruft

2005-04-04 03:25  kelnos

	* src/Makefile.am:
	  fix unresolved symbol problem in menu module

2005-03-28 10:32  jasper

	* doc/C/xfdesktop.html, doc/fr/images/Makefile.am,
	  doc/fr/images/root_menu.png, doc/fr/images/root_menu2.png,
	  doc/fr/images/select_bg_color.png,
	  doc/fr/images/xfdesktop-background.png,
	  doc/fr/images/xfdesktop-editor.png,
	  doc/fr/images/xfdesktop-list.png,
	  doc/fr/images/xfdesktop-menu-tab.png, doc/fr/xfdesktop.html,
	  doc/fr/xfdesktop.xml, doc/it/xfdesktop.html:
	  Update French doc

2005-03-27 18:29  fleclainche

	* pixmaps/32x32/xfce4-backdrop.png,
	  pixmaps/48x48/xfce4-backdrop.png,
	  pixmaps/scalable/xfce4-backdrop.svg:
	  Updated icons

2005-03-14 15:18  kelnos

	* Makefile.am:
	  remove old menu.xml.* files that still use the old 4.0.x default
	  menu

2005-03-10 19:29  pollux

	* Makefile.am, menu.xml.ja, modules/menu/Makefile.am,
	  modules/menu/xfce-registered-categories.xml.ja:
	  update JA translations

2005-03-07 22:36  edscott

	* po/es.po, po/es_MX.po:
	  translation gaps

2005-03-07 09:06  pollux

	* po/gu.po:
	  update GU translations

2005-03-06 17:27  pollux

	* po/ja.po:
	  update JA translations

2005-03-05 19:12  jasper

	* modules/menu/desktop-menu-dentry.c:
	  * Remove quotes around command in several locations (xfdesktop,
	  xfce-appmenu and xfce-exec). Bug #776.
	  * libgui warning fixes

2005-03-05 13:03  pollux

	* po/ja.po:
	  update JA translations

2005-03-03 06:57  kelnos

	* panel-plugin/Makefile.am, panel-plugin/desktop-menu-plugin.c:
	  add "edit menu" button to plugin prefs (bug 554)

2005-02-21 08:40  pollux

	* po/ja.po:
	  update JA translations

2005-02-20 08:52  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  nitpick: add \n

2005-02-20 08:49  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  add option to change button tooltip (bug 764)

2005-02-20 08:28  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  add option to use default desktop menu (i.e., the one used by
	  xfdesktop), or
	  to specify a custom menu file, which will always be honored

2005-02-20 07:31  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  interpolate the $XDG_ variables, and then environment variables,
	  when loading
	  the menu file for the plugin

2005-02-18 18:42  kelnos

	* modules/menu/desktop-menu-dentry.c:
	  if a .desktop file is missing its Categories line, make sure it
	  gets
	  put in the "Other" category (bug 776)

2005-02-13 12:39  pollux

	* po/ko.po:
	  update KO translations (with a big delay)

2005-02-01 11:45  pollux

	* modules/menu/Makefile.am,
	  modules/menu/xfce-registered-categories.xml.zh_CN, po/zh_CN.po:
	  update zh_CN translations

2005-01-29 06:27  kelnos

	* ., .cvsignore:
	  add intltool-*.in files to .cvsignore

2005-01-29 06:26  kelnos

	* menueditor/Makefile.am:
	  add .desktop file to DISTCLEANFILES

2005-01-29 06:13  kelnos

	* Makefile.am, configure.ac, menueditor, menueditor/.cvsignore,
	  menueditor/Makefile.am, menueditor/xfce-menueditor.desktop,
	  menueditor/xfce-menueditor.desktop.in, po/POTFILES.in, po/ar.po,
	  po/az.po, po/be.po, po/bg.po, po/ca.po, po/cs.po, po/de.po,
	  po/en_GB.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hi.po,
	  po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/ms.po,
	  po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/tr.po, po/uk.po, po/vi.po, po/xfdesktop.pot, po/zh_CN.po,
	  po/zh_TW.po, settings, settings/.cvsignore,
	  settings/Makefile.am, settings/xfce-backdrop-settings.desktop,
	  settings/xfce-backdrop-settings.desktop.in:
	  merge .desktop translations into the .po files via intltool,
	  makefile cleanups

2005-01-27 14:26  jasper

	* configure.ac:
	  typo: dml -> dnl

2005-01-27 08:19  kelnos

	* ., .cvsignore, backdrops, backdrops/.cvsignore, common,
	  common/.cvsignore, doc, doc/.cvsignore, doc/C, doc/C/.cvsignore,
	  doc/C/images, doc/C/images/.cvsignore, doc/fr,
	  doc/fr/.cvsignore, doc/fr/images, doc/fr/images/.cvsignore,
	  doc/it, doc/it/.cvsignore, doc/it/images,
	  doc/it/images/.cvsignore, menueditor, menueditor/.cvsignore,
	  modules, modules/.cvsignore, modules/menu,
	  modules/menu/.cvsignore, panel-plugin, panel-plugin/.cvsignore,
	  pixmaps, pixmaps/.cvsignore, pixmaps/32x32,
	  pixmaps/32x32/.cvsignore, pixmaps/48x48,
	  pixmaps/48x48/.cvsignore, po, po/.cvsignore, settings,
	  settings/.cvsignore, src, src/.cvsignore:
	  update all .cvsignore files to ignore all newly-removed files

2005-01-27 07:52  kelnos

	* Makefile.in, aclocal.m4, autogen.sh, backdrops/Makefile.in,
	  common/Makefile.in, compile, config.guess, config.h.in,
	  config.sub, configure, configure.ac, depcomp, doc/C/Makefile.in,
	  doc/C/images/Makefile.in, doc/Makefile.in, doc/fr/Makefile.in,
	  doc/fr/images/Makefile.in, doc/it/Makefile.in,
	  doc/it/images/Makefile.in, install-sh, ltmain.sh, m4,
	  menueditor/Makefile.in, missing, mkinstalldirs,
	  modules/Makefile.in, modules/menu/Makefile.in,
	  panel-plugin/Makefile.am, panel-plugin/Makefile.in,
	  pixmaps/Makefile.in, po/Makefile.in.in, po/ar.gmo, po/az.gmo,
	  po/be.gmo, po/bg.gmo, po/ca.gmo, po/cs.gmo, po/de.gmo,
	  po/en_GB.gmo, po/es.gmo, po/es_MX.gmo, po/et.gmo, po/eu.gmo,
	  po/fa.gmo, po/fi.gmo, po/fr.gmo, po/gu.gmo, po/he.gmo,
	  po/hi.gmo, po/hu.gmo, po/it.gmo, po/ja.gmo, po/ko.gmo,
	  po/lt.gmo, po/ms.gmo, po/nb_NO.gmo, po/nl.gmo, po/pa.gmo,
	  po/pl.gmo, po/pt_BR.gmo, po/pt_PT.gmo, po/ro.gmo, po/ru.gmo,
	  po/sk.gmo, po/sv.gmo, po/ta.gmo, po/tr.gmo, po/uk.gmo,
	  po/vi.gmo, po/zh_CN.gmo, po/zh_TW.gmo, settings/Makefile.am,
	  settings/Makefile.in, src/Makefile.in:
	  * bump version to 4.3.0
	  * remove all autogenerated files
	  * migrate to the new XDT_ m4 macro names, and use
	  xfce4-dev-tools
	  * fix usage of @XFCE4_PANEL_PLUGINSDIR@ and
	  @XFCE_MCS_MANAGER_PLUGINSDIR@
	  * remove obsolete m4/ directory

2005-01-27 05:21  kelnos

	* modules/menu/Makefile.am, modules/menu/Makefile.in:
	  fix makefile typo - bad JF!

2005-01-22 12:22  pollux

	* Makefile.am, Makefile.in, menu.xml.fi,
	  menueditor/xfce-menueditor.desktop, modules/menu/Makefile.am,
	  modules/menu/Makefile.in,
	  modules/menu/xfce-registered-categories.xml.fi, po/fi.gmo,
	  po/fi.po, settings/xfce-backdrop-settings.desktop:
	  update FI translations

2005-01-21 15:51  pollux

	* Makefile.in, backdrops/Makefile.in, common/Makefile.in,
	  config.h.in, configure, configure.ac, doc/C/Makefile.in,
	  doc/C/images/Makefile.in, doc/Makefile.in, doc/fr/Makefile.in,
	  doc/fr/images/Makefile.in, doc/it/Makefile.in,
	  doc/it/images/Makefile.in, menueditor/BUGS,
	  menueditor/Makefile.am, menueditor/Makefile.in, menueditor/TODO,
	  menueditor/about_dialog.c, menueditor/about_dialog.h,
	  menueditor/add_dialog.c, menueditor/add_dialog.h,
	  menueditor/add_menu_dialog.c, menueditor/add_menu_dialog.h,
	  menueditor/dnd.c, menueditor/dnd.h, menueditor/edit_dialog.c,
	  menueditor/edit_dialog.h, menueditor/menueditor.c,
	  menueditor/menueditor.h, menueditor/move.c, menueditor/move.h,
	  menueditor/new_dialog.c, menueditor/new_dialog.h,
	  menueditor/utils.c, menueditor/utils.h, modules/Makefile.in,
	  modules/menu/Makefile.in, panel-plugin/Makefile.in,
	  pixmaps/Makefile.in, settings/Makefile.in, src/Makefile.in:
	  add new menueditor based on Glib XML parser instead of libxml2

2005-01-19 09:09  kelnos

	* testfile:
	  bonsai WORKS!
	  it's aliiiiive, aliiiiiiiiiive

2005-01-19 09:02  kelnos

	* testfile:
	  please work....

2005-01-19 06:15  kelnos

	* common/desktop-menu-stub.c, common/xfdesktop-common.c,
	  common/xfdesktop-common.h, modules/menu/desktop-menu-cache.c,
	  modules/menu/desktop-menu-cache.h,
	  modules/menu/desktop-menu-dentry.c,
	  modules/menu/desktop-menu-dentry.h,
	  modules/menu/desktop-menu-file.c,
	  modules/menu/desktop-menu-file.h,
	  modules/menu/desktop-menu-private.h,
	  modules/menu/desktop-menu.c, modules/menu/desktop-menu.h,
	  modules/menu/desktop-menuspec.c,
	  panel-plugin/desktop-menu-plugin.c, settings/backdrop-mgr.c,
	  settings/backdrop_settings.c, settings/menu_settings.c,
	  settings/settings_common.h, src/main.c, src/menu.c,
	  src/settings.c, src/windowlist.c, src/xfce-backdrop.c,
	  src/xfce-backdrop.h, src/xfce-desktop.c, src/xfce-desktop.h:
	  i have seen the light: convert all tab indents to 4-space
	  indents

2005-01-18 22:21  kelnos

	* TODO:
	  update todo

2005-01-18 11:52  kelnos

	* modules/menu/desktop-menu-file.c:
	  no wonder that never worked...

2005-01-17 21:53  pollux

	* common/xfdesktop-common.c, common/xfdesktop-common.h,
	  modules/menu/desktop-menu.c:
	  rename desktop_menu_file_get_menufile () into
	  xfce_desktop_get_menufile()

2005-01-17 21:39  pollux

	* common/xfdesktop-common.c, common/xfdesktop-common.h,
	  modules/menu/Makefile.am, modules/menu/Makefile.in,
	  modules/menu/desktop-menu-file.c,
	  modules/menu/desktop-menu-file.h, modules/menu/desktop-menu.c:
	  move desktop_menu_file_get_menufile () to common

2005-01-17 19:46  kelnos

	* testfile:
	  still doesn't work; debugging bonsai

2005-01-17 19:38  kelnos

	* testfile:
	  always run 'perl -wc' before assuming it works

2005-01-17 19:36  kelnos

	* testfile:
	  never say it's the last test, because you'd alwys be wrong.

2005-01-17 19:28  kelnos

	* testfile:
	  this hsould hopefully be the last test.

2005-01-17 18:52  kelnos

	* testfile:
	  test, again

2005-01-17 18:49  kelnos

	* testfile:
	  test commit (again)

2005-01-17 18:42  kelnos

	* testfile:
	  bonsai test commit - please ignore

2005-01-17 18:40  kelnos

	* testfile:
	  bonsai test commit - please ignore

2005-01-11 10:57  kelnos

	* src/windowlist.c:
	  fix case where open windowlist -> window is destroyed -> select
	  window in
	  windowlist -> xfdesktop crash (bug 672)

2005-01-10 06:05  olivier

	* backdrops/xfce-smoke.png:
	  Actually add the image to CVS

2005-01-08 15:04  pollux

	* menu.xml.ru, menueditor/xfce-menueditor.desktop,
	  modules/menu/Makefile.am, modules/menu/Makefile.in,
	  modules/menu/xfce-registered-categories.xml.ru, po/ru.gmo,
	  po/ru.po, settings/xfce-backdrop-settings.desktop:
	  update RU translations

2005-01-06 20:07  pollux

	* menu.xml.uk:
	  add missing file

2005-01-06 19:24  pollux

	* Makefile.am, Makefile.in, ltmain.sh, po/uk.gmo, po/uk.po:
	  update UK translations

2005-01-05 16:01  pollux

	* po/he.gmo, po/he.po:
	  update HE translations

2005-01-02 16:01  kelnos

	* ChangeLog:
	  update changelog again

2005-01-02 15:57  kelnos

	* README:
	  actually, xfdesktop doesn't do this...

2005-01-02 12:51  olivier

	* ChangeLog, configure, configure.ac, ltmain.sh, po/xfdesktop.pot:
	  Update version and changelog

2005-01-01 13:41  jasper

	* doc/C/xfdesktop.html, doc/C/xfdesktop.xml:
	  Fix some references to bugzilla

2004-12-28 20:21  pollux

	* Makefile.in, panel-plugin/Makefile.am, panel-plugin/Makefile.in,
	  panel-plugin/desktop-menu-plugin.c:
	  begin of #623 fixing

2004-12-27 19:05  pollux

	* settings/backdrop_settings.c:
	  mcs-plugins now appear on the mouse pointer screen

2004-12-25 20:33  kelnos

	* Makefile.am:
	  fix distcheck-bz2

2004-12-24 00:03  kelnos

	* Makefile.am:
	  add dist-bz2 and distcheck-bz2 targets

2004-12-23 23:34  olivier

	* doc/C/images/select_bg_color.png,
	  doc/C/images/xfdesktop-background.png,
	  doc/C/images/xfdesktop-editor.png,
	  doc/C/images/xfdesktop-list.png,
	  doc/C/images/xfdesktop-menu-tab.png,
	  doc/fr/images/root_menu.png, doc/fr/images/root_menu2.png,
	  doc/fr/images/select_bg_color.png,
	  doc/fr/images/xfdesktop-background.png,
	  doc/fr/images/xfdesktop-list.png, doc/it/images/root_menu.png,
	  doc/it/images/root_menu2.png, doc/it/images/select_bg_color.png,
	  doc/it/images/xfdesktop-background.png,
	  doc/it/images/xfdesktop-list.png:
	  Themes and screenshots

2004-12-23 21:24  pollux

	* menu.xml.et, menueditor/xfce-menueditor.desktop, po/et.gmo,
	  po/et.po, settings/xfce-backdrop-settings.desktop:
	  update ET translations

2004-12-22 21:10  benny

	* ChangeLog, panel-plugin/Makefile.am, panel-plugin/Makefile.in,
	  po/cs.gmo, settings/Makefile.am, settings/Makefile.in:
	  Update ChangeLog. Fix make distcheck.

2004-12-21 09:04  kelnos

	* po/cs.po:
	  add/update czech translations

2004-12-20 23:12  kelnos

	* po/xfdesktop.pot:
	  something changed, i guess.

2004-12-20 21:54  kelnos

	* NEWS:
	  i suck.

2004-12-20 21:51  kelnos

	* NEWS:
	  update NEWS

2004-12-20 21:00  jasper

	* ChangeLog, configure, configure.ac:
	  Update versions and ChangeLog

2004-12-19 20:01  kelnos

	* src/xfce-desktop.c:
	  make jasper's fix a bit easier ^_^

2004-12-19 19:25  pollux

	* menueditor/menueditor.c:
	  remove unused DBG()

2004-12-19 19:19  pollux

	* menueditor/add_dialog.c, menueditor/add_menu_dialog.c,
	  menueditor/dnd.c, menueditor/edit_dialog.c,
	  menueditor/menueditor.c, menueditor/menueditor.h,
	  menueditor/move.c:
	  avoid potential conflicts with GLib 2.4

2004-12-19 16:36  fleclainche

	* doc/C/images/select_bg_color.png,
	  doc/C/images/xfdesktop-background.png,
	  doc/C/images/xfdesktop-editor.png,
	  doc/C/images/xfdesktop-list.png,
	  doc/C/images/xfdesktop-menu-tab.png:
	  Documentation screenshots update

2004-12-19 12:46  jasper

	* src/xfce-desktop.c:
	  Preserve background when changing themes. Brian, please check
	  this.

2004-12-18 20:17  kelnos

	* src/xfce-desktop.c:
	  ditch gdk_draw_drawable() and use gdk_window_clear_area()
	  instead. i'm not
	  sure why this wasn't working before (perhaps i was forgetting to
	  call
	  gdk_window_set_back_pixmap() at that point), but it works now,
	  and it should
	  definitely be faster than asking the X server to draw on demand.

2004-12-18 11:20  kelnos

	* src/xfce-desktop.c:
	  ok, this should actually fix the menu redraw problem (bug 403).
	  i'm
	  still convinced that gtk 2.6 should not have changed the
	  behavior
	  here, but at least this works around it.

2004-12-18 10:57  kelnos

	* src/xfce-desktop.c:
	  this doesn't fix bug #403, but it makes things a bit less messy

2004-12-16 19:04  pollux

	* menueditor/add_dialog.c, menueditor/add_menu_dialog.c,
	  menueditor/dnd.c, menueditor/edit_dialog.c,
	  menueditor/menueditor.c, menueditor/menueditor.h,
	  menueditor/move.c:
	  fix #598 using a glib 2.4 func, i added a copy in the menueditor
	  code conditionnaly compiled but it needs testing

2004-12-15 18:46  pollux

	* menu.xml.pt_BR, modules/menu/Makefile.am,
	  modules/menu/Makefile.in,
	  modules/menu/xfce-registered-categories.xml.pt_BR:
	  update pt_BR translations

2004-12-14 20:33  pollux

	* configure, configure.ac, menu.xml.ro, po/ro.gmo, po/ro.po:
	  add RO translations

2004-12-14 08:15  pollux

	* po/ko.gmo, po/zh_TW.gmo, po/zh_TW.po:
	  update zh_TW translations

2004-12-13 22:08  pollux

	* po/ko.po:
	  update KO translations

2004-12-11 17:51  olivier

	* po/xfdesktop.pot:
	  Various changes and small fixes

2004-12-11 16:57  olivier

	* settings/backdrop_settings.c:
	  Use #ffff as default alpha value (that makes absolutely no
	  difference for now)

2004-12-11 03:33  kelnos

	* modules/menu/desktop-menu-cache.c:
	  cache should track changes to the XDG_DATA_DIRS env var

2004-12-11 03:07  kelnos

	* src/windowlist.c:
	  put back the add/remove workspace menu items in the window list
	  because
	  francois asked so nicely ^_^

2004-12-10 03:11  kelnos

	* src/xfce-desktop.c:
	  check size of existing bg_pixmap in the GtkStyle to make sure it
	  fits
	  the screen dimensions before reusing it (hopefully fix bug 584)

2004-12-05 21:38  pollux

	* configure, configure.ac, po/nb_NO.gmo, po/nb_NO.po:
	  add nb_NO translations

2004-12-05 21:20  pollux

	* configure, configure.ac, po/en_GB.gmo, po/en_GB.po:
	  add en_GB translations

2004-12-05 20:50  pollux

	* Makefile.am, Makefile.in, aclocal.m4, backdrops/Makefile.in,
	  common/Makefile.in, compile, config.guess, config.sub,
	  configure, doc/C/Makefile.in, doc/C/images/Makefile.in,
	  doc/Makefile.in, doc/fr/Makefile.in, doc/fr/images/Makefile.in,
	  doc/it/Makefile.in, doc/it/images/Makefile.in, install-sh,
	  ltmain.sh, menu.xml.ko, menueditor/Makefile.in,
	  modules/Makefile.in, modules/menu/Makefile.in,
	  panel-plugin/Makefile.in, pixmaps/Makefile.in, po/ko.gmo,
	  po/ko.po, settings/Makefile.in, src/Makefile.in:
	  update KO translations and add screenshots in xfprint doc

2004-12-05 11:35  kelnos

	* Makefile.in, aclocal.m4, backdrops/Makefile.in,
	  common/Makefile.in, compile, config.guess, config.sub,
	  configure, doc/C/Makefile.am, doc/C/Makefile.in,
	  doc/C/images/Makefile.in, doc/Makefile.in, doc/fr/Makefile.in,
	  doc/fr/images/Makefile.in, doc/fr/xfdesktop.html,
	  doc/it/Makefile.in, doc/it/images/Makefile.in,
	  doc/it/xfdesktop.html, install-sh, ltmain.sh,
	  menueditor/Makefile.in, modules/Makefile.in,
	  modules/menu/Makefile.in, panel-plugin/Makefile.in,
	  pixmaps/Makefile.in, settings/Makefile.in, src/Makefile.in:
	  fix broken target in doc/C/Makefile.am (thanks JF)

2004-12-05 11:31  kelnos

	* doc/it, doc/it/.cvsignore, doc/it/images,
	  doc/it/images/.cvsignore:
	  add .cvsignore because i'm easily annoyed

2004-12-05 11:17  kelnos

	* ChangeLog:
	  update changelog

2004-12-05 11:16  kelnos

	* NEWS:
	  update NEWS for 4.2rc2

2004-12-05 11:14  kelnos

	* src/windowlist.c:
	  fix windowlist that i somehow broke the other day.

2004-12-04 17:26  benny

	* ChangeLog, configure, configure.ac, ltmain.sh, po/tr.gmo:
	  Update configure and ChangeLog.

2004-12-04 08:35  olivier

	* menueditor/xfce-menueditor.desktop,
	  settings/xfce-backdrop-settings.desktop:
	  Fix invalid UTF8 string used in pt_BR translation thanks to
	  Adriano Winter Bess <adrianob@linhalivre.net>

2004-12-03 06:02  kelnos

	* src/windowlist.c:
	  er, oops. last commit message was supposed to be:
	  just create a PangoFontDescription at the top of the function
	  and destroy
	  it at the end. also use the deactivate signal to destroy the
	  windowlist
	  menu when it's been closed. ditches a global.

2004-12-03 06:00  kelnos

	* src/windowlist.c:
	  *** empty log message ***

2004-12-03 05:40  kelnos

	* modules/menu/desktop-menu-file.c:
	  when including menu files, use xfce_resource_lookup() instead of
	  xfce_get_userfile() if the file is relative.

2004-12-03 05:36  kelnos

	* src/windowlist.c:
	  don't use markup when generating window list items; use
	  gtk_widget_modify_font()
	  instead. this way we don't have to worry about escaping markup
	  in titles.
	  (bug 567)

2004-12-01 12:03  pollux

	* po/pt_BR.gmo, po/pt_BR.po:
	  update pt_BR translations

2004-11-28 18:14  pollux

	* menu.xml.es:
	  update ES menu file

2004-11-28 18:01  pollux

	* po/tr.po:
	  update TR translations

2004-11-26 19:06  pollux

	* po/ko.gmo, po/ko.po:
	  update KO translations

2004-11-25 08:01  kelnos

	* modules/menu/desktop-menu-file.c:
	  hmm, didn't mean to commit this, but this cleans up the
	  quasi-fix for
	  the problem of not loading the menu module because for some odd
	  reason some systems can't resolve quit() from the xfdesktop
	  binary.
	  (bug 501)

2004-11-25 05:37  kelnos

	* modules/menu/desktop-menu-file.c, modules/menu/desktop-menu.c,
	  modules/menu/desktop-menuspec.c:
	  possibly fix warnings from bug 525

2004-11-25 05:18  kelnos

	* doc/C/xfdesktop.html, doc/C/xfdesktop.xml:
	  update docs a bit

2004-11-21 22:02  olivier

	* configure, configure.ac, po/xfdesktop.pot:
	  Update version.

2004-11-20 22:32  olivier

	* src/windowlist.c:
	  Revering previous horrible hack for bug #502

2004-11-20 11:40  kelnos

	* src/windowlist.c:
	  i'm sorry for smoking crack while coding. windowlist shows
	  sticky
	  windows now (bug 518).

2004-11-20 10:07  olivier

	* src/windowlist.c:
	  Add a pause between the workspace activation and the window
	  activation to avoid the race condition that causes bug #502

2004-11-16 14:01  kelnos

	* modules/menu/desktop-menu-dentry.c:
	  * refuse to add items with the same desktop id (.desktop file
	  name)
	  * use a static string in a couple places instead of malloc()ing
	  over and
	  over

2004-11-16 07:12  jasper

	* doc/xfce-nochunk.xsl:
	  Update some docs and update to new color scheme at the
	  suggestion of Jeff Franks

2004-11-14 19:01  jasper

	* doc/C/xfdesktop.html, doc/C/xfdesktop.xml:
	  Fix some outdated info

2004-11-14 10:38  kelnos

	* modules/menu/desktop-menu-dentry.c:
	  don't look in $XDG_DATA_DIRS/apps/, but use
	  $XDG_DATA_DIRS/gnome/apps/

2004-11-13 18:01  olivier

	* ChangeLog:
	  Update ChangeLog

2004-11-13 15:19  olivier

	* ltmain.sh:
	  Auto-tools check-up.

2004-11-13 11:13  pollux

	* menueditor/about_dialog.c:
	  i want my cedilla ! :)

2004-11-11 20:31  jasper

	* doc/C/xfdesktop.html:
	  tweak

2004-11-11 20:21  jasper

	* doc/C/images/Makefile.am, doc/C/images/Makefile.in,
	  doc/C/images/root_menu.png, doc/C/images/root_menu2.png,
	  doc/C/images/select_bg_color.png,
	  doc/C/images/xfdesktop-background.png,
	  doc/C/images/xfdesktop-editor.png,
	  doc/C/images/xfdesktop-list.png,
	  doc/C/images/xfdesktop-menu-tab.png, doc/C/xfdesktop.xml,
	  doc/fr/xfdesktop.html, doc/it/xfdesktop.html:
	  Big screenshot update for the docs

2004-11-11 18:09  pollux

	* menu.xml.pt_BR:
	  add missing file

2004-11-11 10:24  pollux

	* menueditor/xfce-menueditor.desktop,
	  settings/xfce-backdrop-settings.desktop:
	  fix typo

2004-11-11 10:22  pollux

	* Makefile.am, Makefile.in, ltmain.sh,
	  menueditor/xfce-menueditor.desktop, po/pt_BR.gmo, po/pt_BR.po,
	  settings/xfce-backdrop-settings.desktop:
	  update pt_BR translations

2004-11-07 01:04  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  possibly fix 471 (menu button sometimes remains in active state
	  after
	  menu disappears, often when no menu pops up in the first place)

2004-11-06 16:24  olivier

	* ChangeLog, Makefile.in, aclocal.m4, backdrops/Makefile.in,
	  common/Makefile.in, compile, config.guess, config.sub,
	  configure, configure.ac, depcomp, doc/C/Makefile.in,
	  doc/C/images/Makefile.in, doc/Makefile.in, doc/fr/Makefile.in,
	  doc/fr/images/Makefile.in, doc/it/Makefile.in,
	  doc/it/images/Makefile.in, install-sh, menueditor/Makefile.in,
	  missing, modules/Makefile.in, modules/menu/Makefile.in,
	  panel-plugin/Makefile.in, pixmaps/Makefile.in,
	  settings/Makefile.in, src/Makefile.in:
	  Update automake/autoconf/libtool/gettext versions to generate
	  the configure scripts and Makefiles,
	  Update versions of all packages to 4.1.99.1 (ie 4.2 RC1),
	  Update ChangeLogs.

2004-11-06 05:42  kelnos

	* menu.xml, menu.xml.et, menu.xml.he, menu.xml.nl, menu.xml.vi,
	  menu.xml.zh_TW:
	  hmm, not sure why that's incorrect...

2004-11-02 17:28  benny

	* doc/README.kiosk:
	  Fix dirs.

2004-10-30 22:28  olivier

	* xfdesktop.spec.in:
	  Fix spec files

2004-10-30 21:39  olivier

	* xfdesktop.spec.in:
	  Spec file broken

2004-10-30 19:03  olivier

	* ChangeLog, Makefile.in, aclocal.m4, backdrops/Makefile.in,
	  common/Makefile.in, config.guess, config.sub, configure,
	  depcomp, doc/C/Makefile.in, doc/C/images/Makefile.in,
	  doc/Makefile.in, doc/fr/Makefile.in, doc/fr/images/Makefile.in,
	  doc/it/Makefile.in, doc/it/images/Makefile.in, install-sh,
	  ltmain.sh, menueditor/Makefile.in, modules/Makefile.in,
	  modules/menu/Makefile.in, panel-plugin/Makefile.in,
	  pixmaps/Makefile.in, po/xfdesktop.pot, settings/Makefile.in,
	  src/Makefile.in:
	  Global update for 4.1.91 (Xfce 4.2 beta 2)

2004-10-30 14:42  jasper

	* po/nl.gmo, po/nl.po:
	  Update a few nl translations

2004-10-30 14:00  pollux

	* po/lt.gmo, po/lt.po:
	  update LT translations

2004-10-29 08:34  kelnos

	* ChangeLog, NEWS, aclocal.m4, backdrops/Makefile.in,
	  common/Makefile.in, config.guess, config.sub, configure,
	  configure.ac, depcomp, doc/C/Makefile.in,
	  doc/C/images/Makefile.in, doc/Makefile.in, doc/fr/Makefile.in,
	  doc/fr/images/Makefile.in, doc/it/Makefile.in,
	  doc/it/images/Makefile.in, install-sh, ltmain.sh,
	  menueditor/Makefile.in, modules/Makefile.in,
	  modules/menu/Makefile.in, panel-plugin/Makefile.in,
	  pixmaps/Makefile.in, settings/Makefile.in, src/Makefile.in:
	  * update ChangeLog and NEWS
	  * bump version dependencies to 4.1.91
	  * regen and commit all autotools-related files

2004-10-28 11:55  pollux

	* menueditor/xfce-menueditor.desktop, po/ar.gmo, po/az.gmo,
	  po/be.gmo, po/bg.gmo, po/ca.gmo, po/cs.gmo, po/de.gmo,
	  po/es.gmo, po/es_MX.gmo, po/et.gmo, po/eu.gmo, po/fi.gmo,
	  po/fr.gmo, po/gu.gmo, po/he.gmo, po/he.po, po/hi.gmo, po/hu.gmo,
	  po/it.gmo, po/ja.gmo, po/ko.gmo, po/lt.gmo, po/ms.gmo,
	  po/nl.gmo, po/pa.gmo, po/pl.gmo, po/pt_BR.gmo, po/pt_PT.gmo,
	  po/ru.gmo, po/sk.gmo, po/sv.gmo, po/ta.gmo, po/tr.gmo,
	  po/uk.gmo, po/vi.gmo, po/zh_CN.gmo, po/zh_TW.gmo,
	  settings/xfce-backdrop-settings.desktop:
	  update HE translations

2004-10-25 22:08  kelnos

	* Makefile.am, Makefile.in, xfdesktop.1:
	  add xfdesktop manpage. sure, why not?

2004-10-23 17:49  benny

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/ca.po, po/cs.po,
	  po/de.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fi.po,
	  po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/ms.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	  po/zh_TW.po:
	  Update-po for Moe.

2004-10-23 14:45  olivier

	* ChangeLog:
	  Update ChangeLog

2004-10-23 10:32  pollux

	* menueditor/.indent.pro, menueditor/about_dialog.c,
	  menueditor/about_dialog.h, menueditor/add_dialog.c,
	  menueditor/add_dialog.h, menueditor/add_menu_dialog.c,
	  menueditor/add_menu_dialog.h, menueditor/dnd.c,
	  menueditor/dnd.h, menueditor/edit_dialog.c,
	  menueditor/edit_dialog.h, menueditor/menueditor.c,
	  menueditor/menueditor.h, menueditor/move.c, menueditor/move.h,
	  menueditor/new_dialog.c, menueditor/new_dialog.h:
	  fix indentation (indent is really a great tool)

2004-10-22 20:38  olivier

	* ChangeLog, ltmain.sh:
	  Updated versions and change logs

2004-10-22 19:33  olivier

	* po/xfdesktop.pot:
	  Theme fixes
	  update locale [fr] for desktop files

2004-10-20 22:06  pollux

	* Makefile.am, Makefile.in, ltmain.sh, menu.xml.et, po/et.gmo,
	  po/et.po:
	  update ET translations

2004-10-17 20:29  pollux

	* po/es.gmo, po/es_MX.gmo, po/fi.gmo, po/fi.po, po/pt_PT.gmo:
	  update FI translations

2004-10-17 09:21  kelnos

	* modules/menu/desktop-menu-dentry.c:
	  check to make sure xfce_app_menu_item_new_from_desktop_entry()
	  returns
	  a valid pointer

2004-10-17 09:04  kelnos

	* modules/menu/desktop-menu-dentry.c,
	  modules/menu/desktop-menu-file.c:
	  fix warnings. damn, gcc 3.4 is picky... (though correct)

2004-10-15 02:44  kelnos

	* src/xfce-desktop.c:
	  don't need that flag anymore...

2004-10-15 02:42  kelnos

	* src/windowlist.c, src/xfce-backdrop.c, src/xfce-desktop.c:
	  * fix some warnings
	  * hopefully fix crash on exit (bug #344)

2004-10-14 06:31  olivier

	* ChangeLog, configure, configure.ac, ltmain.sh, po/ar.gmo,
	  po/az.gmo, po/be.gmo, po/bg.gmo, po/ca.gmo, po/cs.gmo,
	  po/de.gmo, po/et.gmo, po/eu.gmo, po/fi.gmo, po/fr.gmo,
	  po/gu.gmo, po/he.gmo, po/hi.gmo, po/hu.gmo, po/it.gmo,
	  po/ja.gmo, po/ko.gmo, po/lt.gmo, po/ms.gmo, po/nl.gmo,
	  po/pa.gmo, po/pl.gmo, po/pt_BR.gmo, po/ru.gmo, po/sk.gmo,
	  po/sv.gmo, po/ta.gmo, po/tr.gmo, po/uk.gmo, po/vi.gmo,
	  po/xfdesktop.pot, po/zh_CN.gmo, po/zh_TW.gmo:
	  Update version number to see if #344 was fixed since beta1

2004-10-12 06:18  kelnos

	* panel-plugin/desktop-menu-plugin.c:
	  fix warnings. silly jasper ^_^

2004-10-11 18:13  jasper

	* panel-plugin/desktop-menu-plugin.c:
	  Make menu button a toggle button

2004-10-11 16:30  benny

	* po/ar.po, po/az.po, po/be.po, po/bg.po, po/ca.po, po/cs.po,
	  po/de.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po, po/fi.po,
	  po/fr.po, po/gu.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/ms.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	  po/zh_TW.po:
	  update-po for Moe.

2004-10-10 11:52  pollux

	* po/pt_PT.gmo, po/pt_PT.po:
	  update pt_PT translations

2004-10-09 14:20  pollux

	* configure, configure.ac, po/fa.gmo, po/fa.po, po/fa_IR.gmo,
	  po/fa_IR.po:
	  update FA translations

2004-10-09 13:48  pollux

	* po/es.gmo, po/es_MX.gmo:
	  Punjabi translations update from jaswinderlinux@netscape.net

2004-10-08 15:28  edscott

	* po/es.po, po/es_MX.po:
	  update translations. Note to Brian: there are way too many
	  similar or nearly
	  identical translations strings.

2004-10-07 20:36  benny

	* Makefile.in, aclocal.m4, backdrops/Makefile.in,
	  common/Makefile.in, configure, doc/C/Makefile.in,
	  doc/C/images/Makefile.in, doc/Makefile.in, doc/fr/Makefile.in,
	  doc/fr/images/Makefile.in, doc/it/Makefile.in,
	  doc/it/images/Makefile.in, m4/debug.m4, m4/glib-gettext.m4,
	  m4/pkg.m4, menueditor/Makefile.in, modules/Makefile.in,
	  modules/menu/Makefile.in, panel-plugin/Makefile.in,
	  pixmaps/Makefile.in, settings/Makefile.in, src/Makefile.in:
	  Added --enable-final (-O1 for GNU ld) as per Jaspers request.
	  Added missing
	  m4 files.

2004-10-03 16:14  pollux

	* configure, configure.ac, ltmain.sh, po/pa.gmo, po/pa.po:
	  Punjabi translations (PA) from jaswinderlinux@netscape.net

2004-10-03 15:43  pollux

	* menueditor/xfce-menueditor.desktop,
	  settings/xfce-backdrop-settings.desktop:
	  zh_TW translations of desktop files from Ambrose Li
	  <acli@ada.dhs.org>

2004-10-03 07:46  olivier

	* xfdesktop.spec.in:
	  Files missing from spec file

2004-10-02 22:49  olivier

	* xfdesktop.spec.in:
	  Wrong path is spec file

2004-10-02 16:01  olivier

	* xfdesktop.spec.in:
	  Actually Red Hat calls the package "gtk2"

2004-10-02 15:44  olivier

	* xfdesktop.spec.in:
	  Wrong package name

2004-10-02 13:28  olivier

	* ChangeLog, ltmain.sh, po/xfdesktop.pot:
	  Update all files for 4.2 beta 1

2004-09-30 08:17  pollux

	* po/it.gmo, po/it.po:
	  Updated Italian translations from Luca Marrocco
	  <buildup@libero.it>

2004-09-29 08:22  pollux

	* Makefile.in, aclocal.m4, backdrops/Makefile.in,
	  common/Makefile.in, config.guess, config.sub, configure,
	  depcomp, install-sh, ltmain.sh, menu.xml.zh_TW,
	  menueditor/Makefile.in, modules/Makefile.in,
	  modules/menu/Makefile.am, modules/menu/Makefile.in,
	  modules/menu/xfce-registered-categories.xml.zh_TW,
	  panel-plugin/Makefile.in, pixmaps/Makefile.in, po/zh_TW.gmo,
	  po/zh_TW.po, settings/Makefile.in, src/Makefile.in:
	  updated zh_TW translations from Ambrose Li <acli@ada.dhs.org>

2004-09-29 07:59  pollux

	* po/zh_CN.gmo, po/zh_CN.po:
	  updated zh_CN translations from yongtao yang
	  <yongtao.yang@gmail.com>

2004-09-27 07:07  kelnos

	* settings/backdrop-mgr.c:
	  bleh, some old compilers barf on this

2004-09-27 07:00  kelnos

	* common/xfdesktop-common.c, common/xfdesktop-common.h,
	  settings/backdrop-mgr.c, settings/settings_common.c,
	  settings/settings_common.h, src/xfce-desktop.c:
	  remove image validation from backdrop list editor; handle fixing
	  up list
	  files in xfdesktop instead (bug #326)

2004-09-26 09:56  jasper

	* doc/C/Makefile.in, doc/C/images/Makefile.in, doc/Makefile.in,
	  doc/fr/Makefile.in, doc/fr/images/Makefile.in,
	  doc/fr/xfdesktop.html, doc/it/Makefile.in,
	  doc/it/images/Makefile.in, doc/it/xfdesktop.html:
	  Fix html target for docs. Not build by default.

2004-09-25 22:23  kelnos

	* src/main.c:
	  committing nils rennebarth's patch to forward scroll events and
	  other
